FGR = { 
    description = "AI Improvements and Enemy Balancing"
}

function FGR:new()
	
    registerForEvent("onInit", function() 
	
	
	--Grayson TweakDB:SetFlat(Character.Grayson.rarity, "NPCRarity.Boss")
	
	
	Cyber_Enemies = false --Gives enemies more abilities, adds more higher tier enemies, and differentiates more between the tiers
	Powerful_Minibosses = false --Turns the Organized Crime Activity main suspect into a boss. Need to restart game if you want to set this to false again
	Harder_Final_Boss_Fight = false --Removes hidden multipliers making additional enemies in the final boss fight easier
	Immersive_Damage_Effects = false --Ignore this for now. WIP.
	
	AI_Speed = 2
	Enemy_Sight_Height = 3.0 --Default is around 1.0
	Detection_Distance = 1.0
	
	Randomness_Modifier = 1.0	--Increase to have enemies hit you less often, but do more damage
	Melee_Snapping = 3 --Decrease to have melee enemies connect more often
	
	NPC_DPS = 0.65	--Generic human NPCs
	NPC_Health = 0.65
	NPC_Armor = 1		--Base Armor. Gets multiplied if you use cyber enemies
	
	Oda_DPS = 1	--Separate from the gun dps
	Oda_Health = 1.5
	Oda_Armor = 5

	Sasquatch_DPS = 1.0
	Sasquatch_Health = 1.5	
	Sasquatch_Armor = 5

	Royce_DPS = 1.0
	Royce_Health = 1.0
	Royce_Armor = 3

	Smasher_DPS = 1.5
	Smasher_Health = 1.5
	Smasher_Armor = 10

	Mech_DPS = -0.85 --Default 1.9	Due to the buffs to smart guns and mech bullets, they're like crazy strong now
	Mech_Health = 1.0
	Mech_Armor = 30 
	Mech_Quickhack_Cost_Increase = 6 --Default 2
	
	Drone_DPS = 0.65
	Drone_Health = 0.65 --Default 0.4
	Drone_Armor = 3
	
	Android_DPS = 1.0
	Android_Health = 2.0
	Android_Armor = 5
	
	Exo_Suit_DPS = 0.5
	Exo_Suit_Health = 1.0
	Exo_Suit_Armor = 10
	
	--Also affected by NPC stats
	Cyberpsycho_HP = 1.0
	Cyberpsycho_DPS = 1.0
	Cyberpsycho_Armor = 1
	
	--Also affected by NPC stats
	Miniboss_HP = 1.5
	Miniboss_DPS = 1.0
	Miniboss_Armor = 1

	--Also affected by NPC stats
	Twins_Health = 0.67
	
	--Probably shouldn't mess with things down here
	
	LOS_Mult = 1 --Unused mostly
	
	Achilles_NPC_Damage = 1.5 * Randomness_Modifier
	Achilles_TBH = 0.3 * Randomness_Modifier--*3
	Achilles_LOS = 1.0

	Ajax_NPC_Damage = 0.25 * Randomness_Modifier --X
	Ajax_TBH = 0.2 * Randomness_Modifier--*3
	Ajax_LOS = 1.0
	
	Ashura_NPC_Damage = 1.0
	Ashura_TBH = 2.0 --*3
	Ashura_LOS = 2.0
	
	Burya_NPC_Damage = .35 * Randomness_Modifier
	Burya_TBH = 0.5 * Randomness_Modifier--*3
	Burya_LOS = 0.75
	
	Carnage_NPC_Damage = 1.5 * Randomness_Modifier
	Carnage_TBH = 0.1 * Randomness_Modifier--*3
	Carnage_LOS = 1.0
	
	Chao_NPC_Damage = 0.35
	Chao_TBH = 0.4 --*3
	Chao_LOS = 0.5
	
	Copperhead_NPC_Damage = 0.25 * Randomness_Modifier --X
	Copperhead_TBH = 0.15 * Randomness_Modifier--*3
	Copperhead_LOS = 1.0
	
	Crusher_NPC_Damage = 1.5 * Randomness_Modifier
	Crusher_TBH = 0.1 * Randomness_Modifier--*3
	Crusher_LOS = 1.0
	
	Dian_NPC_Damage = 0.2 --X
	Dian_TBH = 0.15 --*3
	Dian_LOS = 0.75
	
	Defender_NPC_Damage = 0.3	* Randomness_Modifier --X
	Defender_TBH = 0.15 * Randomness_Modifier--*3
	Defender_LOS = 1.5
	
	Grad_NPC_Damage = 1 * Randomness_Modifier
	Grad_TBH = 3.0 * Randomness_Modifier--*3
	Grad_LOS = 3.0
	
	HMG_NPC_Damage = 0.45   * Randomness_Modifier--X
	HMG_TBH = 0.1 * Randomness_Modifier--*3
	HMG_LOS = 1.5
	
	Igla_NPC_Damage = 1 * Randomness_Modifier --X
	Igla_TBH = 0.1 * Randomness_Modifier--*3
	Igla_LOS = 1.0

	Kenshin_NPC_Damage = .35 * Randomness_Modifier
	Kenshin_TBH = 0.3 * Randomness_Modifier--*3
	Kenshin_LOS = 0.5
	
	Lexington_NPC_Damage = 0.2 * Randomness_Modifier--X
	Lexington_TBH = 0.2 * Randomness_Modifier--*3
	Lexington_LOS = 0.5
	
	Liberty_NPC_Damage = .35 * Randomness_Modifier
	Liberty_TBH = 0.25 * Randomness_Modifier--*3
	Liberty_LOS = 0.5
	
	Masamune_NPC_Damage = 0.25 * Randomness_Modifier --X
	Masamune_TBH = 0.1 * Randomness_Modifier--*3
	Masamune_LOS = 1.0
	
	Nekomata_NPC_Damage = 1 * Randomness_Modifier
	Nekomata_TBH = 3 * Randomness_Modifier--*3
	Nekomata_LOS = 3.0
	
	Nova_NPC_Damage = 0.35 * Randomness_Modifier--X
	Nova_TBH = 0.45 * Randomness_Modifier--*3
	Nova_LOS = 0.75
	
	Nue_NPC_Damage = 0.35	* Randomness_Modifier--X
	Nue_TBH = 0.3 * Randomness_Modifier--*3
	Nue_LOS = 0.5
	
	Omaha_NPC_Damage = .35 * Randomness_Modifier
	Omaha_TBH = 0.3 * Randomness_Modifier--*3
	Omaha_LOS = 0.5
	
	Overture_NPC_Damage = 0.35  * Randomness_Modifier--X
	Overture_TBH = 0.6 * Randomness_Modifier--*3
	Overture_LOS = 0.75
	Overture_ROF = 0.75
	
	Palica_NPC_Damage = 1 * Randomness_Modifier
	Palica_TBH = 0.1 * Randomness_Modifier--*3
	Palica_LOS = 1.0
	
	Pulsar_NPC_Damage = .15 * Randomness_Modifier
	Pulsar_TBH = 0.2 * Randomness_Modifier--*3
	Pulsar_LOS = 0.75
	
	Quasar_NPC_Damage = 0.35 * Randomness_Modifier --X
	Quasar_TBH = 0.3 * Randomness_Modifier--*3
	Quasar_LOS = 0.75
	
	Saratoga_NPC_Damage = 0.15 * Randomness_Modifier
	Saratoga_TBH = 0.15 * Randomness_Modifier--*3
	Saratoga_LOS = 0.75
	
	Satara_NPC_Damage = 1 * Randomness_Modifier--X
	Satara_TBH = 0.1 * Randomness_Modifier--*3
	Satara_LOS = 1.0

	Shingen_NPC_Damage = 0.15  --X
	Shingen_TBH = 0.2 --*3
	Shingen_LOS = 0.75

	Sidewinder_NPC_Damage = .3 
	Sidewinder_TBH = 0.15 --*3
	Sidewinder_LOS = 1.0

	Sor22_NPC_Damage = 1.5 * Randomness_Modifier
	Sor22_TBH = 0.6 * Randomness_Modifier--*3
	Sor22_LOS = 1.0

	Tactician_NPC_Damage = 1 * Randomness_Modifier --X
	Tactician_TBH = 0.1 * Randomness_Modifier--*3
	Tactician_LOS = 1.0

	Testera_NPC_Damage = 1 * Randomness_Modifier
	Testera_TBH = 0.1 * Randomness_Modifier--*3
	Testera_LOS = 1.0

	Unity_NPC_Damage = 0.35 * Randomness_Modifier --X
	Unity_TBH = 0.3 * Randomness_Modifier--*3
	Unity_LOS = 0.5

	Yukimura_NPC_Damage = 0.35 * Randomness_Modifier --X
	Yukimura_TBH = 0.2 * Randomness_Modifier--*3
	Yukimura_LOS = 0.5

	Zhuo_NPC_Damage = 1
	Zhuo_TBH = 0.25--*3
	Zhuo_LOS = 1.0

	Baton_NPC_Damage = 0.8
	Baton_TBH = 0.2
	Baton_LOS = 0

	Fists_NPC_Damage = 0.8 --Affects smasher for some fuckin reason
	Fists_TBH = 0.2
	Fists_LOS = 0

	Katana_NPC_Damage = 0.8
	Katana_TBH = 0.2
	Katana_LOS = 0.0

	Knife_NPC_Damage = 0.8	--X
	Knife_TBH = 0.2
	Knife_LOS = 0

	Mantis_Blades_NPC_Damage = 0.8
	Mantis_Blades_TBH = 0.2
	Mantis_Blades_LOS = 0

	One_Hand_Blade_NPC_Damage = 0.8--X
	One_Hand_Blade_TBH = 0.2
	One_Hand_Blade_LOS = 0

	One_Hand_Blunt_NPC_Damage = 0.8
	One_Hand_Blunt_TBH = 0.2
	One_Hand_Blunt_LOS = 0

	Strong_Arms_NPC_Damage = 0.8
	Strong_Arms_TBH = 0.2
	Strong_Arms_LOS = 0

	Two_Hand_Blunt_NPC_Damage = 0.8 --X
	Two_Hand_Blunt_TBH = 0.2
	Two_Hand_Blunt_LOS = 0

	Two_Hand_Hammer_NPC_Damage = 0.8
	Two_Hand_Hammer_TBH = 0.2
	Two_Hand_Hammer_LOS = 0
	
	Oda_Shingen_NPC_Damage = 6 --Definitely useless
	Oda_Gun_DPS = 0.2 * Oda_DPS/3 --Default 0.02, which was 1 damage
	Oda_Shingen_TBH = 0.05
	Oda_Shingen_LOS = 0
	
	Royce_Explosion_Damage = 2.5 * Royce_DPS

	Smasher_Launcher_NPC_Damage = 1.5
	Smasher_Launcher_TBH = 0.1
	Smasher_Launcher_LOS = 0

	Smasher_Shotgun_NPC_Damage = 1--Maybe uselss
	Smasher_Shotgun_TBH = 0.1
	Smasher_Shotgun_LOS = 0
	
	Smasher_Minigun = 0.6 * Smasher_DPS/3.5 --Default 0.05, 1 or 2 damage
	Smasher_Shotgun = 1.2 * Smasher_DPS/3.5 --Default 0.125, also pretty much nothing
	
	Smasher_HMG_NPC_Damage = 0.45 --Also probably useless
	Smasher_HMG_TBH = 0.05
	Smasher_HMG_LOS = 0
	
	Wyvern_NPC_Damage = 0.3
	Wyvern_TBH = 0.1
	Wyvern_LOS = 1.0
	Wyvern_Accuracy = -20
	
	Octant_NPC_Damage = 0.3
	Octant_TBH = 0.1
	Octant_LOS = 1.0

	Griffin_Rifle_NPC_Damage = 0.3
	Griffin_Rifle_TBH = 0.1
	Griffin_Rifle_LOS = 1.0


	--Some special cases
	createConstantStatModifier("OvertureNPCROF", "Multiplier", "BaseStats.CycleTime", 1/Overture_ROF)
	createConstantStatModifier("Wyvern_Accuracy", "Additive", "BaseStats.Accuracy", Wyvern_Accuracy)
	TweakDB:SetFlat("Attacks.OdaSmartRifleDamage.value", Oda_Gun_DPS)
	TweakDB:SetFlat("Attacks.RoyceSplashExplosionDamage.value", Royce_Explosion_Damage)
	TweakDB:SetFlat("Attacks.RoyceProjectileExplosionDamage.value", Royce_Explosion_Damage)
	TweakDB:SetFlat("Attacks.RoyceProjectileExplosionWeakDamage.value", Royce_Explosion_Damage/2)
	
	HMGBaseList = {}
	for i=0, 12 do
		table.insert(HMGBaseList, "Items.Base_HMG_NPC_Data_inline"..i)
	end
	
	SmasherHMGBaseList = {}
	for i=0, 12 do
		table.insert(SmasherHMGBaseList, "Items.Base_HMG_NPC_Data_inline"..i)
	end
	
	TweakDB:SetFlat("Attacks.SmasherMinigunDamage.value", Smasher_Minigun)
	TweakDB:SetFlat("Attacks.SmasherShotgunDamage.value", Smasher_Shotgun)
	SmasherShotgunBaseList = {}
	for i=0, 12 do
		table.insert(SmasherShotgunBaseList, "Items.Base_HMG_NPC_Data_inline"..i)
	end
	TweakDB:SetFlat("Items.Base_HMG_NPC_RPG_Stats_inline5.value", HMG_NPC_Damage)
	
	TweakDB:SetFlat("Items.Octant_Autocannon_Handling_Stats_inline11.value", 0)
	
	createNPCWeaponData("Items.Base_Achilles_inline10", {}, Achilles_NPC_Damage, Achilles_TBH, Achilles_LOS)
	createNPCWeaponData("Items.Base_Ajax_inline1", {}, Ajax_NPC_Damage, Ajax_TBH, Ajax_LOS)
	createNPCWeaponData("Items.Base_Ashura_inline1", {}, Ashura_NPC_Damage, Ashura_TBH, Ashura_LOS)
	createNPCWeaponData("Items.Base_Baton_inline16", {}, Baton_NPC_Damage, Baton_TBH, Baton_LOS)
	createNPCWeaponData("Items.Base_Burya_inline9", {}, Burya_NPC_Damage, Burya_TBH, Burya_LOS)
	createNPCWeaponData("Items.Base_Carnage_inline1", {}, Achilles_NPC_Damage, Achilles_TBH, Achilles_LOS)
	createNPCWeaponData("Items.Base_Copperhead_inline1", {}, Copperhead_NPC_Damage, Copperhead_TBH, Copperhead_LOS)
	createNPCWeaponData("Items.Base_Chao_inline9", {}, Chao_NPC_Damage, Chao_TBH, Chao_LOS)
	createNPCWeaponData("Items.Base_Crusher_inline9", {}, Crusher_NPC_Damage, Crusher_TBH, Crusher_LOS)
	createNPCWeaponData("Items.Base_Defender_inline0", {"Items.Base_Lightmachinegun_NPC_Data_inline0"}, Defender_NPC_Damage, Defender_TBH, Defender_LOS)
	createNPCWeaponData("Items.Base_Dian_inline1", {}, Dian_NPC_Damage, Dian_TBH, Dian_LOS)
	createNPCWeaponData("Items.Base_Fists_inline21", {}, Fists_NPC_Damage, Fists_TBH, Fists_LOS)
	createNPCWeaponData("Items.Preset_HMG_Default_inline1", HMGBaseList, HMG_NPC_Damage, HMG_TBH, HMG_LOS)
	createNPCWeaponData("Items.Base_Igla_inline1", {}, Igla_NPC_Damage, Igla_TBH, Igla_LOS)
	createNPCWeaponData("Items.Base_Katana_inline3", {}, Katana_NPC_Damage, Katana_TBH, Katana_LOS)
	createNPCWeaponData("Items.Base_Kenshin_inline9", {}, Kenshin_NPC_Damage, Kenshin_TBH, Kenshin_LOS)
	createNPCWeaponData("Items.Base_Knife_inline3", {}, Knife_NPC_Damage, Knife_TBH, Knife_LOS)
	createNPCWeaponData("Items.Base_Lexington_inline1", {}, Lexington_NPC_Damage, Lexington_TBH, Lexington_LOS)
	createNPCWeaponData("Items.Base_Liberty_inline1", {}, Liberty_NPC_Damage, Liberty_TBH, Liberty_LOS)
	createNPCWeaponData("Items.Base_Masamune_inline1", {}, Masamune_NPC_Damage, Masamune_TBH, Masamune_LOS)
	createNPCWeaponData("Items.Base_Nekomata_inline9", {}, Nekomata_NPC_Damage, Nekomata_TBH, Nekomata_LOS)
	createNPCWeaponData("Items.Base_Nova_inline1", {}, Nova_NPC_Damage, Nova_TBH, Nova_LOS)
	createNPCWeaponData("Items.Base_Nue_inline2", {}, Nue_NPC_Damage, Nue_TBH, Nue_LOS)
	createNPCWeaponData("Items.Base_Omaha_inline9", {}, Omaha_NPC_Damage, Omaha_TBH, Omaha_LOS)
	createNPCWeaponData("Items.Base_One_Hand_Blade_inline6", {}, One_Hand_Blade_NPC_Damage, One_Hand_Blade_TBH, One_Hand_Blade_LOS)
	createNPCWeaponData("Items.Base_One_Hand_Blunt_inline8", {}, One_Hand_Blunt_NPC_Damage, One_Hand_Blunt_TBH, One_Hand_Blunt_LOS)
	createNPCWeaponData("Items.Base_Overture_inline10", {"OvertureNPCROF"}, Overture_NPC_Damage, Overture_TBH, Overture_LOS)
	createNPCWeaponData("Items.Base_Palica_inline1", {}, Palica_NPC_Damage, Palica_TBH, Palica_LOS)
	createNPCWeaponData("Items.Base_Pulsar_inline1", {}, Pulsar_NPC_Damage, Pulsar_TBH, Pulsar_LOS)
	createNPCWeaponData("Items.Base_Quasar_inline9", {}, Quasar_NPC_Damage, Quasar_TBH, Quasar_LOS)
	createNPCWeaponData("Items.Base_Saratoga_inline1", {}, Saratoga_NPC_Damage, Saratoga_TBH, Saratoga_LOS)
	createNPCWeaponData("Items.Base_Satara_inline1", {}, Satara_NPC_Damage, Satara_TBH, Satara_LOS)
	createNPCWeaponData("Items.Base_Shingen_inline9", {}, Shingen_NPC_Damage, Shingen_TBH, Shingen_LOS)
	createNPCWeaponData("Items.Base_Sidewinder_inline1", {}, Sidewinder_NPC_Damage, Sidewinder_TBH, Sidewinder_LOS)
	createNPCWeaponData("Items.Base_Sor22_inline1", {}, Sor22_NPC_Damage, Sor22_TBH, Sor22_LOS)
	createNPCWeaponData("Items.Base_Tactician_inline1", {}, Tactician_NPC_Damage, Tactician_TBH, Tactician_LOS)
	createNPCWeaponData("Items.Base_Testera_inline1", {}, Testera_NPC_Damage, Testera_TBH, Testera_LOS)
	createNPCWeaponData("Items.Base_Two_Hand_Blunt_inline3", {}, Two_Hand_Blunt_NPC_Damage, Two_Hand_Blunt_TBH, Two_Hand_Blunt_LOS)
	createNPCWeaponData("Items.Base_Two_Hand_Hammer_inline4", {}, Two_Hand_Hammer_NPC_Damage, Two_Hand_Hammer_TBH, Two_Hand_Hammer_LOS)
	createNPCWeaponData("Items.Base_Unity_inline1", {}, Unity_NPC_Damage, Unity_TBH, Unity_LOS)
	createNPCWeaponData("Items.Base_Yukimura_inline9", {}, Yukimura_NPC_Damage, Yukimura_TBH, Yukimura_LOS)
	createNPCWeaponData("Items.Base_Zhuo_inline1", {}, Zhuo_NPC_Damage, Zhuo_TBH, Zhuo_LOS)
	createNPCWeaponData("Items.Base_Strong_Arms_NPC_Data", {}, Strong_Arms_NPC_Damage, Strong_Arms_TBH, Strong_Arms_LOS)
	createNPCWeaponData("Items.NPC_Mantis_Blades_inline1", {}, Mantis_Blades_NPC_Damage, Mantis_Blades_TBH, Mantis_Blades_LOS)
	createNPCWeaponData("Items.NPC_Strong_Arms_inline1", {}, Achilles_NPC_Damage, Achilles_TBH, Achilles_LOS)
	createNPCWeaponData("Items.Oda_Shingen_inline4", {}, Oda_Shingen_NPC_Damage, Oda_Shingen_TBH, Oda_Shingen_LOS)
	createNPCWeaponData("Items.Smasher_Launcher_Base_inline0", {}, Smasher_Launcher_NPC_Damage, Smasher_Launcher_TBH, Smasher_Launcher_LOS)
	createNPCWeaponData("Items.Smasher_Auto_Shotgun_inline0", SmasherShotgunBaseList, Smasher_Shotgun_NPC_Damage, Smasher_Shotgun_TBH, Smasher_Shotgun_LOS)
	createNPCWeaponData("Items.Smasher_HMG_inline1", SmasherHMGBaseList, Smasher_HMG_NPC_Damage, Smasher_HMG_TBH, Smasher_HMG_LOS)
	createNPCWeaponData("Items.Wyvern_Rifle_inline0", {"Wyvern_Accuracy"}, Wyvern_NPC_Damage, Wyvern_TBH, Wyvern_LOS)
	createNPCWeaponData("Items.Octant_Autocannon_inline0", {}, Octant_NPC_Damage, Octant_TBH, Octant_LOS)
	createNPCWeaponData("Items.Griffin_Rifle_inline0", {}, Griffin_Rifle_NPC_Damage, Griffin_Rifle_TBH, Griffin_Rifle_LOS)

	--NPCStatPreset.Mq025_TwinHealth specific stats
	
	--Fix Aaron McCarlson
	TweakDB:SetFlat("Character.sts_wat_nid_07_aaron.reactionPreset", "ReactionPresets.Police_Passive")
	
	--Civilians don't lose their shit when you take fall damage
	TweakDB:SetFlat("ReactionPresets.Civilian_Neutral_inline23.stimulus", "000000000000")
	
	--Fix auto detection on camera turn off, turret override, etc.
	TweakDB:SetFlat("ReactionPresets.Ganger_Aggressive_inline4.stimulus", "00000000000")
	TweakDB:SetFlat("ReactionPresets.Corpo_Aggressive_inline4.stimulus", "00000000000")
	TweakDB:SetFlat("ReactionPresets.Lore_Aggressive_inline3.stimulus", "00000000000")
	TweakDB:SetFlat("ReactionPresets.Mechanical_Aggressive_inline4.stimulus", "000000000")
	
	--AI General Settings
	Shooting_Types = {"Burst", "Machinegun", "FullAuto", "FullAutoSmart", "FullAutoPistol", "SemiAuto", "ShotgunPistol", "Shotgun"}
	for i, v in ipairs(Shooting_Types) do
	for a=1, 5 do
	
		for b = 0, 20 do
			TweakDB:SetFlat("ShootingPatterns.Close_"..v.."ShootingPattern_"..a.."_inline"..b..".delay", math.random()/3 + .3)
			TweakDB:SetFlat("ShootingPatterns.Long_"..v.."ShootingPattern_"..a.."_inline"..b..".delay", math.random()/3 + .3)
			TweakDB:SetFlat("ShootingPatterns.Medium_"..v.."ShootingPattern_"..a.."_inline"..b..".delay", math.random()/3 + .3)


		end
	end
	end
	
	--Increase knockdown, stagger, and impulse thresholds
	TweakDB:SetFlat("Character.NPC_Base_Primary_Stat_ModGroup_inline4.value", 60)
	TweakDB:SetFlat("Character.NPC_Base_Primary_Stat_ModGroup_inline3.value", 40)
	TweakDB:SetFlat("Character.NPC_Base_Primary_Stat_ModGroup_inline2.value", 30)
	
	--Increase silenced gunshot sound range
	TweakDB:SetFlat("stims.SilencedGunshotStimuli.radius", 15 )--default 3

	--Make enemies see upwards
	TweakDB:SetFlat("Senses.Combat_inline0.halfHeight", 10 * Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.Combat_inline1.halfHeight", 10* Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.Combat_SeeThroughWalls_inline0.halfHeight", 10* Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.Combat_SeeThroughWalls_inline1.halfHeight", 10* Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.MP_Alerted_inline0.halfHeight", 30* Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.MP_Alerted_inline1.halfHeight", 2* Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.MP_Default_inline0.halfHeight", 30* Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.MP_Default_inline1.halfHeight", 1* Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.Peripheral.halfHeight", 1 * Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.PeripheralClose.halfHeight", 1.6 * Enemy_Sight_Height)
	TweakDB:SetFlat("Senses.PeripheralMedium.halfHeight", 7 * Enemy_Sight_Height)

	--Increase detection range (defaults all 30)
	TweakDB:SetFlat("Senses.AttentionDetectionCurve.maxDistance", 30 * Detection_Distance) 
	TweakDB:SetFlat("Senses.DefaultDetectionCurve.maxDistance", 30* Detection_Distance) 
	TweakDB:SetFlat("Senses.SniperAttentionDetectionCurve.maxDistance", 30* Detection_Distance)
	TweakDB:SetFlat("Senses.SniperDefaultDetectionCurve.maxDistance", 30* Detection_Distance)
	TweakDB:SetFlat("Senses.SniperStealthDetectionCurve.maxDistance", 30* Detection_Distance)
	TweakDB:SetFlat("Senses.TransparentMaterialDetectionCurve.maxDistance", 30* Detection_Distance)

	--Lower line of sight TBH time (each of these is half of what it used to be. probably unused)
	TweakDB:SetFlat("AttackModifier.AssaultRifleMinLineOfSight.value", 0.75 * LOS_Mult)
	TweakDB:SetFlat("AttackModifier.DualShotgunMinLineOfSight.value", 0.75* LOS_Mult)
	TweakDB:SetFlat("AttackModifier.HandgunMinLineOfSight.value", 0.5* LOS_Mult)
	TweakDB:SetFlat("AttackModifier.HMGMinLineOfSight.value", 1.5* LOS_Mult)
	TweakDB:SetFlat("AttackModifier.LMGMinLineOfSight.value", 1.5* LOS_Mult)
	TweakDB:SetFlat("AttackModifier.PrecisionRifleMinLineOfSight.value", .75* LOS_Mult)
	TweakDB:SetFlat("AttackModifier.RevolverMinLineOfSight.value", .75* LOS_Mult)
	TweakDB:SetFlat("AttackModifier.ShotgunMinLineOfSight.value", .75* LOS_Mult)
	TweakDB:SetFlat("AttackModifier.SMGMinLineOfSight.value", 0.5* LOS_Mult)
	TweakDB:SetFlat("AttackModifier.SniperRifleMinLineOfSight.value", 1.5* LOS_Mult)
	
	--Can't just back away from melee enemies
	TweakDB:SetFlat("Items.Base_Knife_NPC_Stats_inline0.value", 0.1 * Melee_Snapping)
	TweakDB:SetFlat("Items.Base_One_Hand_Blade_NPC_Stats_inline0.value", 0.1* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_One_Hand_Blunt_NPC_Stats_inline0.value", 0.1* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_Fists_NPC_Stats_inline0.value", 0.1* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_Two_Hand_Blade_NPC_Stats_inline0.value", 0.15* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_Two_Hand_Blunt_NPC_Stats_inline0.value", 0.15* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_Two_Hand_Hammer_NPC_Stats_inline0.value", 0.15* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_Katana_NPC_Stats_inline0.value", 0.15* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_Mantis_Blades_NPC_Stats_inline0.value", 0.15* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_Strong_Arms_NPC_Stats_inline0.value", 0.1* Melee_Snapping)
	TweakDB:SetFlat("Items.Base_Baton_NPC_Stats_inline0.value", 0.15* Melee_Snapping)


	--Smart guns
	
	--Remove modifier that makes them do 5x less damage
	TweakDB:SetFlat("AttackModifier.SmartGunTBHModifier.value", .75)
	
	--Increase curving
	TweakDB:SetFlat("Items.Base_NPC_SmartGun_Stats_inline5.value", 0.45)
	
	--Lock time
	TweakDB:SetFlat("Items.Base_NPC_SmartGun_Stats_inline0.value", 0.5)

	--Lockout time
	TweakDB:SetFlat("Items.Base_NPC_SmartGun_Stats_inline1.value", 0.01)
	
	--Increased velocity
	TweakDB:SetFlat("Items.Base_NPC_SmartGun_Stats_inline9.value", 75)

	--DPS (maybe unused?)
	TweakDB:SetFlat("AttackModifier.SmartWeaponDPSReduction.value", 1) --Original 0.55
	
	
	--Increase accuracy
	createConstantStatModifier("SmartGunAccuracyIncrease", "Additive", "BaseStats.Accuracy", -10) --Yes negative
	SmartGunTable = {}
	for i=0,10 do
		table.insert(SmartGunTable, "Items.Base_NPC_SmartGun_Stats_inline"..i)
	end
	table.insert(SmartGunTable, "AttackModifier.SmartGunTBHModifier")
	table.insert(SmartGunTable, "SmartGunAccuracyIncrease")

	TweakDB:SetFlat("Items.Base_NPC_SmartGun_Stats.statModifiers", SmartGunTable)

	--Minotaur Smart guns
	
	--Velocity
	TweakDB:SetFlat("Items.Minotaur_HMG_NPC_SmartGun_Stats_inline9.value", 100)
	
	--Curve
	TweakDB:SetFlat("Items.Minotaur_HMG_NPC_SmartGun_Stats_inline5.value", 0.15)
	
	--Lock timeout
	TweakDB:SetFlat("Items.Minotaur_HMG_NPC_SmartGun_Stats_inline1.value", 0.01)
	
	--Pitch
	TweakDB:SetFlat("Items.Minotaur_HMG_NPC_SmartGun_Stats_inline2.value", 0)
	
	--Accuracy increase
	MinotaurSmartTable = {}
	for i=0, 9 do
		table.insert(MinotaurSmartTable, "Items.Minotaur_HMG_NPC_SmartGun_Stats_inline"..i)
	end
	table.insert(MinotaurSmartTable, "SmartGunAccuracyIncrease")
	TweakDB:SetFlat("Items.Minotaur_HMG_NPC_SmartGun_Stats.statModifiers", MinotaurSmartTable)
	
	
	--Probably unused
	
	--LMGs
	TweakDB:SetFlat("AttackModifier.LMGMinTBH.value", .1) --Original 0.333333
	
	--Assault Rifles
	TweakDB:SetFlat("AttackModifier.AssaultRifleMinTBH.value", 0.2) --Original 0.4
	
	--Revolvers
	TweakDB:SetFlat("AttackModifier.RevolverMinTBH.value", 0.25) --Original 0.4
	
	--SMGs
	TweakDB:SetFlat("AttackModifier.SMGMinTBH.value", 0.2) --Original 0.333
	
	--Handguns
	TweakDB:SetFlat("AttackModifier.HandgunMinTBH.value", 0.3) --Original 0.4
	
	--Sniper rifle
	TweakDB:SetFlat("AttackModifier.SniperRifleMinTBH.value", 2) --Original 3
	
	--HMG
	TweakDB:SetFlat("AttackModifier.HMGDamageMultiplier.value", 25) --Original 2.5
	
	--Dual Shotguns
	
	--TBH
	TweakDB:SetFlat("AttackModifier.DualShotgunMinTBH.value", 1) --Original 1
	
	--Damage
	--TweakDB:SetFlat("AttackModifier.DualShotgunNPCDamageMultiplier.value", 3.5) --Original 1.3
	
	--Shotguns
	
	--TBH
	TweakDB:SetFlat("AttackModifier.ShotgunMinTBH.value", 1) --Original 1
	
	--Damage
	TweakDB:SetFlat("AttackModifier.ShotgunNPCDamageMultiplier.value", 1.3) --Original 1.3

	
	--NPC stats
	
	--NPC damage
	TweakDB:SetFlat("Character.NPC_Base_Primary_Stat_ModGroup_inline49.value", NPC_DPS) --General enemies
	TweakDB:SetFlat("Character.NPC_Oda_Primary_Stat_ModGroup_inline48.value", Oda_DPS) --Oda
	TweakDB:SetFlat("Character.NPC_Sasquatch_Primary_Stat_ModGroup_inline47.value", Sasquatch_DPS) --Sasquatch
	TweakDB:SetFlat("Character.NPC_Royce_Primary_Stat_ModGroup_inline48.value", Royce_DPS) --Royce
	TweakDB:SetFlat("Character.NPC_Smasher_Primary_Stat_ModGroup_inline49.value", Smasher_DPS) --Smasher
	TweakDB:SetFlat("Character.Mech_Primary_Stat_ModGroup_inline28.value", Mech_DPS) --Mechs (Additive multiplier)
	TweakDB:SetFlat("Character.Android_Primary_Stat_ModGroup_inline46.value", Android_DPS) --Androids
	TweakDB:SetFlat("Character.Drone_Primary_Stat_ModGroup_inline20.value", Drone_DPS) --Drones
	createConstantStatModifier("Exo_SuitDPSModifier", "Multiplier", "BaseStats.NPCDamage", Exo_Suit_DPS)
	createConstantStatModifier("CyberpsychoDPSModifier", "Multiplier", "BaseStats.NPCDamage", Cyberpsycho_DPS)
	
	--HP change
	createConstantStatModifier("NPCHPModifier", "Multiplier", "BaseStats.Health", NPC_Health)
	createConstantStatModifier("OdaHPModifier", "Multiplier", "BaseStats.Health", Oda_Health)
	createConstantStatModifier("RoyceHPModifier", "Multiplier", "BaseStats.Health", Royce_Health)
	createConstantStatModifier("SasquatchHPModifier", "Multiplier", "BaseStats.Health", Sasquatch_Health)
	createConstantStatModifier("SmasherHPModifier", "Multiplier", "BaseStats.Health", Smasher_Health)
	createConstantStatModifier("MechHPModifier", "Multiplier", "BaseStats.Health", Mech_Health)
	createConstantStatModifier("AndroidHPModifier", "Multiplier", "BaseStats.Health", Android_Health)
	TweakDB:SetFlat("Character.Drone_Primary_Stat_ModGroup_inline21.value", Drone_Health)
	TweakDB:SetFlat("Character.exo_npc_base_stats_inline0.value", Exo_Suit_Health)
	createConstantStatModifier("CyberpsychoHPModifier", "Multiplier", "BaseStats.Health", Cyberpsycho_HP)
	TweakDB:SetFlat("NPCStatPreset.Mq025_TwinHealth_inline0.value", 7 * Twins_Health)
	
	--Armor change
	createConstantStatModifier("NPCArmorModifier", "Additive", "BaseStats.Armor", NPC_Armor)
	createConstantStatModifier("OdaArmorModifier", "Additive", "BaseStats.Armor", Oda_Armor)
	createConstantStatModifier("RoyceArmorModifier", "Additive", "BaseStats.Armor", Royce_Armor)
	createConstantStatModifier("SasquatchArmorModifier", "Additive", "BaseStats.Armor", Sasquatch_Armor)
	createConstantStatModifier("SmasherArmorModifier", "Additive", "BaseStats.Armor", Smasher_Armor)
	createConstantStatModifier("MechArmorModifier", "Additive", "BaseStats.Armor", Mech_Armor)
	createConstantStatModifier("AndroidArmorModifier", "Additive", "BaseStats.Armor", Android_Armor)
	createConstantStatModifier("DroneArmorModifier", "Additive", "BaseStats.Armor", Drone_Armor)
	createConstantStatModifier("Exo_SuitArmorModifier", "Additive", "BaseStats.Armor", Exo_Suit_Armor)
	createConstantStatModifier("CyberpsychoArmorModifier", "Additive", "BaseStats.Armor", Cyberpsycho_Armor)

	--Put it all together
	buildBaseModifierList("Character.NPC_Base_Primary_Stat_ModGroup", 49, {"NPCHPModifier", "NPCArmorModifier"})
	buildBaseModifierList("Character.NPC_Oda_Primary_Stat_ModGroup", 48, {"OdaHPModifier", "OdaArmorModifier"})
	buildBaseModifierList("Character.NPC_Royce_Primary_Stat_ModGroup", 48, {"RoyceHPModifier", "RoyceArmorModifier"})
	buildBaseModifierList("Character.NPC_Sasquatch_Primary_Stat_ModGroup", 47, {"SasquatchHPModifier", "SasquatchArmorModifier"})
	buildBaseModifierList("Character.NPC_Smasher_Primary_Stat_ModGroup", 49, {"SmasherHPModifier", "SmasherArmorModifier"})
	buildBaseModifierList("Character.Mech_Primary_Stat_ModGroup", 29, {"AttackModifier.MinotaurHGMMinTBH", "MechArmorModifier", "MechHPModifier"})
	buildBaseModifierList("Character.Android_Primary_Stat_ModGroup", 46, {"AndroidArmorModifier", "AndroidHPModifier"})
	buildBaseModifierList("Character.Drone_Primary_Stat_ModGroup", 21, {"DroneArmorModifier"})
	buildBaseModifierList("Character.exo_npc_base_stats", 39, {"Exo_SuitDPSModifier", "Exo_SuitArmorModifier"})
	buildBaseModifierList("Character.Cyberpsycho_ModGroup", 9, {"CyberpsychoHPModifier", "CyberpsychoArmorModifier", "CyberpsychoDPSModifier"})

	Cyberpsycho_Modifiers = {}
	for i =0, 9 do
		table.insert(Cyberpsycho_Modifiers, "Character.Cyberpsycho_ModGroup_inline"..i)
	end
	table.insert(Cyberpsycho_Modifiers, "CyberpsychoHPModifier")
	table.insert(Cyberpsycho_Modifiers, "CyberpsychoDPSModifier")
	table.insert(Cyberpsycho_Modifiers, "CyberpsychoArmorModifier")
	TweakDB:SetFlat("Character.Cyberpsycho_ModGroup.statModifiers", Cyberpsycho_Modifiers)
	
	--Mechs
	
	--Mech Weakspot health
	TweakDB:SetFlat("Weakspots.Mech_Weapon_Weakspot_Stats_inline0.value", 0.2) --Default 0.1
	
	--Mech hacking resistance
	TweakDB:SetFlat("Character.Mech_Primary_Stat_ModGroup_inline1.value", Mech_Quickhack_Cost_Increase)
	
	--Remove Overload destroying weakspot effect
	TweakDB:SetFlat("AdamSmasher.OverloadWeakspotEffector.statusEffect", "0000000000000")
	TweakDB:SetFlat("Minotaur.OverloadWeakspotEffector.statusEffect", "0000000000000")
	TweakDB:SetFlat("Minotaur.RemoveOverloadWeakspotEffectEffector.statusEffect", "0000000000000")
	TweakDB:SetFlat("Oda.OverloadWeakspotEffector.statusEffect", "0000000000000")
	TweakDB:SetFlat("Royce.OverloadWeakspotEffector.statusEffect", "0000000000000")
	TweakDB:SetFlat("Sasquatch.OverloadWeakspotEffector.statusEffect", "0000000000000")

	--Fix Weakspot explosion damage
	TweakDB:SetFlat("Attacks.MinotaurWeakspotExplosionDamage.refStat", "BaseStats.Health")
	TweakDB:SetFlat("Attacks.MinotaurWeakspotExplosionDamage.value", .45)

	--TBH
	TweakDB:SetFlat("AttackModifier.MinotaurHGMMinTBH.value", 0.05) --0.2
	
	--Turrets
	
	--TBH
	TweakDB:SetFlat("Devices.SecurityTurret_inline4.value", 0.1 * Randomness_Modifier) --0.4
	
	--Health
	TweakDB:SetFlat("Devices.SecurityTurret_inline6.value", 3) --1.5
	
	--DPS (Sets damage to NPCs or something)
	TweakDB:SetFlat("Devices.SecurityTurret_inline7.value", 0.01) --1.5
	
	--NPC Damage(Sets damage to NPCs or something)
	TweakDB:SetFlat("Devices.SecurityTurret_inline8.value", 0.01) --1.5

	--Accuracy
	TweakDB:SetFlat("Devices.SecurityTurret_inline5.value", 2.5) --2.5
	
	
	--Movement Speed
	TweakDB:SetFlat("AIGeneralSettings.movement.jogScale", AI_Speed)
	TweakDB:SetFlat("AIGeneralSettings.movement.othersScale", AI_Speed)
	TweakDB:SetFlat("AIGeneralSettings.movement.sprintScale", AI_Speed)
	TweakDB:SetFlat("AIGeneralSettings.movement.walkScale", AI_Speed)

	--Cover time
	--TweakDB:SetFlat("CorpoNetrunner.ChillInCover_inline0.duration", 2)
	--TweakDB:SetFlat("CorpoNetrunner.ChillInCover_inline2.duration", 2)

	--Arasaka chase drones
	createConstantStatModifier("ChaseDroneHPReduction", "Multiplier", "BaseStats.Health", 0.3)
	createConstantStatModifier("ChaseDroneDamageReduction", "Multiplier", "BaseStats.NPCDamage", 0.2)
	TweakDB:SetFlat("Character.q005_arasaka_chase_drone.statModifiers", {"ChaseDroneHPReduction", "ChaseDroneDamageReduction"})
	TweakDB:SetFlat("Character.q005_arasaka_chase_drone_support.statModifiers", {"ChaseDroneHPReduction", "ChaseDroneDamageReduction"})

	--Powerful minibosses
	Miniboss_List = {"ma_bls_ina_se1_17_outpost_miniboss", 
					"ma_bls_se5_07_outpost_miniboss",
					"ma_hey_gle_02_outpost_miniboss",
					"ma_hey_rey_06_outpost_miniboss",
					"ma_hey_spr_11_outpost_miniboss",
					"ma_pac_cvi_12_outpost_miniboss",
					"ma_pac_wwd_02_outpost_miniboss",
					"ma_std_arr_03_outpost_miniboss",
					"ma_std_rcr_08_outpost_miniboss",
					"ma_std_rcr_18_outpost_miniboss",
					"ma_wat_lch_01_outpost_miniboss",
					"ma_wat_lch_08_outpost_miniboss",
					"ma_wat_nid_01_outpost_miniboss",
					"ma_wat_nid_06_outpost_miniboss",
					"ma_wbr_jpn_20_outpost_miniboss"}		
					
	createConstantStatModifier("MinibossHPModifier", "Multiplier", "BaseStats.Health", Miniboss_HP)
	createConstantStatModifier("MinibossDPSModifier", "Multiplier", "BaseStats.NPCDamage", Miniboss_DPS)
	createConstantStatModifier("MinibossArmorModifier", "Multiplier", "BaseStats.Armor", Miniboss_Armor)
	Miniboss_Modifiers = {"Character.little_china_base_power_level", "MinibossHPModifier", "MinibossDPSModifier", "MinibossArmorModifier"}
	Miniboss_Rarity = "NPCRarity.Elite"
	if Powerful_Minibosses then
		table.insert(Miniboss_Modifiers, "Character.Cyberpsycho_ModGroup_inline7")
		table.insert(Miniboss_Modifiers, "Character.Cyberpsycho_ModGroup_inline8")
		Miniboss_Modifiers = {"MinibossHPModifier", "MinibossDPSModifier", "MinibossArmorModifier", "Character.little_china_base_power_level", "Character.Cyberpsycho_ModGroup_inline7", "Character.Cyberpsycho_ModGroup_inline8", "Character.ma_wat_lch_08_outpost_miniboss_inline2", "Character.ma_wat_lch_08_outpost_miniboss_inline3"}
		Miniboss_Rarity = "NPCRarity.Boss"
	end
	for i,v in ipairs(Miniboss_List) do
		TweakDB:SetFlat("Character."..v..".rarity", Miniboss_Rarity)
		TweakDB:SetFlat("Character."..v..".statModifiers", Miniboss_Modifiers)
	end
	
	--Weyland Damage Nerf (bc apparently he's a fuckin monster)
	createConstantStatModifier("WeylandDamageNerf", "Multiplier", "BaseStats.DPS", 0.5)
	TweakDB:SetFlat("Character.Weyland.statModifiers", {"WeylandDamageNerf"})
	
	--Easier early game mechs
	createConstantStatModifier("EarlyGameMechHPReduction", "Multiplier", "BaseStats.Health", 0.4)
	createConstantStatModifier("EarlyGameMechDPSReduction", "Multiplier", "BaseStats.DPS", 0.5)
	TweakDB:SetFlat("Character.q005_arasaka_kill_squad_mech.statModifiers", {"EarlyGameMechHPReduction", "EarlyGameMechDPSReduction"})
	TweakDB:SetFlat("Character.q003_militech_mech", {"EarlyGameMechHPReduction", "EarlyGameMechDPSReduction"})
	
	--Lower Twins HP
	createConstantStatModifier("TwinsHPModifier", "Multiplier", "BaseStats.Health", Twins_Health)
	TweakDB:SetFlat("Character.mq025_twinsCommon.statModifiers", {"TwinsHPModifier"})
	
	--Remove healing from bosses
	
	--Effect
	createConstantStatModifier("NegateHealing", "Multiplier", "BaseStats.CanUseCombatStims", 0)
	
	--Boxing enemies
	TweakDB:SetFlat("Character.mq025_twinsCommon.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.mq025_buck.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.mq025_rhino.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.mq025_razor.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.mq025_ozob_fist_fight.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.mq025_twin_02.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.mq025_twin_01.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.mq025_cesar.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.q001_training_robot.statModifiers", {"NegateHealing"})
	
	--Oda
	TweakDB:SetFlat("Character.main_boss_oda.statModifiers", {"NegateHealing"})
	
	--Cyberpsychos
	TweakDB:SetFlat("Character.ma_bls_ina_se1_08_cyberpsycho.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.ma_cct_dtn_03_cyberpsycho.statModifiers", {"NegateHealing", "Character.ma_cct_dtn_03_cyberpsycho_inline0"})
	TweakDB:SetFlat("Character.ma_cct_dtn_07_cyberpsycho.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.ma_hey_spr_04_cyberpsycho.statModifiers", {"NegateHealing", "Character.ma_hey_spr_04_cyberpsycho_inline4","Character.ma_hey_spr_04_cyberpsycho_inline5" })
	TweakDB:SetFlat("Character.ma_hey_spr_06_cyberpsycho.statModifiers", {"NegateHealing", "Character.ma_hey_spr_06_cyberpsycho_inline0"})
	TweakDB:SetFlat("Character.ma_pac_cvi_15_cyberpsycho.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.ma_std_arr_06_cyberpsycho.statModifiers", {"NegateHealing"})
	TweakDB:SetFlat("Character.ma_wat_kab_02_cyberpsycho.statModifiers", {"NegateHealing", "NPCStatPreset.MediumHackingResistMod", "Character.ma_wat_kab_02_cyberpsycho_inline0"})
	TweakDB:SetFlat("Character.ma_wat_kab_08_cyberpsycho.statModifiers", {"NegateHealing", "NPCStatPreset.MediumHackingResistMod", "NPCStatPreset.MediumHackingResistMod","Character.maelstrom_fast_fmelee3_mantis_wa_elite_inline6", "Character.maelstrom_fast_fmelee3_mantis_wa_elite_inline7" })
	TweakDB:SetFlat("Character.ma_wat_lch_06_cyberpsycho.statModifiers", {"NegateHealing", "NPCStatPreset.MediumHackingResistMod", "Character.ma_wat_lch_06_cyberpsycho_inline0", "Character.ma_wat_lch_06_cyberpsycho_inline1", "Character.ma_wat_lch_06_cyberpsycho_inline2", "Character.ma_wat_lch_06_cyberpsycho_inline3", "Character.ma_wat_lch_06_cyberpsycho_inline4"})
	TweakDB:SetFlat("Character.rcr_05_cyberpsycho.statModifiers", {"NegateHealing", "NPCStatPreset.MediumHackingResistMod"})
	TweakDB:SetFlat("Character.sts_wat_nid_01_cyberpsycho.statModifiers", {"NegateHealing", "NPCStatPreset.MediumHackingResistMod", "Character.the_mox_elite3_fmelee3_mantis_wa_elite_inline6", "Character.the_mox_elite3_fmelee3_mantis_wa_elite_inline7", "Character.sts_wat_nid_01_cyberpsycho_inline0"})

	
	
	
	--Remove minimum levels from enemy weapons
	Enemy_Groups = {"Animals", "Arasaka2020", "Arasaka", "KangTao", "Maelstrom", "Militech", "Scavenger", "Security", "SixthStreet", "Trauma", "TygerClaws", "Valentinos", "Voodooboys", "Worker", "Wraiths"}
	
	for i,v in ipairs(Enemy_Groups) do
		for a=0, 40 do
			TweakDB:SetFlat("Character."..v.."PrimaryHandgunPool_inline"..a..".minLevel", 0)
			TweakDB:SetFlat("Character."..v.."SecondaryHandgunPool_inline"..a..".minLevel", 0)
			TweakDB:SetFlat("Character."..v.."ShotgunPool_inline"..a..".minLevel", 0)
			TweakDB:SetFlat("Character."..v.."SMGPool_inline"..a..".minLevel", 0)
			TweakDB:SetFlat("Character."..v.."AssaultRiflePool_inline"..a..".minLevel", 0)
			TweakDB:SetFlat("Character."..v.."SniperRiflePool_inline"..a..".minLevel", 0)
			TweakDB:SetFlat("Character."..v.."SniperSMGPool_inline"..a..".minLevel", 0)
			TweakDB:SetFlat("Character."..v.."RiflePool_inline"..a..".minLevel", 0)
			TweakDB:SetFlat("Character."..v.."PrimaryHandgunDualPool_inline"..a..".minLevel", 0)

		end
	end
		
	if Harder_Final_Boss_Fight then
		TweakDB:SetFlat("Character.q113_smasher_arasaka_mantis_inline0.value", 1)
		TweakDB:SetFlat("Character.q113_smasher_arasaka_masamune_inline0.value", 1)
		TweakDB:SetFlat("Character.q113_smasher_arasaka_masamune_inline1.value", 1)
		TweakDB:SetFlat("Character.q113_smasher_arasaka_mechs_inline0.value", 1)
		TweakDB:SetFlat("Character.q113_smasher_arasaka_mechs_inline1.value", 1)
		TweakDB:SetFlat("Character.q113_smasher_arasaka_sniper_inline0.value", 1)
		TweakDB:SetFlat("Character.q113_smasher_arasaka_sniper_inline1.value", 1)
		
	end
	if Cyber_Enemies then
	

		
		--Lower Heal Cooldown
		TweakDB:SetFlat("SpecialActions.CombatStimCooldown.duration", 30)
		
		--Lower health threshold
		TweakDB:SetFlat("Ability.CanUseCombatStims_inline4.valueToCheck", 0.7) --Maybe unimportant
		
		
		
		createConstantStatModifier("Tier2HPIncrease", "Multiplier", "BaseStats.Health", 1.2)
		createConstantStatModifier("Tier3HPIncrease", "Multiplier", "BaseStats.Health", 1.5)

		createConstantStatModifier("Tier2DPSIncrease", "Multiplier", "BaseStats.NPCDamage", 1.2)
		createConstantStatModifier("Tier3DPSIncrease", "Multiplier", "BaseStats.NPCDamage", 1.5)

		createConstantStatModifier("Tier2AccuracyIncrease", "Multiplier", "BaseStats.Accuracy", 1.2)
		createConstantStatModifier("Tier3AccuracyIncrease", "Multiplier", "BaseStats.Accuracy", 1.5)

		createConstantStatModifier("Tier2ThermalResistanceIncrease", "Additive", "BaseStats.ThermalResistance", 15)
		createConstantStatModifier("Tier2ChemicalResistanceIncrease", "Additive", "BaseStats.ChemicalResistance", 15)
		createConstantStatModifier("Tier2ElectricResistanceIncrease", "Additive", "BaseStats.ElectricResistance", 15)
		createConstantStatModifier("Tier3ThermalResistanceIncrease", "Additive", "BaseStats.ThermalResistance", 30)
		createConstantStatModifier("Tier3ChemicalResistanceIncrease", "Additive", "BaseStats.ChemicalResistance", 30)
		createConstantStatModifier("Tier3ElectricResistanceIncrease", "Additive", "BaseStats.ElectricResistance", 30)

		createConstantStatModifier("Tier2HackingResistanceIncrease", "Additive", "BaseStats.HackingResistance", 2)
		createConstantStatModifier("Tier3HackingResistanceIncrease", "Additive", "BaseStats.HackingResistance", 4)

		Tier1List = {"Ability.IsTier1Archetype_inline2", "Ability.CanUseCombatStims"}
		Tier2List = {"Ability.IsTier2Archetype_inline2", "Ability.CanUseCombatStims", "Tier2HPIncrease", "Tier2DPSIncrease", "Tier2AccuracyIncrease", "Tier2ThermalResistanceIncrease", "Tier2ChemicalResistanceIncrease", "Tier2ElectricResistanceIncrease", "Tier2HackingResistanceIncrease"}
		Tier3List = {"Ability.IsTier3Archetype_inline2", "Ability.CanUseCombatStims", "Tier3HPIncrease", "Tier3DPSIncrease", "Tier3AccuracyIncrease", "Tier3ThermalResistanceIncrease", "Tier3ChemicalResistanceIncrease", "Tier3ElectricResistanceIncrease", "Tier3HackingResistanceIncrease"}

		TweakDB:SetFlat("Ability.IsTier1Archetype_inline1.stats", Tier1List)
		TweakDB:SetFlat("Ability.IsTier2Archetype_inline1.stats", Tier2List)
		TweakDB:SetFlat("Ability.IsTier3Archetype_inline1.stats", Tier3List)

	
		--Distribute enemy tiers
				
		--Animals
		
		--Corpo Plaza
		cloneNPCData("Character.animals_elite3_hmelee3_fists_mba_elite", "Character.cpz_animals_grunt1_melee1_baseball_mb")
		cloneNPCData("Character.animals_elite3_shotgun3_carnage_mba_elite", "Character.cpz_animals_grunt1_ranged1_pulsar_mb")
		cloneNPCData("Character.animals_elite2_ranged3_burya_mba_rare", "Character.cpz_animals_grunt2_ranged2_pulsar_mb")
		
		--Coastview
		cloneNPCData("Character.animals_bouncer2_hmelee2_hammer_mba_rare", "Character.cvi_animals_bouncer1_melee1_baton_mb")
		cloneNPCData("Character.animals_bouncer2_ranged2_burya_mb", "Character.cvi_animals_bouncer1_ranged1_omaha_mb")
		cloneNPCData("Character.animals_elite2_hmelee2_hammer_mba_rare", "Character.cvi_animals_grunt1_melee1_baseball_mb")
		
		--Downtown
		cloneNPCData("Character.animals_bouncer3_hmelee3_fists_mba_elite", "Character.dtn_animals_bouncer1_melee1_fists_mb")
		cloneNPCData("Character.animals_bouncer2_ranged2_omaha_mb", "Character.dtn_animals_bouncer1_ranged1_omaha_mb")
		cloneNPCData("Character.animals_bouncer3_hmelee3_fists_mba_elite", "Character.dtn_animals_bouncer2_melee2_fists_mb")
		cloneNPCData("Character.animals_elite2_hmelee2_hammer_mba_rare", "Character.dtn_animals_grunt1_melee1_baseball_mb")
		cloneNPCData("Character.animals_elite3_hmelee3_fists_mba_elite", "Character.dtn_animals_grunt1_melee1_fists_mb")
		cloneNPCData("Character.animals_elite3_shotgun3_carnage_mba_elite", "Character.dtn_animals_grunt1_ranged1_nova_mb")
		cloneNPCData("Character.animals_elite3_shotgun3_carnage_mba_elite", "Character.dtn_animals_grunt1_ranged1_pulsar_mb")
		
		--Wellsprings
		cloneNPCData("Character.animals_elite3_shotgun3_carnage_mba_elite", "Character.spr_animals_bouncer1_ranged1_kenshin_mb")
		cloneNPCData("Character.animals_bouncer2_ranged2_omaha_mb", "Character.spr_animals_bouncer1_ranged1_omaha_mb")
		cloneNPCData("Character.animals_elite2_hmelee2_hammer_mba_rare", "Character.spr_animals_grunt1_melee1_baseball_mb")
		cloneNPCData("Character.animals_grunt2_ranged2_pulsar_mb", "Character.spr_animals_grunt1_ranged1_pulsar_mb")
		
		--West Wind Estate
		cloneNPCData("Character.animals_elite2_hmelee2_hammer_mba_rare", "Character.wwd_animals_grunt1_melee1_baseball_mb")
		
		--GIM
		cloneNPCData("Character.animals_elite3_hmelee3_fists_mba_elite", "Character.q110_mall_animals_grunt1_melee1_fists_mb")
		cloneNPCData("Character.animals_grunt2_ranged2_pulsar_mb", "Character.q110_mall_animals_aftervan_grunt1_ranged1_pulsar_mb")
		cloneNPCData("Character.animals_elite2_ranged3_burya_mba_rare", "Character.q110_mall_animals_grunt1_ranged1_nova_mb")
				
		--Arasaka
		
		--Arroyo
		cloneNPCData("Character.arasaka_ninja_fmelee3_katana_ma_elite", "Character.arr_arasaka_ranger1_melee2_knife_ma")
		cloneNPCData("Character.arasaka_ninja_fmelee3_mantis_wa_elite", "Character.arr_arasaka_ranger1_ranged2_shingen_wa")
		cloneNPCData("Character.arasaka_netrunner_netrunner2_yukimura_ma_rare", "Character.arr_arasaka_soldier2_shotgun2_tactician_mah_rare")
		
		--Corpo Plaza
		cloneNPCData("Character.arasaka_netrunner_netrunner2_yukimura_ma_rare", "Character.cpz_arasaka_agent_fshotgun2_tactician_ma_rare")
		cloneNPCData("Character.arasaka_bodyguard_ranged3_kenshin_mb_rare", "Character.cpz_arasaka_guard2_ranged1_kenshin_ma")
		cloneNPCData("Character.arasaka_ranger1_ranged2_shingen_ma", "Character.cpz_arasaka_guard2_ranged1_shingen_ma")
		cloneNPCData("Character.arasaka_ninja_fmelee3_mantis_ma_elite", "Character.cpz_arasaka_guard2_ranged1_yukimura_ma")
		cloneNPCData("Character.arasaka_cyborg_fshotgun3_zhuo_ma_elite", "Character.cpz_arasaka_guard2_ranged1_shingen_ma")
		cloneNPCData("Character.arasaka_cyborg_grenadier3_yukimura_ma_elite", "Character.cpz_arasaka_guard2_ranged1_yukimura_ma")
		
		--Downtown
		cloneNPCData("Character.arasaka_cyborg_fshotgun3_zhuo_ma_elite", "Character.dtn_arasaka_guard2_melee1_baton_ma")
		cloneNPCData("Character.arasaka_ninja_fmelee3_katana_wa_elite", "Character.dtn_arasaka_guard2_melee1_baton_wa")
		cloneNPCData("Character.arasaka_bodyguard_ranged3_kenshin_mb_rare", "Character.dtn_arasaka_guard2_ranged1_kenshin_ma")
		cloneNPCData("Character.arasaka_cyborg_franged3_shingen_ma_elite", "Character.dtn_arasaka_guard2_ranged1_shingen_ma")
		
		--Charter Hill
		cloneNPCData("Character.arasaka_ranger1_ranged2_shingen_wa", "Character.hil_arasaka_guard2_ranged1_yukimura_wa")
		cloneNPCData("Character.arasaka_bodyguard_ranged3_kenshin_mb_rare", "Character.hil_arasaka_security1_ranged1_kenshin_ma")
		cloneNPCData("Character.arasaka_terminator_shotgun3_zhuo_mah_elite", "Character.hil_arasaka_ranger1_ranged2_shingen_ma")
		cloneNPCData("Character.arasaka_netrunner_netrunner2_yukimura_wa_rare", "Character.hil_arasaka_agent_fshotgun2_tactician_wa_rare")
		
		--Northside
		cloneNPCData("Character.arasaka_sumo_hmelee2_hammer_mb_rare", "Character.nid_arasaka_guard2_ranged1_kenshin_ma")
		
		--North Oak
		cloneNPCData("Character.arasaka_terminator_shotgun3_zhuo_mah_elite", "Character.nok_arasaka_guard2_ranged1_kenshin_ma")
		cloneNPCData("Character.arasaka_netrunner_netrunner2_yukimura_ma_rare", "Character.nok_arasaka_agent_fshotgun2_tactician_ma_rare")
		
		--Rancho Coronado
		cloneNPCData("Character.arasaka_ninja_fmelee3_katana_wa_elite", "Character.rcr_arasaka_guard2_melee1_baton_wa")
		cloneNPCData("Character.arasaka_ninja_fmelee3_katana_ma_elite", "Character.rcr_arasaka_security1_melee1_baton_ma")
		
		--West Wind Estate
		cloneNPCData("Character.arasaka_bodyguard_ranged3_kenshin_mb_rare", "Character.wwd_arasaka_security1_ranged1_kenshin_ma")
		
		--Maelstrom
		
		--Corpo Plaza
		cloneNPCData("Character.maelstrom_fast_franged2_pulsar_ma_rare", "Character.cpz_maelstrom_grunt1_ranged1_copperhead_ma")
		cloneNPCData("Character.maelstrom_netrunner_netrunner2_lexington_ma", "Character.cpz_maelstrom_grunt1_ranged1_lexington_ma")
		cloneNPCData("Character.maelstrom_grunt2_ranged2_copperhead_wa", "Character.cpz_maelstrom_grunt1_ranged1_lexington_wa")
		
		--Downtown
		cloneNPCData("Character.maelstrom_fast_franged2_pulsar_ma_rare", "Character.dtn_maelstrom_grunt1_ranged1_copperhead_ma")
		cloneNPCData("Character.maelstrom_grunt2_ranged2_copperhead_wa", "Character.dtn_maelstrom_grunt1_ranged1_copperhead_wa")
		cloneNPCData("Character.maelstrom_techie_grenadier2_lexington_ma", "Character.dtn_maelstrom_grunt1_ranged1_lexington_ma")
		cloneNPCData("Character.maelstrom_fast_fmelee3_mantis_wa_elite", "Character.dtn_maelstrom_grunt2_melee2_machete_wa")
		
		--Dream On
		cloneNPCData("Character.maelstrom_fast_fmelee3_mantis_wa_elite", "Character.sq006_maelstrom_handgun_easy")
		cloneNPCData("Character.maelstrom_netrunner_netrunner2_lexington_ma", "Character.sq006_maelstrom_shotgun")
		cloneNPCData("Character.maelstrom_strong_gunner2_defender_mb_rare","Character.sq006_maelstrom_rifle_easy")
		cloneNPCData("Character.maelstrom_grunt2_melee2_hammer_wa", "Character.sq031_maelstrom_grunt1_ranged1_lexington_pistol_wa")
		
		--Ebunike
		cloneNPCData("Character.maelstrom_strong_gunner2_defender_mb_rare", "Character.sq031_maelstrom_grunt1_ranged1_copperhead_ma")
		cloneNPCData("Character.maelstrom_grunt2_ranged2_copperhead_wa", "Character.sq031_maelstrom_grunt1_ranged1_copperhead_wa")
		cloneNPCData("Character.maelstrom_techie_grenadier2_lexington_ma", "Character.sq031_maelstrom_grunt1_ranged1_lexington_pistol_ma")
		
		--Militech
		
		--Arroyo
		cloneNPCData("Character.militech_enforcer2_shotgun2_tactician_mah_rare", "Character.arr_militech_ranger1_ranged1_saratoga_ma")
		
		--Badlands
		cloneNPCData("Character.militech_enforcer2_shotgun2_tactician_mah_rare", "Character.bls_se_militech_ranger1_ranged1_saratoga_ma")
		
		--Corpo Plaza
		cloneNPCData("Character.militech_enforcer2_shotgun2_tactician_mah_rare", "Character.cpz_militech_ranger1_ranged1_saratoga_ma")
		
		--Downtown
		cloneNPCData("Character.militech_enforcer2_shotgun2_tactician_mah_rare", "Character.dtn_militech_ranger1_ranged1_saratoga_ma")
		
		--Tyger Claws
		
		--Badlands
		cloneNPCData("Character.tyger_claws_biker3_shotgun2_tactician_wa", "Character.bls_se_tyger_claws_biker1_melee1_baseball_wa")
		cloneNPCData("Character.tyger_claws_biker2_ranged2_copperhead_wa", "Character.bls_se_tyger_claws_biker1_ranged1_nue_wa")
		cloneNPCData("Character.tyger_claws_biker2_ranged2_shingen_wa", "Character.bls_se_tyger_claws_biker1_ranged1_saratoga_wa")
		cloneNPCData("Character.tyger_claws_gangster2_ranged2_sidewinder_wa", "Character.bls_se_tyger_claws_gangster1_ranged1_copperhead_wa")
		
		--Downtown
		cloneNPCData("Character.tyger_claws_ozeki_hmelee3_kanabo_mb", "Character.dtn_tyger_claws_biker1_melee1_baseball_ma")
		cloneNPCData("Character.tyger_claws_ozeki_hmelee3_hammer_mb", "Character.dtn_tyger_claws_biker1_melee1_fists_ma")
		cloneNPCData("Character.tyger_claws_kunoichi_fmelee3_fists_ma_elite", "Character.dtn_tyger_claws_biker1_melee1_tireiron_ma")
		cloneNPCData("Character.tyger_claws_biker3_shotgun3_zhuo_ma_elite", "Character.dtn_tyger_claws_biker1_ranged1_nue_ma") 
		cloneNPCData("Character.tyger_claws_kunoichi_fmelee3_katana_wa_elite", "Character.dtn_tyger_claws_biker1_ranged1_nue_wa")
		cloneNPCData("Character.tyger_claws_gangster3_ranged3_sidewinder_ma", "Character.dtn_tyger_claws_biker1_ranged1_saratoga_ma")
		cloneNPCData("Character.tyger_claws_gangster2_ranged2_shingen_wa", "Character.dtn_tyger_claws_biker1_ranged1_saratoga_wa")
		cloneNPCData("Character.tyger_claws_martial_hmelee3_StrongArms_mb", "Character.dtn_tyger_claws_gangster1_melee1_knife_ma")
		cloneNPCData("Character.tyger_claws_kunoichi_fmelee3_katana_wa_elite", "Character.dtn_tyger_claws_gangster1_melee1_knife_wa")
		cloneNPCData("Character.tyger_claws_biker3_shotgun3_zhuo_ma_elite", "Character.dtn_tyger_claws_gangster1_ranged1_copperhead_ma")
		cloneNPCData("Character.tyger_claws_gangster3_ranged3_sidewinder_ma", "Character.dtn_tyger_claws_gangster1_ranged1_nue_ma")
		
		--Charter Hill
		cloneNPCData("Character.tyger_claws_gangster3_ranged3_sidewinder_ma", "Character.hil_tyger_claws_biker1_ranged1_nue_ma")
		cloneNPCData("Character.hil_tyger_claws_gangster1_melee1_knife_wa", "Character.tyger_claws_kunoichi_fmelee3_katana_wa_elite")
		cloneNPCData("Character.tyger_claws_ozeki_hmelee3_kanabo_mb", "Character.nok_tyger_claws_gangster1_melee1_knife_ma")
		
		--Valentinos
		
		--Arroyo
		cloneNPCData("Character.valentinos_machete_hmelee3_machete_mb_elite", "Character.arr_valentinos_grunt2_melee2_knife_ma")
		
		--Downtown
		cloneNPCData("Character.valentinos_machete_hmelee3_machete_mb_elite", "Character.dtn_valentinos_grunt1_melee1_knife_ma")
		cloneNPCData("Character.valentinos_grunt2_melee2_knife_wa", "Character.dtn_valentinos_grunt1_melee1_knife_wa")
		cloneNPCData("Character.valentinos_shotgun3_shotgun3_testera_ma_elite", "Character.arr_valentinos_grunt1_ranged1_nova_ma")
		cloneNPCData("Character.valentinos_elite3_ranged3_dual_ma_elite", "Character.dtn_valentinos_grunt1_ranged1_nue_ma")
		cloneNPCData("Character.valentinos_grunt2_ranged2_nue_wa", "Character.dtn_valentinos_grunt1_ranged1_nue_wa")
		
		--Glen
		cloneNPCData("Character.valentinos_machete_hmelee3_machete_mb_elite", "Character.gle_valentinos_grunt1_melee1_baseball_ma")
		cloneNPCData("Character.valentinos_grunt2_melee2_knife_ma", "Character.gle_valentinos_grunt1_melee1_knife_ma")
		cloneNPCData("Character.valentinos_grunt2_ranged2_overture_wa", "Character.gle_valentinos_grunt1_ranged1_nova_wa")
		cloneNPCData("Character.valentinos_elite3_ranged3_dual_ma_elite", "Character.gle_valentinos_grunt1_ranged1_nue_ma")
		cloneNPCData("Character.valentinos_shotgun3_shotgun3_testera_ma_elite", "Character.gle_valentinos_grunt2_ranged2_nue_ma")
		
		--Vista Del Rey
		cloneNPCData("Character.valentinos_grunt3_fmelee2_machete_ma_rare", "Character.rey_valentinos_grunt1_melee1_baseball_ma")
		cloneNPCData("Character.valentinos_strong2_shotgun2_igla_ma_rare", "Character.rey_valentinos_grunt1_ranged1_nova_ma")
		cloneNPCData("Character.valentinos_shotgun3_shotgun3_testera_ma_elite", "Character.rey_valentinos_grunt2_ranged2_overture_ma")
		cloneNPCData("Character.valentinos_elite3_ranged3_dual_ma_elite", "Character.rey_valentinos_grunt2_ranged2_nue_ma")
		
		--Wellsprings
		cloneNPCData("Character.valentinos_grunt3_fmelee2_machete_ma_rare", "Character.spr_valentinos_grunt1_melee1_baseball_ma")
		cloneNPCData("Character.valentinos_elite3_ranged3_dual_ma_elite", "Character.spr_valentinos_grunt1_ranged1_nova_ma")
		cloneNPCData("Character.valentinos_elite2_ranged3_dual_ma_rare", "Character.spr_valentinos_grunt1_ranged1_nue_ma")
		
		--Wraiths
		
		--Badlands
		cloneNPCData("Character.wraiths_grunt2_melee2_crowbar_wa", "Character.bls_se_wraiths_grunt1_melee1_ironpipe_wa")
		cloneNPCData("Character.wraiths_warrior3_melee3_hammer_wa_rare", "Character.bls_se_wraiths_grunt1_melee1_tireiron_wa")
		cloneNPCData("Character.wraiths_strongarms_hmelee3_fists_mb_elite", "Character.bls_se_wraiths_grunt2_melee2_crowbar_ma")
		cloneNPCData("Character.wraiths_operator3_shotgun2_crusher_ma_rare", "Character.bls_se_wraiths_grunt1_ranged1_pulsar_ma")
		cloneNPCData("Character.wraiths_warrior3_shotgun3_palica_ma_elite", "Character.bls_se_wraiths_grunt2_ranged2_pulsar_ma")
		cloneNPCData("Character.wraiths_warrior3_ranged3_quasar_wa_rare", "Character.bls_se_wraiths_grunt2_melee2_crowbar_wa")
		
		--Northside
		cloneNPCData("Character.wraiths_warrior3_melee3_hammer_wa_rare", "Character.nid_wraiths_grunt1_ranged1_nova_wa")
		
		
		
		
	end

	if Immersive_Damage_Effects then
	
		--Stun movement
		TweakDB:SetFlat("PlayerLocomotion.player_locomotion_data_Stunned_inline9.value", 1)
		
		
		--Sniper (Nekomata, Ashura, Sor22, Grad, Achilles)
		
		--Large Caliber (Shotguns, lmgs, hmgs)
	
		--Small Caliber (Default)
		
		--Set it as default
		TweakDB:SetFlat("Attacks.NPCBulletEffect.statusEffects", {"SmallCaliberAttackStatusEffect"})
		
		--Attack Status Effect
		TweakDB:CloneRecord("SmallCaliberAttackStatusEffect", "Attacks.LightIncendiaryGrenade_inline0")
		TweakDB:SetFlat("SmallCaliberAttackStatusEffect.statusEffect", "SmallCaliberStatusEffect")
		
		--Status Effect
		TweakDB:CloneRecord("SmallCaliberStatusEffect", "BaseStatusEffect.BlockBroken")
		TweakDB:SetFlat("SmallCaliberStatusEffect.playerData", "SmallCaliberPlayerData")
		
		--Player Data
		TweakDB:CloneRecord("SmallCaliberPlayerData", "BaseStatusEffect.BlockBroken_inline2")
		TweakDB:SetFlat("SmallCaliberPlayerData.cameraShakeStrength", 0.3)
		TweakDB:SetFlat("SmallCaliberPlayerData.impulseDistance", 0)
		
		--Large melee (Hammer, strong arms)
		
		--Small melee (Default)
		
		--Explosions
		
		--Quickhacks
		
	end
	


    end)


function setArchetypeStats(recordName, statsList, HPMult, DPSMult, Armor, Accuracy, ResistanceBonus, QuickhackResistance)
	createConstantStatModifier(recordName.."HPModifier", "Multiplier", "BaseStats.Health", HPMult)
	createConstantStatModifier(recordName.."DPSModifier", "Multiplier", "BaseStats.NPCDamage", DPSMult)
	createConstantStatModifier(recordName.."ArmorModifier", "Additive", "BaseStats.Armor", Armor)
	createConstantStatModifier(recordName.."AccuracyModifier", "Multiplier", "BaseStats.Accuracy", Accuracy)
	createConstantStatModifier(recordName.."ThermalResistance", "Additive", "BaseStats.ThermalResistance", ResistanceBonus)
	createConstantStatModifier(recordName.."ElectricResistance", "Additive", "BaseStats.ElectricResistance", ResistanceBonus)
	createConstantStatModifier(recordName.."ChemicalResistance", "Additive", "BaseStats.ChemicalResistance", ResistanceBonus)
	createConstantStatModifier(recordName.."QuickhackResistance", "Additive", "BaseStats.HackingResistance", QuickhackResistance)

	table.insert(statsList, recordName.."HPModifier")
	table.insert(statsList, recordName.."DPSModifier")
	table.insert(statsList, recordName.."ArmorModifier")
	table.insert(statsList, recordName.."AccuracyModifier")
	table.insert(statsList, recordName.."ThermalResistance")
	table.insert(statsList, recordName.."ElectricResistance")
	table.insert(statsList, recordName.."ChemicalResistance")
	table.insert(statsList, recordName.."QuickhackResistance")

	TweakDB:SetFlat(recordName..".statModifiers", statsList)

end
function cloneNPCData(baseRecordName, newRecordName)
	TweakDB:SetFlat(newRecordName..".abilities", TweakDB:GetFlat(baseRecordName..".abilities"))
	TweakDB:SetFlat(newRecordName..".archetypeData", TweakDB:GetFlat(baseRecordName..".archetypeData"))
	TweakDB:SetFlat(newRecordName..".lootDrop", TweakDB:GetFlat(baseRecordName..".lootDrop"))
	TweakDB:SetFlat(newRecordName..".primaryEquipment", TweakDB:GetFlat(baseRecordName..".primaryEquipment"))
	TweakDB:SetFlat(newRecordName..".rarity", TweakDB:GetFlat(baseRecordName..".rarity"))
	TweakDB:SetFlat(newRecordName..".secondaryEquipment", TweakDB:GetFlat(baseRecordName..".secondaryEquipment"))
	TweakDB:SetFlat(newRecordName..".visualTags", TweakDB:GetFlat(baseRecordName..".visualTags"))
	TweakDB:SetFlat(newRecordName..".entityTemplatePath", TweakDB:GetFlat(baseRecordName..".entityTemplatePath"))
end

function insertAbilities(recordName, value, newAbilities)
	Abilities = TweakDB:GetFlat(recordName)
	if table.getn(Abilities) == value then
		for i, v in ipairs(newAbilities) do
			table.insert(Abilities, v)
		end
	end
	TweakDB:SetFlat(recordName, Abilities)
end
function createNPCWeaponData(recordName, statsList, Damage, TBH, LOS)

	createConstantStatModifier(recordName.."NPCDamage", "Multiplier", "BaseStats.NPCDamage", Damage)
	createConstantStatModifier(recordName.."TBH", "Additive", "BaseStats.TBHsBaseSourceMultiplierCoefficient", TBH)
	createConstantStatModifier(recordName.."TBHLOS", "Additive", "BaseStats.TBHsMinimumLineOfSightTime", LOS)
	table.insert(statsList, recordName.."NPCDamage")
	table.insert(statsList, recordName.."TBH")
	table.insert(statsList, recordName.."TBHLOS")


	rebuildNPCWeaponData(recordName, statsList)
	
end
function rebuildNPCWeaponData(recordName, statsList)

	baseList = {"Items.Base_NPC_RPG_Data_inline0", "Items.Base_NPC_RPG_Data_inline1", "Items.Base_NPC_RPG_Data_inline2", "Items.Base_NPC_RPG_Data_inline3"}
	for i,v in ipairs(statsList) do
		table.insert(baseList, v)
	end
	TweakDB:SetFlat(recordName..".statModifiers", baseList)
end
	
function buildBaseModifierList(recordName, length, statModifiers)
	statsList = {}
	for i=0, 7 do
		table.insert(statsList, "Character.NPC_Base_Curves_inline"..i)
	end
	for i=0, length do
		table.insert(statsList, recordName.."_inline"..i)
	end
	table.insert(statsList, "Character.BaseAccuracy")
	for i,v in ipairs(statModifiers) do
		table.insert(statsList, v)
	end
	TweakDB:SetFlat(recordName..".statModifiers", statsList)
end
function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CreateRecord(recordName, "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end
end

return FGR:new()
