FGR = { 
    description = "Balancing, fixes, and reworks for armor and armor mods"
}
function FGR:new()

    registerForEvent("onInit", function() 
	
	Armor_Mod_Strength = 1.0
	
	Armadillo_Armor = 12.5 * Armor_Mod_Strength
	Resist_Reduction = 0.2 * Armor_Mod_Strength
	Fortuna_Crit_Chance = 2.5 * Armor_Mod_Strength
	Bully_Crit_Damage = 7 * Armor_Mod_Strength
	Backpacker_Carry = 20 * Armor_Mod_Strength
	Backpacker_Stamina = 0.1 * Armor_Mod_Strength
	Footloose_Evasion = 0.1 * Armor_Mod_Strength
	Showtime_Speed = 0.05 * Armor_Mod_Strength
	Osmosis_Regen = 0.25 * Armor_Mod_Strength
	Plume_Fall_Reduction = 0.4 * Armor_Mod_Strength
	Zero_Drag_Speed = 0.1 * Armor_Mod_Strength
	Tenacity_Regen = 0.1 * Armor_Mod_Strength
	Vanguard_Health = 0.05 * Armor_Mod_Strength
	BoomBreaker_Reduction = 0.1 * Armor_Mod_Strength

	Coolit_Resist = 50 * Armor_Mod_Strength
	Antivenom_Resist = 50 * Armor_Mod_Strength
	Panacea_Resist = 20 * Armor_Mod_Strength
	Superinsulator_Resist = 50 * Armor_Mod_Strength
	Predator_Reduction = 1 * Armor_Mod_Strength
	Deadeye_Crit_Chance = 1.5 * Armor_Mod_Strength
	Deadeye_Crit_Damage = 4 * Armor_Mod_Strength



	--Armor mod crafting materials
--[[	
	--Simple
	TweakDB:CloneRecord("ArmorModRareMaterials", "Items.SimpleFabricEnhancerCraftingData_inline1")
	TweakDB:SetFlat("Items.SimpleFabricEnhancerCraftingData_inline0.amount", 15)
	TweakDB:SetFlat("Items.SimpleFabricEnhancerCraftingData_inline1.amount", 10)
	TweakDB:SetFlat("ArmorModRareMaterials.ingredient", "Items.RareMaterial1")
	TweakDB:SetFlat("ArmorModRareMaterials.amount", 8)
	TweakDB:SetFlat("Items.SimpleFabricEnhancerCraftingData.craftingRecipe", {"Items.SimpleFabricEnhancerCraftingData_inline0", "Items.SimpleFabricEnhancerCraftingData_inline1", "ArmorModRareMaterials"})
	
	--Powerful
	TweakDB:SetFlat("Items.PowerfulFabricEnhancerCraftingData_inline0.ingredient", "Items.EpicMaterial1")
	TweakDB:SetFlat("Items.PowerfulFabricEnhancerCraftingData.craftingRecipe", {"Items.SimpleFabricEnhancerCraftingData_inline0", "Items.SimpleFabricEnhancerCraftingData_inline1", "ArmorModRareMaterials", "Items.PowerfulFabricEnhancerCraftingData_inline0", "Items.PowerfulFabricEnhancerCraftingData_inline1"})
	TweakDB:SetFlat("Items.PowerfulFabricEnhancerCraftingData_inline1.amount", 3)
]]--
	--Assign accordingly
	TweakDB:SetFlat("Items.PowerfulFabricEnhancer01.CraftingData", "Items.SimpleModCraftingData")
	TweakDB:SetFlat("Items.PowerfulFabricEnhancer02.CraftingData", "Items.SimpleModCraftingData")
	TweakDB:SetFlat("Items.PowerfulFabricEnhancer04.CraftingData", "Items.SimpleModCraftingData")

	--Cosmetic Face and Hats
	
	--Not actually unlocked by iconic, but it works for some reason
	TweakDB:SetFlat("AttachmentSlots.FaceFabricEnhancer1.unlockedBy", "Iconic")
	TweakDB:SetFlat("AttachmentSlots.FaceFabricEnhancer2.unlockedBy", "Iconic")
	TweakDB:SetFlat("AttachmentSlots.FaceFabricEnhancer3.unlockedBy", "Iconic")
	TweakDB:SetFlat("AttachmentSlots.FaceFabricEnhancer4.unlockedBy", "Iconic")

	TweakDB:SetFlat("AttachmentSlots.HeadFabricEnhancer1.unlockedBy", "Iconic")
	TweakDB:SetFlat("AttachmentSlots.HeadFabricEnhancer2.unlockedBy", "Iconic")
	TweakDB:SetFlat("AttachmentSlots.HeadFabricEnhancer3.unlockedBy", "Iconic")
	TweakDB:SetFlat("AttachmentSlots.HeadFabricEnhancer4.unlockedBy", "Iconic")
	
	--Don't spawn anything on them
	TweakDB:SetFlat("Items.GenericHeadClothing_inline0.itemPartList", {})
	TweakDB:SetFlat("Items.GenericHeadClothing_inline1.itemPartList", {})
	TweakDB:SetFlat("Items.GenericHeadClothing_inline2.itemPartList", {})
	TweakDB:SetFlat("Items.GenericHeadClothing_inline3.itemPartList", {})
	
	TweakDB:SetFlat("Items.GenericFaceClothing_inline0.itemPartList", {})
	TweakDB:SetFlat("Items.GenericFaceClothing_inline1.itemPartList", {})
	TweakDB:SetFlat("Items.GenericFaceClothing_inline2.itemPartList", {})
	TweakDB:SetFlat("Items.GenericFaceClothing_inline3.itemPartList", {})
	
	--Add slots to lower quality clothing items
	
	TweakDB:SetFlat("AttachmentSlots.FootFabricEnhancer1.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.FootFabricEnhancer2.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.FootFabricEnhancer3.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.FootFabricEnhancer4.unlockedBy", "Common")

	TweakDB:SetFlat("AttachmentSlots.LegsFabricEnhancer1.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.LegsFabricEnhancer2.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.LegsFabricEnhancer3.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.LegsFabricEnhancer4.unlockedBy", "Common")
	
	TweakDB:SetFlat("AttachmentSlots.OuterChestFabricEnhancer1.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.OuterChestFabricEnhancer2.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.OuterChestFabricEnhancer3.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.OuterChestFabricEnhancer4.unlockedBy", "Common")
	
	TweakDB:SetFlat("AttachmentSlots.InnerChestFabricEnhancer1.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.InnerChestFabricEnhancer2.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.InnerChestFabricEnhancer3.unlockedBy", "Common")
	TweakDB:SetFlat("AttachmentSlots.InnerChestFabricEnhancer4.unlockedBy", "Common")
	
	--Remove Quest tags from Johnny's shit (only works before you obtain it)
	
	--Jacket
	TweakDB:SetFlat("Items.SQ031_Samurai_Jacket.tags", {"Clothing", "ChestArmor", "EmptySlots"})
	TweakDB:SetFlat("Items.SQ031_Samurai_Jacket_Epic.tags", {"Clothing", "ChestArmor", "EmptySlots"})
	TweakDB:SetFlat("Items.SQ031_Samurai_Jacket_Legendary.tags", {"Clothing", "ChestArmor", "EmptySlots"})

	--Face
	TweakDB:SetFlat("Items.Q005_Johnny_Glasses.tags", {"Clothing", "FaceArmor", "EmptySlots"})
	TweakDB:SetFlat("Items.Q005_Johnny_Glasses_Epic.tags", {"Clothing", "FaceArmor", "EmptySlots"})
	TweakDB:SetFlat("Items.Q005_Johnny_Glasses_Legendary.tags", {"Clothing", "FaceArmor", "EmptySlots"})
	
	--Leg
	TweakDB:SetFlat("Items.Q005_Johnny_Pants.tags", {"Clothing", "LegArmor", "EmptySlots"})
	TweakDB:SetFlat("Items.Q005_Johnny_Pants_Epic.tags", {"Clothing", "LegArmor", "EmptySlots"})
	TweakDB:SetFlat("Items.Q005_Johnny_Pants_Legendary.tags", {"Clothing", "LegArmor", "EmptySlots"})
	
	--InnerTorso
	TweakDB:SetFlat("Items.Q005_Johnny_Shirt.tags", {"Clothing", "InnerChestArmor", "EmptySlots"})
	TweakDB:SetFlat("Items.Q005_Johnny_Shirt_Epic.tags", {"Clothing", "InnerChestArmor", "EmptySlots"})
	TweakDB:SetFlat("Items.Q005_Johnny_Shirt_Legendary.tags", {"Clothing", "InnerChestArmor", "EmptySlots"})
	
	--Feet
	TweakDB:SetFlat("Items.Q005_Johnny_Shoes.tags", {"Clothing", "FeetClothing", "EmptySlots"})
	TweakDB:SetFlat("Items.Q005_Johnny_Shoes_Epic.tags", {"Clothing", "FeetClothing", "EmptySlots"})
	TweakDB:SetFlat("Items.Q005_Johnny_Shoes_Legendary.tags", {"Clothing", "FeetClothing", "EmptySlots"})
	
	--Mod slots!!!!
	
	TweakDB:SetFlat("Items.ChestClothingSlotBaseItemList_inline0.item", "000000000")
	TweakDB:SetFlat("Items.ChestClothingSlotBaseItemList_inline0.weight", .2)
	TweakDB:SetFlat("Items.BootsAndPantsClothingSlotBaseItemList_inline0.item", "000000000")
	TweakDB:SetFlat("Items.BootsAndPantsClothingSlotBaseItemList_inline0.weight", .2)
	TweakDB:SetFlat("Items.HeadAndFaceClothingSlotBaseItemList_inline0.item", "000000000")
	TweakDB:SetFlat("Items.HeadAndFaceClothingSlotBaseItemList_inline0.weight", .2)	
	
	rec3= {"itemPart", "FabricEnhancer"}
	TweakDB:SetFlat("Items.DummyFabricEnhancer.tags", rec3)
	TweakDB:SetFlat("Items.DummyFabricEnhancer_inline1.value", 0)
	
	rec3= {"itemPart", "WeaponMod"}
	TweakDB:SetFlat("Items.DummyWeaponMod.tags", rec3)
	TweakDB:SetFlat("Items.DummyWeaponMod_inline0.value", 0)

	--Don't spawn fortuna and bully (maybe remove)
	
	TweakDB:SetFlat("Items.ChestClothingSlotBaseItemList_inline3.item", "000000000")
	TweakDB:SetFlat("Items.ChestClothingSlotBaseItemList_inline3.weight", .2)
	TweakDB:SetFlat("Items.ChestClothingSlotBaseItemList_inline4.item", "000000000")
	TweakDB:SetFlat("Items.ChestClothingSlotBaseItemList_inline4.weight", .2)
	TweakDB:SetFlat("Items.BootsAndPantsClothingSlotBaseItemList_inline2.item", "000000000")
	TweakDB:SetFlat("Items.BootsAndPantsClothingSlotBaseItemList_inline2.weight", .2)
	TweakDB:SetFlat("Items.BootsAndPantsClothingSlotBaseItemList_inline3.item", "000000000")
	TweakDB:SetFlat("Items.BootsAndPantsClothingSlotBaseItemList_inline3.weight", .2)
	TweakDB:SetFlat("Items.HeadAndFaceClothingSlotBaseItemList_inline2.item", "000000000")
	TweakDB:SetFlat("Items.HeadAndFaceClothingSlotBaseItemList_inline2.weight", .2)	
	TweakDB:SetFlat("Items.HeadAndFaceClothingSlotBaseItemList_inline3.item", "000000000")
	TweakDB:SetFlat("Items.HeadAndFaceClothingSlotBaseItemList_inline3.weight", .2)		
	



	--Armadillo
	createConstantStatModifier("ArmadilloArmor", "Additive", "BaseStats.Armor", Armadillo_Armor)
	Armadillo_Stats = {"ArmadilloArmor"}
	createArmorEffect("Items.SimpleFabricEnhancer01", Armadillo_Stats, "Increases Armor by "..Armadillo_Armor..".", true, "Rare") --TranslateMe (The third parameter only for each of these)
	
	--Resist
	createConstantStatModifier("ResistReduction", "Additive", "BaseStats.DamageReductionDamageOverTime", Resist_Reduction)
	Resist_Stats = {"ResistReduction"}
	createArmorEffect("Items.SimpleFabricEnhancer02", Resist_Stats, "Reduces damage over time by "..(Resist_Reduction * 100).."%.", true, "Rare") --TranslateMe
	
	--Fortuna
	createConstantStatModifier("FortunaCritChance", "Additive", "BaseStats.CritChance", Fortuna_Crit_Chance)
	Fortuna_Stats = {"FortunaCritChance"}
	createArmorEffect("Items.SimpleFabricEnhancer03", Fortuna_Stats, "Increases Crit chance by "..Fortuna_Crit_Chance.."%.", true, "Rare") --TranslateMe
	
	--Bully
	createConstantStatModifier("BullyCritDamage", "Additive", "BaseStats.CritDamage", Bully_Crit_Damage)
	Bully_Stats = {"BullyCritDamage"}
	createArmorEffect("Items.SimpleFabricEnhancer04", Bully_Stats, "Increases Crit damage by "..Bully_Crit_Damage.."%.", true, "Rare") --TranslateMe
	
	--Backpacker
	createConstantStatModifier("BackpackerCarry", "Additive", "BaseStats.CarryCapacity", Backpacker_Carry)
	createConstantStatModifier("BackpackerStamina", "AdditiveMultiplier", "BaseStats.Stamina", Backpacker_Stamina)
	Backpacker_Stats = {"BackpackerCarry", "BackpackerStamina"}
	createArmorEffect("Items.SimpleFabricEnhancer05", Backpacker_Stats, "Increases carry capacity by "..Backpacker_Carry.." and Stamina by "..(Backpacker_Stamina*100).."%.", true, "Rare") --TranslateMe
	
	--Footloose
	createConstantStatModifier("FootlooseEvasion", "Additive", "BaseStats.TBHsBaseCoefficient", Footloose_Evasion)
	Footloose_Stats = {"FootlooseEvasion"}
	createArmorEffect("Items.SimpleFabricEnhancer06", Footloose_Stats, "Increases evasion by "..Footloose_Evasion..".", true, "Rare") --TranslateMe
	
	--Showtime
	createConstantStatModifier("ShowtimeSpeed", "AdditiveMultiplier", "BaseStats.UploadQuickHackMod", -Showtime_Speed)
	Showtime_Stats = {"ShowtimeSpeed"}
	createArmorEffect("Items.SimpleFabricEnhancer07", Showtime_Stats, "Increases quickhack upload speed by "..(Showtime_Speed*100).."%." , true, "Rare") --TranslateMe
	
	--Osmosis
	createConstantStatModifier("OsmosisRegen", "Additive", "BaseStats.StaminaRegenRateMult", Osmosis_Regen)
	Osmosis_Stats = {"OsmosisRegen"}
	createArmorEffect("Items.SimpleFabricEnhancer09", Osmosis_Stats, "Increases Stamina regen by "..(Osmosis_Regen*100).."%.", true, "Rare") --TranslateMe
	
	--Plume
	createConstantStatModifier("PlumeFallReduction", "Additive", "BaseStats.FallDamageReduction", Plume_Fall_Reduction)
	Plume_Stats = {"PlumeFallReduction"}
	createArmorEffect("Items.SimpleFabricEnhancer10", Plume_Stats, "Reduces fall damage by "..(Plume_Fall_Reduction*100).."%.", true, "Rare" ) --TranslateMe
	
	--ZeroDrag
	createConstantStatModifier("ZeroDragSpeed", "Additive", "BaseStats.MaxSpeed", Zero_Drag_Speed)
	ZeroDrag_Stats = {"ZeroDragSpeed"}
	createArmorEffect("Items.SimpleFabricEnhancer11", ZeroDrag_Stats, "Increases movement speed by "..(Zero_Drag_Speed*100).."%.", true, "Rare") --TranslateMe
	
	--Tenacity
	createConstantStatModifier("TenacityRegen", "Additive", "BaseStats.HealthInCombatRegenRateMult", Tenacity_Regen)
	Tenacity_Stats = {"TenacityRegen"}
	createArmorEffect("Items.SimpleFabricEnhancer12", Tenacity_Stats, "Increases in combat Health regen by "..(Tenacity_Regen*100).."%.", true, "Rare") --TranslateMe
	
	--Vanguard
	createConstantStatModifier("VanguardHealth", "AdditiveMultiplier", "BaseStats.Health", Vanguard_Health)
	Vanguard_Stats = {"VanguardHealth"}
	createArmorEffect("Items.SimpleFabricEnhancer13", Vanguard_Stats, "Increases max Health by "..(Vanguard_Health*100).."%.", true, "Rare") --TranslateMe
	
	--BoomBreaker
	createConstantStatModifier("BoomBreakerReductionzzz", "Additive", "BaseStats.DamageReductionExplosion", BoomBreaker_Reduction)
	BoomBreaker_Stats = {"BoomBreakerReductionzzz"}
	createArmorEffect("Items.SimpleFabricEnhancer14", BoomBreaker_Stats, "Reduces damage from explosions by "..(BoomBreaker_Reduction*100).."%.", true, "Rare") --TranslateMe


	--Coolit
	createConstantStatModifier("CoolitResistzzz", "Additive", "BaseStats.ThermalResistance", Coolit_Resist)
	Coolit_Stats = {"CoolitResistzzz"}
	createArmorEffect("Items.PowerfulFabricEnhancer01", Coolit_Stats, "Increases Thermal resistance by "..Coolit_Resist.."%.", true, "Rare") --TranslateMe
	
	--Antivenom
	createConstantStatModifier("AntivenomResistzzz", "Additive", "BaseStats.ChemicalResistance", Antivenom_Resist)
	Antivenom_Stats = {"AntivenomResistzzz"}
	createArmorEffect("Items.PowerfulFabricEnhancer02", Antivenom_Stats, "Increases Poison resistance by "..Antivenom_Resist.."%.", true, "Rare") --TranslateMe

	--Panacea
	createConstantStatModifier("PanaceaThermalzzz", "Additive", "BaseStats.ThermalResistance", Panacea_Resist)
	createConstantStatModifier("PanaceaChemicalzzz", "Additive", "BaseStats.ChemicalResistance", Panacea_Resist)
	createConstantStatModifier("PanaceaElectriczzz", "Additive", "BaseStats.ElectricResistance", Panacea_Resist)
	Panacea_Stats = {"PanaceaThermalzzz", "PanaceaChemicalzzz", "PanaceaElectriczzz"}
	createArmorEffect("Items.PowerfulFabricEnhancer03", Panacea_Stats, "Increases all resistances by "..Panacea_Resist.."%.", true, "Legendary") --TranslateMe

	--Superinsulator
	createConstantStatModifier("SuperinsulatorResistzzz", "Additive", "BaseStats.ElectricResistance", Superinsulator_Resist)
	Superinsulator_Stats = {"SuperinsulatorResistzzz"}
	createArmorEffect("Items.PowerfulFabricEnhancer04", Superinsulator_Stats, "Increases Shock resistance by "..Superinsulator_Resist.."%.", true, "Rare") --TranslateMe

	--Predator
	createConstantStatModifier("PredatorReductionzzz", "Additive", "BaseStats.UltimateMemoryCostReduction", Predator_Reduction)
	Predator_Stats = {"PredatorReductionzzz"}
	createArmorEffect("Items.PowerfulFabricEnhancer07", Predator_Stats, "Decreases cost of Ultimate quickhacks by "..Predator_Reduction..".", true, "Legendary") --TranslateMe
		 

	--Deadeye
	createConstantStatModifier("DeadeyeDamagezzz", "Additive", "BaseStats.CritChance", Deadeye_Crit_Chance)
	createConstantStatModifier("DeadeyeChancezzz", "Additive", "BaseStats.CritDamage", Deadeye_Crit_Damage)
	Deadeye_Stats = {"DeadeyeDamagezzz", "DeadeyeChancezzz"}
	createArmorEffect("Items.PowerfulFabricEnhancer08", Deadeye_Stats, "Increases Crit chance by "..Deadeye_Crit_Chance.."% and Crit damage by "..Deadeye_Crit_Damage.."%.", true, "Legendary") --TranslateMe


	--Change rarities of Cutitout and Soft-Sole
	TweakDB:SetFlat("Items.PowerfulFabricEnhancer05.quality", "Quality.Legendary")
	TweakDB:SetFlat("Items.PowerfulFabricEnhancer06.quality", "Quality.Legendary")
	
	--Assign armor mods to specific areas
	OuterChest_Enhancers = {"Items.SimpleFabricEnhancer01", "Items.SimpleFabricEnhancer02", "Items.SimpleFabricEnhancer13", "Items.SimpleFabricEnhancer14","Items.PowerfulFabricEnhancer01","Items.PowerfulFabricEnhancer02","Items.PowerfulFabricEnhancer03","Items.PowerfulFabricEnhancer04", "Items.PowerfulFabricEnhancer06"}
	InnerChest_Enhancers = {"Items.SimpleFabricEnhancer03","Items.SimpleFabricEnhancer04","Items.SimpleFabricEnhancer07","Items.PowerfulFabricEnhancer07", "Items.PowerfulFabricEnhancer08"}
	Legs_Enhancers = {"Items.SimpleFabricEnhancer05","Items.SimpleFabricEnhancer09","Items.SimpleFabricEnhancer12"}
	Foot_Enhancers = {"Items.SimpleFabricEnhancer06","Items.SimpleFabricEnhancer10","Items.SimpleFabricEnhancer11", "Items.PowerfulFabricEnhancer05"}

	setArmorModPlacement("OuterChest", OuterChest_Enhancers)
	setArmorModPlacement("InnerChest", InnerChest_Enhancers)
	setArmorModPlacement("Legs", Legs_Enhancers)
	setArmorModPlacement("Foot", Foot_Enhancers)
	
	--Assign corresponding spawn lists
	
	--Create slot items for each
	for i=1, 9 do
		TweakDB:CreateRecord("ArmorModSlotItem"..i, "gamedataItemPartListElement_Record")
		TweakDB:SetFlat("ArmorModSlotItem"..i..".item", "Items.SimpleFabricEnhancer0"..i)
		TweakDB:SetFlat("ArmorModSlotItem"..i..".weight", 0.2)
		TweakDB:SetFlat("Items.SimpleFabricEnhancer0"..i..".CraftingData", "Items.SimpleModCraftingData")
	end
	
	for i=10, 14 do
		TweakDB:CreateRecord("ArmorModSlotItem"..i, "gamedataItemPartListElement_Record")
		TweakDB:SetFlat("ArmorModSlotItem"..i..".item", "Items.SimpleFabricEnhancer"..i)
		TweakDB:SetFlat("ArmorModSlotItem"..i..".weight", 0.2)
		TweakDB:SetFlat("Items.SimpleFabricEnhancer"..i..".CraftingData", "Items.SimpleModCraftingData")
	end
	
	for i=1, 8 do
		TweakDB:CreateRecord("PowerfulArmorModSlotItem"..i, "gamedataItemPartListElement_Record")
		TweakDB:SetFlat("PowerfulArmorModSlotItem"..i..".item", "Items.PowerfulFabricEnhancer0"..i)
		TweakDB:SetFlat("PowerfulArmorModSlotItem"..i..".weight", 0.2)
	end
	
	TweakDB:CreateRecord("EmptySlotItem", "gamedataItemPartListElement_Record")
	TweakDB:SetFlat("EmptySlotItem.weight", 0.2)
	
	--Assign them to corresponding list
	OuterChestModList = {"EmptySlotItem", "EmptySlotItem", "EmptySlotItem", "EmptySlotItem", "EmptySlotItem", "EmptySlotItem", "EmptySlotItem","ArmorModSlotItem1", "ArmorModSlotItem2", "ArmorModSlotItem13", "ArmorModSlotItem14", "PowerfulArmorModSlotItem1", "PowerfulArmorModSlotItem2", "PowerfulArmorModSlotItem4"}
	InnerChestModList = {"EmptySlotItem", "EmptySlotItem", "EmptySlotItem", "EmptySlotItem","ArmorModSlotItem3", "ArmorModSlotItem4", "ArmorModSlotItem7"}
	LegModList = {"EmptySlotItem", "EmptySlotItem", "EmptySlotItem", "EmptySlotItem","ArmorModSlotItem5", "ArmorModSlotItem9", "ArmorModSlotItem12"}
	FootModList = {"EmptySlotItem", "EmptySlotItem", "EmptySlotItem", "EmptySlotItem", "ArmorModSlotItem6", "ArmorModSlotItem10", "ArmorModSlotItem11"}
	
	for i=0,3 do
		TweakDB:SetFlat("Items.GenericOuterChestClothing_inline"..i..".itemPartList", OuterChestModList)
		TweakDB:SetFlat("Items.GenericInnerChestClothing_inline"..i..".itemPartList", InnerChestModList)
		TweakDB:SetFlat("Items.GenericLegClothing_inline"..i..".itemPartList", LegModList)
		TweakDB:SetFlat("Items.GenericFootClothing_inline"..i..".itemPartList", FootModList)
	end
	
	--Fix the weird looted items
	correctClonedItem("LootTables.Base_ma_simple_enhancers_inline1", "Items.SimpleFabricEnhancer01")
	correctClonedItem("LootTables.Base_ma_simple_enhancers_inline11", "Items.SimpleFabricEnhancer06")
	correctClonedItem("LootTables.Base_ma_simple_enhancers_inline13", "Items.SimpleFabricEnhancer07")
	correctClonedItem("LootTables.Base_ma_simple_enhancers_inline17", "Items.SimpleFabricEnhancer10")
	correctClonedItem("LootTables.Base_ma_simple_enhancers_inline3", "Items.SimpleFabricEnhancer02")
	correctClonedItem("LootTables.Base_ma_simple_enhancers_inline5", "Items.SimpleFabricEnhancer03")
	correctClonedItem("LootTables.Base_ma_simple_enhancers_inline7", "Items.SimpleFabricEnhancer04")
	correctClonedItem("LootTables.Base_ma_simple_enhancers_inline9", "Items.SimpleFabricEnhancer05")


	
	
end)

function correctClonedItem(clone, original)
	TweakDB:SetFlat(clone..".OnAttach", TweakDB:GetFlat(original..".OnAttach"))
	TweakDB:SetFlat(clone..".OnEquip", TweakDB:GetFlat(original..".OnEquip"))
	TweakDB:SetFlat(clone..".placementSlots", TweakDB:GetFlat(original..".placementSlots"))
	TweakDB:SetFlat(clone..".quality", TweakDB:GetFlat(original..".quality"))
	TweakDB:SetFlat(clone..".statModifiers", TweakDB:GetFlat(original..".statModifiers"))
	TweakDB:SetFlat(clone..".statModifierGroups", TweakDB:GetFlat(original..".statModifierGroups"))
	TweakDB:SetFlat(clone..".CraftingData", TweakDB:GetFlat(original..".CraftingData"))
	TweakDB:SetFlat(clone..".tags", TweakDB:GetFlat(original..".tags"))
end
function setArmorModPlacement(Placement, ModList)
	for i,v in ipairs(ModList) do
		placementSlots = {"AttachmentSlots."..Placement.."FabricEnhancer1","AttachmentSlots."..Placement.."FabricEnhancer2","AttachmentSlots."..Placement.."FabricEnhancer3","AttachmentSlots."..Placement.."FabricEnhancer4"}
		TweakDB:SetFlat(v..".placementSlots", placementSlots)
	end
end
function createArmorEffect(ArmorMod, statsList, Description, stackable, quality)

	--Create Effect
	TweakDB:CreateRecord(ArmorMod.."OnEquip", "gamedataGameplayLogicPackage_Record")
	TweakDB:SetFlat(ArmorMod.."OnEquip.stackable", stackable)
	TweakDB:SetFlat(ArmorMod.."OnEquip.stats", statsList)

	--Create Description

	--Create OnAttach Description
	TweakDB:CreateRecord(ArmorMod.."OnAttach", "gamedataGameplayLogicPackage_Record")
	TweakDB:CreateRecord(ArmorMod.."OnAttachDescription", "gamedataGameplayLogicPackageUIData_Record")
	
	TweakDB:SetFlat(ArmorMod.."OnAttachDescription.localizedDescription", Description)
	
	TweakDB:SetFlat(ArmorMod.."OnAttach.UIData", ArmorMod.."OnAttachDescription")
	
	--Set all this stuff
	TweakDB:SetFlat(ArmorMod..".OnEquip", {ArmorMod.."OnEquip"})
	TweakDB:SetFlat(ArmorMod..".OnAttach", {ArmorMod.."OnAttach"})
	statModifiers = {"Items.FabricEnhancer_inline0", "Items.FabricEnhancer_inline1", "Items.PartArmorToItemArmor"}

	TweakDB:SetFlat(ArmorMod..".statModifiers", statModifiers)
	
	--Set quality
	TweakDB:SetFlat(ArmorMod..".statModifierGroups", {})
	TweakDB:SetFlat(ArmorMod..".quality", "Quality."..quality)
	
end

function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CreateRecord(recordName, "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end

end

return FGR:new()
