FGR = { 
    description = "Cyberware fixes, balancing, and reworks"
}

function FGR:new()


    registerForEvent("onInit", function() 
	
	

	RAM_Replenishment_Cooldown = 120 --Default 240 (seconds)
	RAM_Replenishment_Epic_Amount = 40 --Default 20 (percent)
	RAM_Replenishment_Legendary_Amount = 60 --Default 30(percent)
	
	Second_Heart_Body_Req = 0 --Default 16
	Superhero_Landing_Damage = 250
		
	Neofiber_Evasion = .1 --Common rarity evasion, goes up to 3x this at legendary

	Kerenzikov_Cooldown = 5 --Default 5 (seconds)
	Sandevistan_Cooldown = 1 --Default 1
	Berserk_Cooldown = 1 --Default 1
	
	--FRONTAL CORTEX
	
	--Improved Perception
	
	--Effects
	TweakDB:SetFlat("Items.ImprovedPerceptionCommon_inline2.value", 5)
	TweakDB:SetFlat("Items.ImprovedPerceptionUncommon_inline2.value", 10)
	TweakDB:SetFlat("Items.ImprovedPerceptionEpic_inline2.value", 20)
	TweakDB:SetFlat("Items.ImprovedPerceptionLegendary_inline2.value", 25)

	--Description
	TweakDB:SetFlat("Items.ImprovedPerceptionCommon_inline3.intValues", {5})
	TweakDB:SetFlat("Items.ImprovedPerceptionUncommon_inline3.intValues", {10})
	TweakDB:SetFlat("Items.ImprovedPerceptionEpic_inline3.intValues", {20})
	TweakDB:SetFlat("Items.ImprovedPerceptionLegendary_inline3.intValues", {25})

	--Limbic System Enhancement
	
	--Description
	TweakDB:SetFlat("Items.LimbicSystemEnhancementCommon_inline1.value", 5)
	TweakDB:SetFlat("Items.LimbicSystemEnhancementRare_inline2.value", 10)
	TweakDB:SetFlat("Items.LimbicSystemEnhancementLegendary_inline2.value", 15)

	--Effects
	TweakDB:SetFlat("Items.LimbicSystemEnhancementCommon_inline2.intValues", {5})
	TweakDB:SetFlat("Items.LimbicSystemEnhancementRare_inline3.intValues", {10})
	TweakDB:SetFlat("Items.LimbicSystemEnhancementLegendary_inline3.intValues", {15})
	
	--Create Legendary Memory Boost (Epic already existed)
	
	--Base item
	TweakDB:CloneRecord("Items.MemoryBoostLegendary", "Items.MemoryBoostEpic")
	TweakDB:SetFlat("Items.MemoryBoostLegendary.quality", "Quality.Legendary")
	
	--Equip prereqs
	TweakDB:CloneRecord("Items.MemoryBoostLegendary_inline0", "Items.MemoryBoostEpic_inline0")
	TweakDB:SetFlat("Items.MemoryBoostLegendary_inline0.valueToCheck", 20)
	TweakDB:SetFlat("Items.MemoryBoostLegendary.equipPrereqs", {"Items.MemoryBoostLegendary_inline0"})
	
	--Effect
	
	TweakDB:CloneRecord("Items.MemoryBoostLegendary_inline1", "Items.MemoryBoostEpic_inline1")
	
	TweakDB:CloneRecord("Items.MemoryBoostLegendary_inline2", "Items.MemoryBoostEpic_inline2")
	TweakDB:CloneRecord("Items.MemoryBoostLegendary_inline3", "Items.MemoryBoostEpic_inline3")
	TweakDB:SetFlat("Items.MemoryBoostLegendary_inline3.statPoolValue", 5)
	TweakDB:SetFlat("Items.MemoryBoostLegendary_inline2.statPoolUpdates", {"Items.MemoryBoostLegendary_inline3"})
	
	TweakDB:CloneRecord("Items.MemoryBoostLegendary_inline4", "Items.MemoryBoostEpic_inline4")
	TweakDB:CloneRecord("Items.MemoryBoostLegendary_inline5", "Items.MemoryBoostEpic_inline5")
	TweakDB:SetFlat("Items.MemoryBoostLegendary_inline5.statPoolValue", 5)
	TweakDB:SetFlat("Items.MemoryBoostLegendary_inline4.statPoolUpdates", {"Items.MemoryBoostLegendary_inline5"})

	TweakDB:SetFlat("Items.MemoryBoostLegendary_inline1.effectors", {"Items.MemoryBoostLegendary_inline2", "Items.MemoryBoostLegendary_inline4"})
	
	TweakDB:SetFlat("Items.MemoryBoostLegendary.OnEquip", {"Items.MemoryBoostLegendary_inline1"})
	
	--UI
	TweakDB:CloneRecord("Items.MemoryBoostLegendary_inline6", "Items.MemoryBoostEpic_inline6")
	TweakDB:SetFlat("Items.MemoryBoostLegendary_inline6.localizedDescription", "Defeating an enemy instantly recovers 5 cyberdeck RAM units.") --TranslateMe (second parameter)
	TweakDB:SetFlat("Items.MemoryBoostLegendary_inline1.UIData", "Items.MemoryBoostLegendary_inline6")
	updateDescriptionsforPatch("Items.MemoryBoostLegendary_inline6")
		

	--Memory Replenishment thing
	
	--Cooldown
	TweakDB:SetFlat("BaseStatusEffect.PlayerMemoryReplenishmentCooldown_inline1.value", RAM_Replenishment_Cooldown)
	
	--Make it work properly
	TweakDB:SetFlat("Items.MemoryReplenishmentCooldownEffector_inline1.comparePercentage", true)
	TweakDB:SetFlat("Items.MemoryReplenishmentCooldownEffector_inline1.valueToCheck", 20)
	
	TweakDB:SetFlat("Items.MemoryReplenishmentEffector_inline1.comparePercentage", true)
	TweakDB:SetFlat("Items.MemoryReplenishmentEffector_inline1.valueToCheck", 20)
	
	TweakDB:SetFlat("Items.MemoryReplenishmentSFXEffector_inline1.comparePercentage", true)
	TweakDB:SetFlat("Items.MemoryReplenishmentSFXEffector_inline1.valueToCheck", 20)
	
	--Epic
	TweakDB:SetFlat("Items.MemoryReplenishmentEpic_inline2.statPoolValue", RAM_Replenishment_Epic_Amount)
	TweakDB:SetFlat("Items.MemoryReplenishmentEpic_inline2.statPoolValue", RAM_Replenishment_Epic_Amount)
	TweakDB:SetFlat("Items.MemoryReplenishmentEpic_inline5.localizedDescription", "When your cyberdeck's RAM reaches 20%, instantly free "..RAM_Replenishment_Epic_Amount.."% of it. Cooldown "..RAM_Replenishment_Cooldown.." seconds.") --TranslateMe
	TweakDB:SetFlat("Items.MemoryReplenishmentEpic_inline5.intValues", {})
	updateDescriptionsforPatch("Items.MemoryReplenishmentEpic_inline5")

	--Legendary
	TweakDB:SetFlat("Items.MemoryReplenishmentLegendary_inline3.statPoolValue", RAM_Replenishment_Legendary_Amount)
	TweakDB:SetFlat("Items.MemoryReplenishmentLegendary_inline5.statPoolValue", RAM_Replenishment_Legendary_Amount)
	TweakDB:SetFlat("Items.MemoryReplenishmentLegendary_inline6.localizedDescription", "When your cyberdeck's RAM reaches 20%, instantly free "..RAM_Replenishment_Legendary_Amount.."% of it. Cooldown "..RAM_Replenishment_Cooldown.." seconds.") --TranslateMe
	TweakDB:SetFlat("Items.MemoryReplenishmentLegendary_inline6.intValues", {})
	updateDescriptionsforPatch("Items.MemoryReplenishmentLegendary_inline6")

	--RAM Regen
	
	--Buff lower levels
	
	--Common
	TweakDB:SetFlat("Items.FastAccessMemoryCommon_inline2.value", 0.1)
	TweakDB:SetFlat("Items.FastAccessMemoryCommon_inline3.value", 0.1)
	TweakDB:SetFlat("Items.FastAccessMemoryCommon_inline4.localizedDescription", "Increases cyberdeck RAM recovery rate by 0.1 units per second.") --TranslateMe
	TweakDB:SetFlat("Items.FastAccessMemoryCommon_inline4.floatValues", {})
	updateDescriptionsforPatch("Items.FastAccessMemoryCommon_inline4")

	--Uncommon
	TweakDB:SetFlat("Items.FastAccessMemoryUncommon_inline2.value", 0.13)
	TweakDB:SetFlat("Items.FastAccessMemoryUncommon_inline3.value", 0.13)
	TweakDB:SetFlat("Items.FastAccessMemoryUncommon_inline4.localizedDescription", "Increases cyberdeck RAM recovery rate by 0.13 units per second.") --TranslateMe
	TweakDB:SetFlat("Items.FastAccessMemoryCommon_inline4.floatValues", {})
	updateDescriptionsforPatch("Items.FastAccessMemoryUncommon_inline4")

	--Rare
	TweakDB:SetFlat("Items.FastAccessMemoryRare_inline2.value", 0.16)
	TweakDB:SetFlat("Items.FastAccessMemoryRare_inline3.value", 0.16)
	TweakDB:SetFlat("Items.FastAccessMemoryRare_inline4.localizedDescription", "Increases cyberdeck RAM recovery rate by 0.16 units per second.") --TranslateMe
	TweakDB:SetFlat("Items.FastAccessMemoryRare_inline4.floatValues", {})
	updateDescriptionsforPatch("Items.FastAccessMemoryRare_inline4")

	--Create Epic version	
	
	--Base item
	TweakDB:CloneRecord("Items.FastAccessMemoryEpic", "Items.FastAccessMemoryCommon")
	TweakDB:SetFlat("Items.FastAccessMemoryEpic.quality", "Quality.Epic")
	
	--Effect
	
	--Holder
	TweakDB:CloneRecord("Items.FastAccessMemoryEpic_inline1", "Items.FastAccessMemoryRare_inline1")

	--Stats
	TweakDB:CloneRecord("Items.FastAccessMemoryEpic_inline2", "Items.FastAccessMemoryRare_inline2")
	TweakDB:SetFlat("Items.FastAccessMemoryEpic_inline2.value", 0.19)
	TweakDB:CloneRecord("Items.FastAccessMemoryEpic_inline3", "Items.FastAccessMemoryRare_inline3")
	TweakDB:SetFlat("Items.FastAccessMemoryEpic_inline3.value", 0.19)

	--Description
	TweakDB:CloneRecord("Items.FastAccessMemoryEpic_inline4", "Items.FastAccessMemoryRare_inline4")
	TweakDB:SetFlat("Items.FastAccessMemoryEpic_inline4.localizedDescription", "Increases cyberdeck RAM recovery rate by 0.19 units per second.") --TranslateMe
	TweakDB:SetFlat("Items.FastAccessMemoryEpic_inline4.floatValues", {})
	updateDescriptionsforPatch("Items.FastAccessMemoryEpic_inline4")

	--Put it all together
	TweakDB:SetFlat("Items.FastAccessMemoryEpic_inline1.stats", {"Items.FastAccessMemoryEpic_inline2", "Items.FastAccessMemoryEpic_inline3"})  --TranslateMe
	TweakDB:SetFlat("Items.FastAccessMemoryEpic_inline1.UIData", "Items.FastAccessMemoryEpic_inline4")
	TweakDB:SetFlat("Items.FastAccessMemoryEpic.OnEquip", {"Items.FastAccessMemoryEpic_inline1"})

	--Equip Prereqs
	TweakDB:CloneRecord("Items.FastAccessMemoryEpic_inline0", "Items.FastAccessMemoryCommon_inline0")
	TweakDB:SetFlat("Items.FastAccessMemoryEpic_inline0.valueToCheck", 15)
	TweakDB:SetFlat("Items.FastAccessMemoryEpic.equipPrereqs", {"Items.FastAccessMemoryEpic_inline0"})
	
	--Create Legendary version	
	
	--Base item
	TweakDB:CloneRecord("Items.FastAccessMemoryLegendary", "Items.FastAccessMemoryCommon")
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary.quality", "Quality.Legendary")
	
	--Effect
	
	--Holder
	TweakDB:CloneRecord("Items.FastAccessMemoryLegendary_inline1", "Items.FastAccessMemoryRare_inline1")

	--Stats
	TweakDB:CloneRecord("Items.FastAccessMemoryLegendary_inline2", "Items.FastAccessMemoryRare_inline2")
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary_inline2.value", 0.19)
	TweakDB:CloneRecord("Items.FastAccessMemoryLegendary_inline3", "Items.FastAccessMemoryRare_inline3")
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary_inline3.value", 0.19)

	--Description
	TweakDB:CloneRecord("Items.FastAccessMemoryLegendary_inline4", "Items.FastAccessMemoryRare_inline4")
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary_inline4.localizedDescription", "Increases cyberdeck RAM recovery rate by 0.19 units per second.") --TranslateMe
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary_inline4.floatValues", {})
	updateDescriptionsforPatch("Items.FastAccessMemoryLegendary_inline4")

	--Put it all together
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary_inline1.stats", {"Items.FastAccessMemoryLegendary_inline2", "Items.FastAccessMemoryLegendary_inline3"}) 
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary_inline1.UIData", "Items.FastAccessMemoryLegendary_inline4")
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary.OnEquip", {"Items.FastAccessMemoryLegendary_inline1"})

	--Equip Prereqs
	TweakDB:CloneRecord("Items.FastAccessMemoryLegendary_inline0", "Items.FastAccessMemoryCommon_inline0")
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary_inline0.valueToCheck", 18)
	TweakDB:SetFlat("Items.FastAccessMemoryLegendary.equipPrereqs", {"Items.FastAccessMemoryLegendary_inline0"})
	
	--Heal On Kill
	
	--Effects
	TweakDB:SetFlat("Items.HealOnKillEffector_inline0.statPoolValue", 5)
	
	TweakDB:SetFlat("Items.HealOnKillUncommon_inline3.statPoolValue", 6.5)
	TweakDB:SetFlat("Items.HealOnKillUncommon_inline5.statPoolValue", 6.5)
	
	TweakDB:SetFlat("Items.HealOnKillEpic_inline3.statPoolValue", 8)
	TweakDB:SetFlat("Items.HealOnKillEpic_inline5.statPoolValue", 8)

	TweakDB:SetFlat("Items.HealOnKillLegendary_inline3.statPoolValue", 10)
	TweakDB:SetFlat("Items.HealOnKillLegendary_inline5.statPoolValue", 10)

	--Descriptions
	TweakDB:SetFlat("Items.HealOnKillCommon_inline2.localizedDescription", "Instantly restores 5% health on defeating an enemy") --TranslateMe
	TweakDB:SetFlat("Items.HealOnKillUncommon_inline6.localizedDescription", "Instantly restores 6.5% health on defeating an enemy") --TranslateMe
	TweakDB:SetFlat("Items.HealOnKillEpic_inline6.localizedDescription", "Instantly restores 8% health on defeating an enemy") --TranslateMe
	TweakDB:SetFlat("Items.HealOnKillLegendary_inline6.localizedDescription", "Instantly restores 10% health on defeating an enemy") --TranslateMe
	
	TweakDB:SetFlat("Items.HealOnKillCommon_inline2.intValues", {})
	TweakDB:SetFlat("Items.HealOnKillUncommon_inline6.intValues", {})
	TweakDB:SetFlat("Items.HealOnKillEpic_inline6.intValues", {})
	TweakDB:SetFlat("Items.HealOnKillLegendary_inline6.intValues", {})
	updateDescriptionsforPatch("Items.HealOnKillCommon_inline2")
	updateDescriptionsforPatch("Items.HealOnKillUncommon_inline6")
	updateDescriptionsforPatch("Items.HealOnKillEpic_inline6")
	updateDescriptionsforPatch("Items.HealOnKillLegendary_inline6")

	--EX-Disk
	
	--Effects
	TweakDB:SetFlat("Items.BrainCapacityBoosterRare_inline2.value", 3)
	TweakDB:SetFlat("Items.BrainCapacityBoosterEpic_inline2.value", 4)
	TweakDB:SetFlat("Items.BrainCapacityBoosterLegendary_inline2.value", 5)

	--Descriptions
	TweakDB:SetFlat("Items.BrainCapacityBoosterRare_inline3.localizedDescription", "Increases your cyberdeck's max RAM units by 3.") --TranslateMe
	TweakDB:SetFlat("Items.BrainCapacityBoosterEpic_inline3.localizedDescription", "Increases your cyberdeck's max RAM units by 4.") --TranslateMe
	TweakDB:SetFlat("Items.BrainCapacityBoosterLegendary_inline3.localizedDescription", "Increases your cyberdeck's max RAM units by 5.") --TranslateMe

	TweakDB:SetFlat("Items.BrainCapacityBoosterRare_inline3.intValues", {})
	TweakDB:SetFlat("Items.BrainCapacityBoosterEpic_inline3.intValues", {})
	TweakDB:SetFlat("Items.BrainCapacityBoosterLegendary_inline3.intValues", {})
	updateDescriptionsforPatch("Items.BrainCapacityBoosterRare_inline3")
	updateDescriptionsforPatch("Items.BrainCapacityBoosterEpic_inline3")
	updateDescriptionsforPatch("Items.BrainCapacityBoosterLegendary_inline3")

	--Mechatronic core
	
	--Effects
	TweakDB:SetFlat("Items.RoboticCoreCommon_inline2.value", .1)
	TweakDB:SetFlat("Items.RoboticCoreUncommon_inline2.value", .15)
	TweakDB:SetFlat("Items.RoboticCoreRare_inline2.value", .2)
	TweakDB:SetFlat("Items.RoboticCoreEpic_inline2.value", .25)
	TweakDB:SetFlat("Items.RoboticCoreLegendary_inline2.value", .3)
	
	--Descriptions
	TweakDB:SetFlat("Items.RoboticCoreCommon_inline3.localizedDescription", "Increases damage to drones, mechs, and robots by 10%") --TranslateMe
	TweakDB:SetFlat("Items.RoboticCoreUncommon_inline3.localizedDescription", "Increases damage to drones, mechs, and robots by 15%") --TranslateMe
	TweakDB:SetFlat("Items.RoboticCoreRare_inline3.localizedDescription", "Increases damage to drones, mechs, and robots by 20%") --TranslateMe
	TweakDB:SetFlat("Items.RoboticCoreEpic_inline3.localizedDescription", "Increases damage to drones, mechs, and robots by 25%") --TranslateMe
	TweakDB:SetFlat("Items.RoboticCoreLegendary_inline3.localizedDescription", "Increases damage to drones, mechs, and robots by 30%") --TranslateMe

	TweakDB:SetFlat("Items.RoboticCoreCommon_inline3.intValues", {})
	TweakDB:SetFlat("Items.RoboticCoreUncommon_inline3.intValues", {})
	TweakDB:SetFlat("Items.RoboticCoreRare_inline3.intValues", {})
	TweakDB:SetFlat("Items.RoboticCoreEpic_inline3.intValues", {})
	TweakDB:SetFlat("Items.RoboticCoreLegendary_inline3.intValues", {})
	updateDescriptionsforPatch("Items.RoboticCoreCommon_inline3")
	updateDescriptionsforPatch("Items.RoboticCoreUncommon_inline3")
	updateDescriptionsforPatch("Items.RoboticCoreRare_inline3")
	updateDescriptionsforPatch("Items.RoboticCoreEpic_inline3")
	updateDescriptionsforPatch("Items.RoboticCoreLegendary_inline3")


	
	--CIRCULATORY SYSTEM
	
	--Adrenaline Booster
	
	--Effects
	TweakDB:SetFlat("Items.StaminaRegenBoosterEffector_inline0.statPoolValue", 30)
	
	TweakDB:SetFlat("Items.StaminaRegenBoosterUncommon_inline3.statPoolValue", 35)
	TweakDB:SetFlat("Items.StaminaRegenBoosterUncommon_inline5.statPoolValue", 35)

	TweakDB:SetFlat("Items.StaminaRegenBoosterRare_inline3.statPoolValue", 40)
	TweakDB:SetFlat("Items.StaminaRegenBoosterRare_inline5.statPoolValue", 40)
	
	TweakDB:SetFlat("Items.StaminaRegenBoosterEpic_inline3.statPoolValue", 45)
	TweakDB:SetFlat("Items.StaminaRegenBoosterEpic_inline5.statPoolValue", 45)
	
	TweakDB:SetFlat("Items.StaminaRegenBoosterLegendary_inline3.statPoolValue", 50)
	TweakDB:SetFlat("Items.StaminaRegenBoosterLegendary_inline5.statPoolValue", 50)
	
	--Descriptions
	TweakDB:SetFlat("Items.StaminaRegenBoosterCommon_inline1.localizedDescription", "Instantly restores 30% stamina when you defeat an enemy") --TranslateMe
	TweakDB:SetFlat("Items.StaminaRegenBoosterUncommon_inline6.localizedDescription", "Instantly restores 35% stamina when you defeat an enemy") --TranslateMe
	TweakDB:SetFlat("Items.StaminaRegenBoosterRare_inline6.localizedDescription", "Instantly restores 40% stamina when you defeat an enemy") --TranslateMe
	TweakDB:SetFlat("Items.StaminaRegenBoosterEpic_inline6.localizedDescription", "Instantly restores 45% stamina when you defeat an enemy") --TranslateMe
	TweakDB:SetFlat("Items.StaminaRegenBoosterLegendary_inline6.localizedDescription", "Instantly restores 50% stamina when you defeat an enemy") --TranslateMe

	TweakDB:SetFlat("Items.StaminaRegenBoosterCommon_inline1.intValues", {})
	TweakDB:SetFlat("Items.StaminaRegenBoosterUncommon_inline6.intValues", {})
	TweakDB:SetFlat("Items.StaminaRegenBoosterRare_inline6.intValues", {})
	TweakDB:SetFlat("Items.StaminaRegenBoosterEpic_inline6.intValues", {})
	TweakDB:SetFlat("Items.StaminaRegenBoosterLegendary_inline6.intValues", {})
	updateDescriptionsforPatch("Items.StaminaRegenBoosterCommon_inline1")
	updateDescriptionsforPatch("Items.StaminaRegenBoosterUncommon_inline6")
	updateDescriptionsforPatch("Items.StaminaRegenBoosterRare_inline6")
	updateDescriptionsforPatch("Items.StaminaRegenBoosterEpic_inline6")
	updateDescriptionsforPatch("Items.StaminaRegenBoosterLegendary_inline6")

	--Bioconductor
	
	--Effects
	TweakDB:SetFlat("Items.BioConductorsRare_inline2.value", 0.2)
	TweakDB:SetFlat("Items.BioConductorsEpic_inline2.value", 0.25)
	TweakDB:SetFlat("Items.BioConductorsLegendary_inline2.value", 0.3)

	--Description
	TweakDB:SetFlat("Items.BioConductorsRare_inline3.localizedDescription", "Reduces all cyberware cooldowns by 20%") --TranslateMe
	TweakDB:SetFlat("Items.BioConductorsEpic_inline3.localizedDescription", "Reduces all cyberware cooldowns by 25%") --TranslateMe
	TweakDB:SetFlat("Items.BioConductorsLegendary_inline3.localizedDescription", "Reduces all cyberware cooldowns by 30%") --TranslateMe

	TweakDB:SetFlat("Items.BioConductorsRare_inline3.intValues", {})
	TweakDB:SetFlat("Items.BioConductorsEpic_inline3.intValues", {})
	TweakDB:SetFlat("Items.BioConductorsLegendary_inline3.intValues", {})
	updateDescriptionsforPatch("Items.BioConductorsRare_inline3")
	updateDescriptionsforPatch("Items.BioConductorsEpic_inline3")
	updateDescriptionsforPatch("Items.BioConductorsLegendary_inline3")

	--Biomonitor
	
	--Cooldown
	TweakDB:SetFlat("Items.HealthMonitorCommon_inline1.value", 120)
	TweakDB:SetFlat("Items.HealthMonitorUncommon_inline2.value", 120)
	TweakDB:SetFlat("Items.HealthMonitorRare_inline2.value", 120)
	TweakDB:SetFlat("Items.HealthMonitorEpic_inline2.value", 120)
	TweakDB:SetFlat("Items.HealthMonitorLegendary_inline2.value", 120)

	--Effects
	
	--Amount
	TweakDB:SetFlat("Items.HealthMonitorEffector_inline6.statPoolValue", 25)
	
	TweakDB:SetFlat("Items.HealthMonitorUncommoninline4.statPoolValue", 30)
	TweakDB:SetFlat("Items.HealthMonitoruncommon_inline6.statPoolValue", 30)
	
	TweakDB:SetFlat("Items.HealthMonitorRare_inline4.statPoolValue", 35)
	TweakDB:SetFlat("Items.HealthMonitorRare_inline6.statPoolValue", 35)
	
	TweakDB:SetFlat("Items.HealthMonitorEpic_inline4.statPoolValue", 40)
	TweakDB:SetFlat("Items.HealthMonitorEpic_inline6.statPoolValue", 40)

	TweakDB:SetFlat("Items.HealthMonitorLegendary_inline4.statPoolValue", 50)
	TweakDB:SetFlat("Items.HealthMonitorLegendary_inline6.statPoolValue", 50)
	
	--Move threshold
	TweakDB:SetFlat("Items.HealthMonitorCooldownEffector_inline1.valueToCheck", 50)
	TweakDB:SetFlat("Items.HealthMonitorEffector_inline1.valueToCheck", 50)
	TweakDB:SetFlat("Items.HealthMonitorSFXEffector_inline1.valueToCheck", 50)
	
	--Descriptions
	TweakDB:SetFlat("Items.HealthMonitorCommon_inline2.localizedDescription", "Instantly restores 25% Health when your Health drops below 50%. 120 second cooldown.") --TranslateMe
	TweakDB:SetFlat("Items.HealthMonitorUncommon_inline7.localizedDescription", "Instantly restores 30% Health when your Health drops below 50%. 120 second cooldown.") --TranslateMe
	TweakDB:SetFlat("Items.HealthMonitorRare_inline7.localizedDescription", "Instantly restores 35% Health when your Health drops below 50%. 120 second cooldown.") --TranslateMe
	TweakDB:SetFlat("Items.HealthMonitorEpic_inline7.localizedDescription", "Instantly restores 40% Health when your Health drops below 50%. 120 second cooldown.") --TranslateMe
	TweakDB:SetFlat("Items.HealthMonitorLegendary_inline7.localizedDescription", "Instantly restores 50% Health when your Health drops below 50%. 120 second cooldown.") --TranslateMe

	TweakDB:SetFlat("Items.HealthMonitorCommon_inline2.intValues", {})
	TweakDB:SetFlat("Items.HealthMonitorUncommon_inline7.intValues", {})
	TweakDB:SetFlat("Items.HealthMonitorRare_inline7.intValues", {})
	TweakDB:SetFlat("Items.HealthMonitorEpic_inline7.intValues", {})
	TweakDB:SetFlat("Items.HealthMonitorLegendary_inline7.intValues", {})
	updateDescriptionsforPatch("Items.HealthMonitorCommon_inline2")
	updateDescriptionsforPatch("Items.HealthMonitorUncommon_inline7")
	updateDescriptionsforPatch("Items.HealthMonitorRare_inline7")
	updateDescriptionsforPatch("Items.HealthMonitorEpic_inline7")
	updateDescriptionsforPatch("Items.HealthMonitorLegendary_inline7")

	--Bioplastic Blood Vessels
	
	--Create new stats (old ones barely worked anyways)
	createConstantStatModifier("BloodVessels1", "Additive", "BaseStats.HealthInCombatRegenRateAdd", 0.5)
	createConstantStatModifier("BloodVessels2", "Additive", "BaseStats.HealthInCombatRegenRateAdd", 0.6)
	createConstantStatModifier("BloodVessels3", "Additive", "BaseStats.HealthInCombatRegenRateAdd", 0.7)
	createConstantStatModifier("BloodVessels4", "Additive", "BaseStats.HealthInCombatRegenRateAdd", 0.8)
	createConstantStatModifier("BloodVessels5", "Additive", "BaseStats.HealthInCombatRegenRateAdd", 1)

	--Effects
	TweakDB:SetFlat("Items.EnhancedBloodVesselsCommon_inline1.stats", {"BloodVessels1"})
	TweakDB:SetFlat("Items.EnhancedBloodVesselsUncommon_inline1.stats", {"BloodVessels2"})
	TweakDB:SetFlat("Items.EnhancedBloodVesselsRare_inline1.stats", {"BloodVessels3"})
	TweakDB:SetFlat("Items.EnhancedBloodVesselsEpic_inline1.stats", {"BloodVessels4"})
	TweakDB:SetFlat("Items.EnhancedBloodVesselsLegendary_inline1.stats", {"BloodVessels5"})

	--Descriptions
	TweakDB:SetFlat("Items.EnhancedBloodVesselsCommon_inline5.localizedDescription", "Increases in combat health regen by 0.5 point per second") --TranslateMe
	TweakDB:SetFlat("Items.EnhancedBloodVesselsUncommon_inline5.localizedDescription", "Increases in combat health regen by 0.6 points per second") --TranslateMe
	TweakDB:SetFlat("Items.EnhancedBloodVesselsRare_inline5.localizedDescription", "Increases in combat health regen by 0.7 points per second") --TranslateMe
	TweakDB:SetFlat("Items.EnhancedBloodVesselsEpic_inline5.localizedDescription", "Increases in combat health regen by 0.8 points per second") --TranslateMe
	TweakDB:SetFlat("Items.EnhancedBloodVesselsLegendary_inline5.localizedDescription", "Increases in combat health regen by 1 point per second") --TranslateMe
	
	TweakDB:SetFlat("Items.EnhancedBloodVesselsCommon_inline5.intValues", {})
	TweakDB:SetFlat("Items.EnhancedBloodVesselsUncommon_inline5.intValues", {})
	TweakDB:SetFlat("Items.EnhancedBloodVesselsRare_inline5.intValues", {})
	TweakDB:SetFlat("Items.EnhancedBloodVesselsEpic_inline5.intValues", {})
	TweakDB:SetFlat("Items.EnhancedBloodVesselsLegendary_inline5.intValues", {})
	updateDescriptionsforPatch("Items.EnhancedBloodVesselsCommon_inline5")
	updateDescriptionsforPatch("Items.EnhancedBloodVesselsUncommon_inline5")
	updateDescriptionsforPatch("Items.EnhancedBloodVesselsRare_inline5")
	updateDescriptionsforPatch("Items.EnhancedBloodVesselsEpic_inline5")
	updateDescriptionsforPatch("Items.EnhancedBloodVesselsLegendary_inline5")


	--Syn Lungs
	
	--Effects
	TweakDB:SetFlat("Items.IronLungsCommon_inline2.value", 0.3)
	TweakDB:SetFlat("Items.IronLungsUncommon_inline2.value", 0.4)
	TweakDB:SetFlat("Items.IronLungsRare_inline2.value", 0.5)
	TweakDB:SetFlat("Items.IronLungsEpic_inline2.value", 0.6)
	TweakDB:SetFlat("Items.IronLungsLegendary_inline2.value", 0.7)
	
	--Descriptions
	TweakDB:SetFlat("Items.IronLungsCommon_inline3.localizedDescription", "Increases Stamina regen rate by 30%.") --TranslateMe
	TweakDB:SetFlat("Items.IronLungsUncommon_inline3.localizedDescription", "Increases Stamina regen rate by 40%.") --TranslateMe
	TweakDB:SetFlat("Items.IronLungsRare_inline3.localizedDescription", "Increases Stamina regen rate by 50%.") --TranslateMe
	TweakDB:SetFlat("Items.IronLungsEpic_inline3.localizedDescription", "Increases Stamina regen rate by 60%.") --TranslateMe
	TweakDB:SetFlat("Items.IronLungsLegendary_inline3.localizedDescription", "Increases Stamina regen rate by 70%.") --TranslateMe

	TweakDB:SetFlat("Items.IronLungsCommon_inline3.intValues", {})
	TweakDB:SetFlat("Items.IronLungsUncommon_inline3.intValues", {})
	TweakDB:SetFlat("Items.IronLungsRare_inline3.intValues", {})
	TweakDB:SetFlat("Items.IronLungsEpic_inline3.intValues", {})
	TweakDB:SetFlat("Items.IronLungsLegendary_inline3.intValues", {})
	updateDescriptionsforPatch("Items.IronLungsCommon_inline3")
	updateDescriptionsforPatch("Items.IronLungsUncommon_inline3")
	updateDescriptionsforPatch("Items.IronLungsRare_inline3")
	updateDescriptionsforPatch("Items.IronLungsEpic_inline3")
	updateDescriptionsforPatch("Items.IronLungsLegendary_inline3")

	--Second Heart
	
	--Remove body requirement
	TweakDB:SetFlat("Items.SecondHeart_inline0.valueToCheck", Second_Heart_Body_Req)
	
	
	
	--IMMUNE SYSTEM
	
	--Cataresist
	
	--Effects
	TweakDB:SetFlat("Items.ResistancesBoosterCommon_inline1.value", 15)
	TweakDB:SetFlat("Items.ResistancesBoosterCommon_inline2.value", 15)
	TweakDB:SetFlat("Items.ResistancesBoosterCommon_inline3.value", 15)

	TweakDB:SetFlat("Items.ResistancesBoosterUncommon_inline2.value", 20)
	TweakDB:SetFlat("Items.ResistancesBoosterUncommon_inline3.value", 20)
	TweakDB:SetFlat("Items.ResistancesBoosterUncommon_inline4.value", 20)
	
	TweakDB:SetFlat("Items.ResistancesBoosterEpic_inline2.value", 30)
	TweakDB:SetFlat("Items.ResistancesBoosterEpic_inline3.value", 30)
	TweakDB:SetFlat("Items.ResistancesBoosterEpic_inline4.value", 30)
	
	TweakDB:SetFlat("Items.ResistancesBoosterLegendary_inline2.value", 35)
	TweakDB:SetFlat("Items.ResistancesBoosterLegendary_inline3.value", 35)
	TweakDB:SetFlat("Items.ResistancesBoosterLegendary_inline4.value", 35)
	
	--Descriptions
	TweakDB:SetFlat("Items.ResistancesBoosterCommon_inline4.localizedDescription", "Increases all resistances by 15%") --TranslateMe
	TweakDB:SetFlat("Items.ResistancesBoosterUncommon_inline5.localizedDescription", "Increases all resistances by 20%") --TranslateMe
	TweakDB:SetFlat("Items.ResistancesBoosterEpic_inline5.localizedDescription", "Increases all resistances by 30%") --TranslateMe
	TweakDB:SetFlat("Items.ResistancesBoosterLegendary_inline5.localizedDescription", "Increases all resistances by 35%") --TranslateMe
	
	TweakDB:SetFlat("Items.ResistancesBoosterCommon_inline4.intValues", {})
	TweakDB:SetFlat("Items.ResistancesBoosterUncommon_inline5.intValues", {})
	TweakDB:SetFlat("Items.ResistancesBoosterEpic_inline5.intValues", {})
	TweakDB:SetFlat("Items.ResistancesBoosterLegendary_inline5.intValues", {})
	updateDescriptionsforPatch("Items.ResistancesBoosterCommon_inline4")
	updateDescriptionsforPatch("Items.ResistancesBoosterUncommon_inline5")
	updateDescriptionsforPatch("Items.ResistancesBoosterEpic_inline5")
	updateDescriptionsforPatch("Items.ResistancesBoosterLegendary_inline5")

	--Detoxifier
	
	--Effect
	TweakDB:SetFlat("Items.ToxinCleanser_inline2.statType", "BaseStats.ChemicalResistance")
	TweakDB:SetFlat("Items.ToxinCleanser_inline2.value", 50)

	--Description
	TweakDB:SetFlat("Items.ToxinCleanser_inline3.localizedDescription", "Increases Poison resistance by 50%") --TranslateMe
	TweakDB:SetFlat("Items.ToxinCleanser_inline3.intValues", {})
	updateDescriptionsforPatch("Items.ToxinCleanser_inline3")

	--Inductor
	
	--Effect
	TweakDB:SetFlat("Items.ReversePowerInductor_inline10.value", 1)
	TweakDB:SetFlat("Items.ReversePowerInductor_inline13.value", 1)
	
	--Description
	TweakDB:SetFlat("Items.ReversePowerInductor_inline16.localizedDescription", "When affected by Shock or EMP, increase armor by 50%") --TranslateMe
	TweakDB:SetFlat("Items.ReversePowerInductor_inline16.intValues", {})
	updateDescriptionsforPatch("Items.ReversePowerInductor_inline16")

	--Metabolic Editor
	
	--Effect
	TweakDB:SetFlat("Items.ReverseMetabolicEnhancer_inline3.valuePerSec", 6)
	TweakDB:SetFlat("Items.ReverseMetabolicEnhancer_inline5.value", 1)
	
	--Description
	TweakDB:SetFlat("Items.ReverseMetabolicEnhancer_inline8.localizedDescription", "Poison effects cause you to regenerate 6% health per second.") --TranslateMe
	TweakDB:SetFlat("Items.ReverseMetabolicEnhancer_inline8.intValues", {})
	updateDescriptionsforPatch("Items.ReverseMetabolicEnhancer_inline8")

	--Shock n Awe (and microvibration generator)
	
	--Chances
	TweakDB:SetFlat("Items.ElectroshockMechanismEffector.chance", 0.03)
	TweakDB:SetFlat("Items.ElectroshockMechanismCommon_inline1.chance", 0.03)
	TweakDB:SetFlat("Items.ElectroshockMechanismUncommon_inline2.chance", 0.035)
	TweakDB:SetFlat("Items.ElectroshockMechanismEpic_inline2.chance", 0.045)
	TweakDB:SetFlat("Items.ElectroshockMechanismLegendary_inline2.chance", 0.05)
	
	--Apply shock effect
	Shock_Effect = {"Attacks.MicroGeneratorExplosionEpic_inline0"}
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionCommon.statusEffects", Shock_Effect)
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionUncommon.statusEffects", Shock_Effect)
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionRare.statusEffects", Shock_Effect)
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionEpic.statusEffects", Shock_Effect)
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionLegendary.statusEffects", Shock_Effect)
	
	--Damage
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionCommon_inline0.value", 0)
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionUncommon_inline0.value", 0)
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionRare_inline0.value", 0)
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionEpic_inline1.value", 0)
	TweakDB:SetFlat("Attacks.MicroGeneratorExplosionLegendary_inline0.value", 0)

	--Descriptions
	TweakDB:SetFlat("Items.ElectroshockMechanismCommon_inline2.localizedDescription", "After taking damage, there is a 3% chance of releasing a large electroshock that will knockback nearby enemies and shock them.") --TranslateMe
	TweakDB:SetFlat("Items.ElectroshockMechanismUncommon_inline3.localizedDescription", "After taking damage, there is a 3.5% chance of releasing a large electroshock that will knockback nearby enemies and shock them.") --TranslateMe
	TweakDB:SetFlat("Items.ElectroshockMechanismEpic_inline3.localizedDescription", "After taking damage, there is a 4.5% chance of releasing a large electroshock that will knockback nearby enemies and shock them.") --TranslateMe
	TweakDB:SetFlat("Items.ElectroshockMechanismLegendary_inline3.localizedDescription", "After taking damage, there is a 5% chance of releasing a large electroshock that will knockback nearby enemies and shock them.") --TranslateMe

	TweakDB:SetFlat("Items.ElectroshockMechanismCommon_inline2.intValues", {})
	TweakDB:SetFlat("Items.ElectroshockMechanismUncommon_inline3.intValues", {})
	TweakDB:SetFlat("Items.ElectroshockMechanismEpic_inline3.intValues", {})
	TweakDB:SetFlat("Items.ElectroshockMechanismLegendary_inline3.intValues", {})
	updateDescriptionsforPatch("Items.ElectroshockMechanismCommon_inline2")
	updateDescriptionsforPatch("Items.ElectroshockMechanismUncommon_inline3")
	updateDescriptionsforPatch("Items.ElectroshockMechanismEpic_inline3")
	updateDescriptionsforPatch("Items.ElectroshockMechanismLegendary_inline3")

	--NERVOUS SYSTEM
	
	--Kerenzikov cooldown
	
	TweakDB:SetFlat("BaseStatusEffect.KerenzikovCooldown_inline1.value", Kerenzikov_Cooldown)
	
	
	--Nanorelays
	
	--Effects
	TweakDB:SetFlat("Items.ImprovedReactionUncommon_inline2.value", 1)
	TweakDB:SetFlat("Items.ImprovedReactionUncommon_inline2.value", 1)

	TweakDB:SetFlat("Items.ImprovedReactionRare_inline1.value", 1.5)
	TweakDB:SetFlat("Items.ImprovedReactionRare_inline2.value", 1.5)

	TweakDB:SetFlat("Items.ImprovedReactionEpic_inline1.value", 2)
	TweakDB:SetFlat("Items.ImprovedReactionEpic_inline2.value", 2)
	
	--Descriptions
	TweakDB:SetFlat("Items.ImprovedReactionUncommon_inline3.localizedDescription", "Increases Sandevistan and Kerenzikov durations by 1 seconds.") --TranslateMe
	TweakDB:SetFlat("Items.ImprovedReactionRare_inline4.localizedDescription", "Increases Sandevistan and Kerenzikov durations by 1.5 seconds.") --TranslateMe
	TweakDB:SetFlat("Items.ImprovedReactionEpic_inline4.localizedDescription", "Increases Sandevistan and Kerenzikov durations by 2 seconds.") --TranslateMe
	
	TweakDB:SetFlat("Items.ImprovedReactionUncommon_inline3.intValues", {})
	TweakDB:SetFlat("Items.ImprovedReactionRare_inline4.intValues", {})
	TweakDB:SetFlat("Items.ImprovedReactionEpic_inline4.intValues", {})
	updateDescriptionsforPatch("Items.ImprovedReactionUncommon_inline3")
	updateDescriptionsforPatch("Items.ImprovedReactionRare_inline4")
	updateDescriptionsforPatch("Items.ImprovedReactionEpic_inline4")

	--Neofiber
	
	--Effects
	TweakDB:SetFlat("Items.NeoFiberCommon_inline1.modifierType", "Additive")
	TweakDB:SetFlat("Items.NeoFiberCommon_inline1.value", Neofiber_Evasion)
	
	TweakDB:SetFlat("Items.NeoFiberUncommon_inline1.modifierType", "Additive")
	TweakDB:SetFlat("Items.NeoFiberUncommon_inline1.value", Neofiber_Evasion *1.5)
	
	TweakDB:SetFlat("Items.NeoFiberRare_inline2.modifierType", "Additive")
	TweakDB:SetFlat("Items.NeoFiberRare_inline2.value", Neofiber_Evasion*2)
	
	TweakDB:SetFlat("Items.NeoFiberEpic_inline2.modifierType", "Additive")
	TweakDB:SetFlat("Items.NeoFiberEpic_inline2.value", Neofiber_Evasion*2.5)
	
	TweakDB:SetFlat("Items.NeoFiberLegendary_inline2.modifierType", "Additive")
	TweakDB:SetFlat("Items.NeoFiberLegendary_inline2.value", Neofiber_Evasion*3)
	
	--Descriptions
	TweakDB:SetFlat("Items.NeoFiberCommon_inline2.localizedDescription", "Increases evasion by "..Neofiber_Evasion..".") --TranslateMe
	TweakDB:SetFlat("Items.NeoFiberUncommon_inline2.localizedDescription", "Increases evasion by "..(Neofiber_Evasion*1.5)..".") --TranslateMe
	TweakDB:SetFlat("Items.NeoFiberRare_inline3.localizedDescription", "Increases evasion by "..(Neofiber_Evasion*2)..".") --TranslateMe
	TweakDB:SetFlat("Items.NeoFiberEpic_inline3.localizedDescription", "Increases evasion by "..(Neofiber_Evasion*2.5)..".") --TranslateMe
	TweakDB:SetFlat("Items.NeoFiberLegendary_inline3.localizedDescription", "Increases evasion by "..(Neofiber_Evasion*3)..".") --TranslateMe
	
	TweakDB:SetFlat("Items.NeoFiberCommon_inline2.intValues", {})
	TweakDB:SetFlat("Items.NeoFiberUncommon_inline2.intValues", {})
	TweakDB:SetFlat("Items.NeoFiberRare_inline3.intValues", {})
	TweakDB:SetFlat("Items.NeoFiberEpic_inline3.intValues", {})
	TweakDB:SetFlat("Items.NeoFiberLegendary_inline3.intValues", {})
	updateDescriptionsforPatch("Items.NeoFiberCommon_inline2")
	updateDescriptionsforPatch("Items.NeoFiberUncommon_inline2")
	updateDescriptionsforPatch("Items.NeoFiberRare_inline3")
	updateDescriptionsforPatch("Items.NeoFiberEpic_inline3")
	updateDescriptionsforPatch("Items.NeoFiberLegendary_inline3")

	--Integumentary System
	
	--Subdermal Armor
	
	--Effects
	TweakDB:SetFlat("Items.SubdermalArmorCommon_inline1.value", 10)
	TweakDB:SetFlat("Items.SubdermalArmorUncommon_inline1.value", 20)
	TweakDB:SetFlat("Items.SubdermalArmorRare_inline1.value", 30)
	TweakDB:SetFlat("Items.SubdermalArmorEpic_inline1.value", 40)
	TweakDB:SetFlat("Items.SubdermalArmorLegendary_inline1.value", 50)

	--Descriptin
	TweakDB:SetFlat("Items.SubdermalArmorCommon_inline2.intValues", {10})
	TweakDB:SetFlat("Items.SubdermalArmorUncommon_inline2.intValues", {20})
	TweakDB:SetFlat("Items.SubdermalArmorRare_inline2.intValues", {30})
	TweakDB:SetFlat("Items.SubdermalArmorEpic_inline2.intValues", {40})
	TweakDB:SetFlat("Items.SubdermalArmorLegendary_inline2.intValues", {50})
	
	--Fireproof Coating
	
	--Effect
	TweakDB:SetFlat("Items.FireproofSkin_inline2.statType", "BaseStats.ThermalResistance")
	TweakDB:SetFlat("Items.FireproofSkin_inline2.value", 50)
	
	--Description
	TweakDB:SetFlat("Items.FireproofSkin_inline3.localizedDescription", "Increases thermal resistance by 50%.") --TranslateMe
	TweakDB:SetFlat("Items.FireproofSkin_inline3.intValues", {})
	updateDescriptionsforPatch("Items.FireproofSkin_inline3")


	--Grounding Plating
	
	--Effect
	createConstantStatModifier("GroundingPlatingResist", "Additive", "BaseStats.ElectricResistance", 50)
	TweakDB:SetFlat("Items.GroundingPlating_inline1.stats", {"GroundingPlatingResist"})
	
	--Description
	TweakDB:SetFlat("Items.GroundingPlating_inline4.localizedDescription", "Increases shock resistance by 50%.") --TranslateMe
	TweakDB:SetFlat("Items.GroundingPlating_inline4.intValues", {})
	updateDescriptionsforPatch("Items.GroundingPlating_inline4")

	--Heat Converter
	
	--Effects
	TweakDB:SetFlat("Items.HeatUsingBooster_inline5.value", 1)
	TweakDB:SetFlat("Items.HeatUsingBooster_inline4.value", 1.2)
	
	--Description
	TweakDB:SetFlat("Items.HeatUsingBooster_inline10.localizedDescription", "When affected by Burn, increase damage by 20%")
	TweakDB:SetFlat("Items.HeatUsingBooster_inline10.intValues", {})
	updateDescriptionsforPatch("Items.HeatUsingBooster_inline10")

	--SKELETON
	
	--Bionic Joints
	
	--Effects
	TweakDB:SetFlat("Items.JointLockRare_inline3.value", -0.25)
	TweakDB:SetFlat("Items.JointLockRare_inline4.value", -0.25)

	TweakDB:SetFlat("Items.JointLockEpic_inline4.value", -0.375)
	TweakDB:SetFlat("Items.JointLockEpic_inline5.value", -0.375)

	--Description
	TweakDB:SetFlat("Items.JointLockRare_inline5.localizedDescription", "Reduces recoil of ranged weapons by 25%") --TranslateMe
	TweakDB:SetFlat("Items.JointLockEpic_inline6.localizedDescription", "Reduces recoil of ranged weapons by 37.5%") --TranslateMe
	TweakDB:SetFlat("Items.JointLockRare_inline5.intValues", {})
	TweakDB:SetFlat("Items.JointLockEpic_inline6.intValues", {})
	updateDescriptionsforPatch("Items.JointLockRare_inline5")
	updateDescriptionsforPatch("Items.JointLockEpic_inline6")

	--Make Legendary Version
	
	TweakDB:CloneRecord("Items.JointLockLegendary", "Items.JointLockEpic")
	TweakDB:SetFlat("Items.JointLockLegendary.quality", "Quality.Legendary")
	
	--Effect
	TweakDB:CloneRecord("Items.JointLockLegendary_inline1", "Items.JointLockEpic_inline1")
	
	TweakDB:CloneRecord("Items.JointLockLegendary_inline2", "Items.JointLockEpic_inline2")
	createConstantStatModifier("JointLockLegendaryRecoilMin", "AdditiveMultiplier", "BaseStats.RecoilMin", -0.5)
	createConstantStatModifier("JointLockLegendaryRecoilMax", "AdditiveMultiplier", "BaseStats.RecoilMax", -0.5)
	TweakDB:SetFlat("Items.JointLockLegendary_inline2.statGroup", {"JointLockLegendaryRecoilMin", "JointLockLegendaryRecoilMax"})
	TweakDB:SetFlat("Items.JointLockLegendary_inline1.effectors", {"Items.JointLockLegendary_inline2"})
	
	--Description
	TweakDB:CloneRecord("Items.JointLockLegendary_inline6", "Items.JointLockEpic_inline6")
	TweakDB:SetFlat("Items.JointLockLegendary_inline6.localizedDescription", "Reduces recoil of ranged weapons by 50%") --TranslateMe
	TweakDB:SetFlat("Items.JointLockLegendary_inline1.UIData", "Items.JointLockLegendary_inline6")
	
	TweakDB:SetFlat("Items.JointLockLegendary_inline6.intValues", {})
	updateDescriptionsforPatch("Items.JointLockLegendary_inline6")


	--Equip Prereqs
	TweakDB:CloneRecord("Items.JointLockLegendary_inline0", "Items.JointLockEpic_inline0")
	TweakDB:SetFlat("Items.JointLockLegendary_inline0.value", 16)
	TweakDB:SetFlat("Items.JointLockLegendary.equipPrereqs", {"Items.JointLockLegendary_inline0"})
	
	--Put it all together
	TweakDB:SetFlat("Items.JointLockLegendary.OnEquip", {"Items.JointLockLegendary_inline1"})
	
	
	--Dense Marrow
	
	--Effects
	TweakDB:SetFlat("Items.DenseMarrowUncommon_inline3.value", 1.1)
	TweakDB:SetFlat("Items.DenseMarrowRare_inline3.value", 1.15)
	TweakDB:SetFlat("Items.DenseMarrowEpic_inline4.value", 1.2)
	
	--Description
	TweakDB:SetFlat("Items.DenseMarrowUncommon_inline4.localizedDescription", "Increases Stamina cost of melee attacks by 10%, but increases base damage of melee weapons by 10%.") --TranslateMe
	TweakDB:SetFlat("Items.DenseMarrowRare_inline4.localizedDescription", "Increases Stamina cost of melee attacks by 10%, but increases base damage of melee weapons by 15%.") --TranslateMe
	TweakDB:SetFlat("Items.DenseMarrowEpic_inline5.localizedDescription", "Increases Stamina cost of melee attacks by 10%, but increases base damage of melee weapons by 20%.") --TranslateMe
	
	TweakDB:SetFlat("Items.DenseMarrowUncommon_inline4.intValues", {})
	TweakDB:SetFlat("Items.DenseMarrowRare_inline4.intValues", {})
	TweakDB:SetFlat("Items.DenseMarrowEpic_inline5.intValues", {})
	updateDescriptionsforPatch("Items.DenseMarrowUncommon_inline4")
	updateDescriptionsforPatch("Items.DenseMarrowRare_inline4")
	updateDescriptionsforPatch("Items.DenseMarrowEpic_inline5")

	--Microrotors
	
	--Effects
	TweakDB:SetFlat("Items.CyberRotorsCommon_inline3.value", 0.2)
	TweakDB:SetFlat("Items.CyberRotorsUncommon_inline4.value", 0.25)
	TweakDB:SetFlat("Items.CyberRotorsRare_inline4.value", 0.3)
	TweakDB:SetFlat("Items.CyberRotorsEpic_inline4.value", 0.35)
	TweakDB:SetFlat("Items.CyberRotorsLegendary_inline4.value", 0.4)
	
	--Descriptions
	TweakDB:SetFlat("Items.CyberRotorsCommon_inline4.localizedDescription", "Increases attack speed by 20%") --TranslateMe
	TweakDB:SetFlat("Items.CyberRotorsUncommon_inline5.localizedDescription", "Increases attack speed by 25%") --TranslateMe
	TweakDB:SetFlat("Items.CyberRotorsRare_inline5.localizedDescription", "Increases attack speed by 30%") --TranslateMe
	TweakDB:SetFlat("Items.CyberRotorsEpic_inline5.localizedDescription", "Increases attack speed by 35%") --TranslateMe
	TweakDB:SetFlat("Items.CyberRotorsLegendary_inline5.localizedDescription", "Increases attack speed by 40%") --TranslateMe
	
	TweakDB:SetFlat("Items.CyberRotorsCommon_inline4.intValues", {})
	TweakDB:SetFlat("Items.CyberRotorsUncommon_inline5.intValues", {})
	TweakDB:SetFlat("Items.CyberRotorsRare_inline5.intValues", {})
	TweakDB:SetFlat("Items.CyberRotorsEpic_inline5.intValues", {})
	TweakDB:SetFlat("Items.CyberRotorsLegendary_inline5.intValues", {})
	updateDescriptionsforPatch("Items.CyberRotorsCommon_inline4")
	updateDescriptionsforPatch("Items.CyberRotorsUncommon_inline5")
	updateDescriptionsforPatch("Items.CyberRotorsRare_inline5")
	updateDescriptionsforPatch("Items.CyberRotorsEpic_inline5")
	updateDescriptionsforPatch("Items.CyberRotorsLegendary_inline5")

	--Microvibration Generator
	
	--Effects
	TweakDB:SetFlat("Items.MicroVibrationsGeneratorUncommon_inline2.value", 1.08)
	TweakDB:SetFlat("Items.MicroVibrationsGeneratorRare_inline3.value", 1.12)
	TweakDB:SetFlat("Items.MicroVibrationsGeneratorEpic_inline3.value", 1.16)
	
	--Descriptions
	TweakDB:SetFlat("Items.MicroVibrationsGeneratorUncommon_inline3.localizedDescription", "Increases base damage of melee weapons by 8%") --TranslateMe
	TweakDB:SetFlat("Items.MicroVibrationsGeneratorRare_inline4.localizedDescription", "Increases base damage of melee weapons by 12%") --TranslateMe
	TweakDB:SetFlat("Items.MicroVibrationsGeneratorEpic_inline4.localizedDescription", "Increases base damage of melee weapons by 16%") --TranslateMe

	TweakDB:SetFlat("Items.MicroVibrationsGeneratorUncommon_inline3.intValues", {})
	TweakDB:SetFlat("Items.MicroVibrationsGeneratorRare_inline4.intValues", {})
	TweakDB:SetFlat("Items.MicroVibrationsGeneratorEpic_inline4.intValues", {})
	updateDescriptionsforPatch("Items.MicroVibrationsGeneratorUncommon_inline3")
	updateDescriptionsforPatch("Items.MicroVibrationsGeneratorRare_inline4")
	updateDescriptionsforPatch("Items.MicroVibrationsGeneratorEpic_inline4")

	--Synaptic Signal Optimizer
	
	--Effects
	TweakDB:SetFlat("Items.EndoskeletonCommon_inline1.value", .2)
	TweakDB:SetFlat("Items.EndoskeletonUncommon_inline2.value", .25)
	TweakDB:SetFlat("Items.EndoskeletonRare_inline2.value", .3)
	TweakDB:SetFlat("Items.EndoskeletonEpic_inline2.value", .35)
	TweakDB:SetFlat("Items.EndoskeletonLegendary_inline2.value", .4)

	--Description
	TweakDB:SetFlat("Items.EndoskeletonCommon_inline2.localizedDescription", "Increases health by 20%.") --TranslateMe
	TweakDB:SetFlat("Items.EndoskeletonUncommon_inline3.localizedDescription", "Increases health 25%") --TranslateMe
	TweakDB:SetFlat("Items.EndoskeletonRare_inline3.localizedDescription", "Increases health 30%") --TranslateMe
	TweakDB:SetFlat("Items.EndoskeletonEpic_inline3.localizedDescription", "Increases health 35%") --TranslateMe
	TweakDB:SetFlat("Items.EndoskeletonLegendary_inline3.localizedDescription", "Increases health 40%") --TranslateMe
	
	TweakDB:SetFlat("Items.EndoskeletonCommon_inline2.intValues", {})
	TweakDB:SetFlat("Items.EndoskeletonUncommon_inline3.intValues", {})
	TweakDB:SetFlat("Items.EndoskeletonRare_inline3.intValues", {})
	TweakDB:SetFlat("Items.EndoskeletonEpic_inline3.intValues", {})
	TweakDB:SetFlat("Items.EndoskeletonLegendary_inline3.intValues", {})
	updateDescriptionsforPatch("Items.EndoskeletonCommon_inline2")
	updateDescriptionsforPatch("Items.EndoskeletonUncommon_inline3")
	updateDescriptionsforPatch("Items.EndoskeletonRare_inline3")
	updateDescriptionsforPatch("Items.EndoskeletonEpic_inline3")
	updateDescriptionsforPatch("Items.EndoskeletonLegendary_inline3")

	
	--LEGS
	
	--Lynx Paws
	
	--Effects
	createConstantStatModifier("CatPawsMeleeLeap", "Additive", "BaseStats.CanMeleeLeap", 1)
	createConstantStatModifier("CatPawsFallDamage", "Additive", "BaseStats.FallDamageReduction", 0.8)
	--createConstantStatModifier("CatPawsJumpHeight", "Multiplier", "BaseStats.JumpHeight", 3)
	TweakDB:SetFlat("Items.CatPaws_inline0.stats", {"CatPawsFallDamage", "CatPawsMeleeLeap",  "Items.CatPaws_inline1"})
	
	--Description
	TweakDB:SetFlat("Items.CatPaws_inline2.localizedDescription", "Make 50% less noise while moving, reduce fall damage by 80%, and enables leaping with all melee weapons.") --TranslateMe
	
	TweakDB:SetFlat("Items.CatPaws_inline2.intValues", {})
	updateDescriptionsforPatch("Items.CatPaws_inline2")

	--Hover Jump
	
	--Effects
	TweakDB:SetFlat("Items.ReinforcedMusclesEpic_inline1.value", 0.8)
	
	--Description
	TweakDB:SetFlat("Items.ReinforcedMusclesEpic_inline3.localizedDescription", "Reduces fall damage by 80%.") --TranslateMe
	TweakDB:SetFlat("Items.ReinforcedMusclesEpic_inline3.intValues", {})
	

	
	--Berserk Description Fix
	--Berserk_Description = {"BaseStats.BerserkRecoilReduction", "BaseStats.BerserkMeleeDamageBonus", "BaseStats.BerserkArmorBonus", "BaseStats.BerserkDurationBase", "BaseStats.BerserkCooldownBase"}
	--TweakDB:SetFlat("Items.BerserkAbilityUIData.stats", Berserk_Description)
	
	--Intelligence requirements for cyberdecks
	
	--Prereqs
	TweakDB:CloneRecord("IntelligenceReq6", "Items.ImprovedPerceptionCommon_inline0")
	TweakDB:SetFlat("IntelligenceReq6.valueToCheck", 6)
	
	TweakDB:CloneRecord("IntelligenceReq9", "Items.ImprovedPerceptionCommon_inline0")
	TweakDB:SetFlat("IntelligenceReq9.valueToCheck", 9)
	
	TweakDB:CloneRecord("IntelligenceReq12", "Items.ImprovedPerceptionCommon_inline0")
	TweakDB:SetFlat("IntelligenceReq12.valueToCheck", 12)

	TweakDB:CloneRecord("IntelligenceReq15", "Items.ImprovedPerceptionCommon_inline0")
	TweakDB:SetFlat("IntelligenceReq15.valueToCheck", 15)

	TweakDB:CloneRecord("IntelligenceReq20", "Items.ImprovedPerceptionCommon_inline0")
	TweakDB:SetFlat("IntelligenceReq20.valueToCheck", 20)

	--Level 20
	TweakDB:SetFlat("Items.NetwatchNetdriverLegendaryMKV.equipPrereqs", {"IntelligenceReq20"})
	TweakDB:SetFlat("Items.TetratronicRipplerLegendaryMKIV.equipPrereqs", {"IntelligenceReq20"})
	
	--Level 15
	TweakDB:SetFlat("Items.ArasakaLegendaryMKIV.equipPrereqs", {"IntelligenceReq15"})
	TweakDB:SetFlat("Items.FuyutsuiTinkererLegendaryMKIII.equipPrereqs", {"IntelligenceReq15"})
	TweakDB:SetFlat("Items.RavenLegendaryMKIV.equipPrereqs", {"IntelligenceReq15"})
	TweakDB:SetFlat("Items.StephensonLegendaryMKIV.equipPrereqs", {"IntelligenceReq15"})
	
	--Level 12
	TweakDB:SetFlat("Items.ArasakaEpicMKIII.equipPrereqs", {"IntelligenceReq12"})
	TweakDB:SetFlat("Items.BiotechEpicMKIII.equipPrereqs", {"IntelligenceReq12"})
	TweakDB:SetFlat("Items.RavenEpicMKIII.equipPrereqs", {"IntelligenceReq12"})
	TweakDB:SetFlat("Items.StephensonEpicMKIII.equipPrereqs", {"IntelligenceReq12"})
	TweakDB:SetFlat("Items.TetratronicEpicMKIII.equipPrereqs", {"IntelligenceReq12"})

	--Level 9
	TweakDB:SetFlat("Items.BioDyneRareMKII.equipPrereqs", {"IntelligenceReq9"})
	TweakDB:SetFlat("Items.BiotechRareMKII.equipPrereqs", {"IntelligenceReq9"})
	TweakDB:SetFlat("Items.SeachoRareMKII.equipPrereqs", {"IntelligenceReq9"})
	TweakDB:SetFlat("Items.StephensonRareMKII.equipPrereqs", {"IntelligenceReq9"})
	TweakDB:SetFlat("Items.TetratronicRareMKII.equipPrereqs", {"IntelligenceReq9"})

	--Berserk cooldown
	TweakDB:SetFlat("Items.BerserkC1MK1_inline5.value", 60 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC1MK2_inline6.value", 60 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC1MK3_inline6.value", 60 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC2MK1_inline5.value", 60 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC2MK2_inline6.value", 60 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC2MK3_inline6.value", 60 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC2MK4_inline6.value", 60 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC3MK4_inline6.value", 60 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC3MK5_inline6.value", 30 * Berserk_Cooldown)
	TweakDB:SetFlat("Items.BerserkC4MK5_inline6.value", 60 * Berserk_Cooldown)

	--Sandevistan cooldown
	TweakDB:SetFlat("Items.SandevistanC1MK1_inline3.value", 30 * Sandevistan_Cooldown)
	TweakDB:SetFlat("Items.SandevistanC1MK2_inline3.value", 30 * Sandevistan_Cooldown)
	TweakDB:SetFlat("Items.SandevistanC1MK3_inline3.value", 30 * Sandevistan_Cooldown)
	TweakDB:SetFlat("Items.SandevistanC2MK1_inline3.value", 30 * Sandevistan_Cooldown)
	TweakDB:SetFlat("Items.SandevistanC2MK2_inline3.value", 30 * Sandevistan_Cooldown)
	TweakDB:SetFlat("Items.SandevistanC2MK3_inline3.value", 15 * Sandevistan_Cooldown)
	TweakDB:SetFlat("Items.SandevistanC2MK4_inline3.value", 30 * Sandevistan_Cooldown)
	TweakDB:SetFlat("Items.SandevistanC3MK4_inline3.value", 15 * Sandevistan_Cooldown)
	TweakDB:SetFlat("Items.SandevistanC4MK5_inline3.value", 60 * Sandevistan_Cooldown)
	
	
	--Berserk infinite stamina removal
	
	rec3 = {"BaseStatusEffect.BerserkPlayerBuff_inline4", "BaseStatusEffect.BerserkPlayerBuff_inline6", "BaseStatusEffect.BerserkPlayerBuff_inline7"}
	TweakDB:SetFlat("BaseStatusEffect.BerserkPlayerBuff.packages", rec3)
	
	--Cyberware mods
	
	--Ocular
	
	--Target Analysis
	
	--Effects (Don't remove headshot damage, no smart weapon change)
	TweakDB:SetFlat("Items.KiroshiOpticsFragment1_inline1.effectors", {"Items.KiroshiOpticsFragment1_inline7"})

	--Description
	TweakDB:SetFlat("Items.KiroshiOpticsFragment1_inline8.localizedDescription", "All your weapons are non-lethal.") --TranslateMe
	TweakDB:SetFlat("Items.KiroshiOpticsFragment1_inline8.intValues", {})
	updateDescriptionsforPatch("Items.KiroshiOpticsFragment1_inline8")

	--Headshot
	
	--Effect
	TweakDB:SetFlat("Items.KiroshiOpticsFragment5_inline3.value", .1)
	
	--Description
	TweakDB:SetFlat("Items.KiroshiOpticsFragment5_inline4.intValues", {10})
	
	--Berserk
	
	--Superhero landing damage
	TweakDB:SetFlat("Attacks.SuperheroLanding_inline0.value", Superhero_Landing_Damage)
	
	--Qualities
	for i=1,8 do
		TweakDB:SetFlat("Items.BerserkFragment"..i..".quality", "Quality.Rare")
	end
	
	--Beast mode
	
	--Effect
	TweakDB:SetFlat("Items.AnimalsBerserkFragment1_inline8.value", 1.15)
	
	--Description
	TweakDB:SetFlat("Items.AnimalsBerserkFragment1_inline9.localizedDescription", "Melee attacks deal 15% more damage when Berserk is active.") --TranslateMe
	TweakDB:SetFlat("Items.AnimalsBerserkFragment1_inline9.intValues", {})
	updateDescriptionsforPatch("Items.AnimalsBerserkFragment1_inline9")

	--Extended Berserk
	
	--Effects
	TweakDB:SetFlat("Items.BerserkFragment1_inline0.value", 10)
	TweakDB:SetFlat("Items.BerserkFragment1.statModifiers", {"Items.BerserkFragmentBase_inline0", "Items.BerserkFragment1_inline0"})
	
	--Description
	TweakDB:SetFlat("Items.BerserkFragment1_inline3.localizedDescription", "Increases Berserk duration by 10 seconds.") --TranslateMe
	TweakDB:SetFlat("Items.BerserkFragment1_inline3.intValues", {})
	updateDescriptionsforPatch("Items.BerserkFragment1_inline3")

	--Chained Berserk
	
	--Effects
	TweakDB:SetFlat("Items.BerserkFragment2_inline0.value", -15)
	TweakDB:SetFlat("Items.BerserkFragment2.statModifiers", {"Items.BerserkFragmentBase_inline0", "Items.BerserkFragment2_inline0"})
	
	--Description
	TweakDB:SetFlat("Items.BerserkFragment2_inline3.localizedDescription", "Reduces Berserk cooldown by 15 seconds.") --TranslateMe
	TweakDB:SetFlat("Items.BerserkFragment2_inline3.intValues", {})
	updateDescriptionsforPatch("Items.BerserkFragment2_inline3")

	--Armored Berserk
	
	--Effects
	TweakDB:SetFlat("Items.BerserkFragment3_inline0.value", 15)
	TweakDB:SetFlat("Items.BerserkFragment3_inline2.value", 15)
	TweakDB:SetFlat("Items.BerserkFragment3.statModifiers", {"Items.BerserkFragmentBase_inline0", "Items.BerserkFragment3_inline0", "Items.BerserkFragment3_inline2"})
	
	--Description
	TweakDB:SetFlat("Items.BerserkFragment3_inline5.localizedDescription", "While Berserk is active, increase Armor bonus by 15% and all Resistances by 15%.") --TranslateMe
	TweakDB:SetFlat("Items.BerserkFragment3_inline5.intValues", {})
	updateDescriptionsforPatch("Items.BerserkFragment3_inline5")

	--Bruising Berserk
		

	--Effects
	TweakDB:SetFlat("Items.BerserkFragment4_inline0.value", 15)
	TweakDB:SetFlat("Items.BerserkFragment4.statModifiers", {"Items.BerserkFragmentBase_inline0", "Items.BerserkFragment4_inline0"})
	
	--Description
	TweakDB:SetFlat("Items.BerserkFragment4_inline3.localizedDescription", "Increases Berserk melee damage bonus by 15%.") --TranslateMe
	TweakDB:SetFlat("Items.BerserkFragment4_inline3.intValues", {})
	updateDescriptionsforPatch("Items.BerserkFragment4_inline3")

	--Fcoused Berserk
	
	--Effects
	TweakDB:SetFlat("Items.BerserkFragment5_inline0.value", 30)
	TweakDB:SetFlat("Items.BerserkFragment5_inline2.value", 30)
	TweakDB:SetFlat("Items.BerserkFragment5.statModifiers", {"Items.BerserkFragmentBase_inline0", "Items.BerserkFragment5_inline0", "Items.BerserkFragment5_inline2"})
	
	--Description
	TweakDB:SetFlat("Items.BerserkFragment5_inline5.localizedDescription", "While Berserk is active, reduces weapon sway and recoil by 30%.") --TranslateMe
	TweakDB:SetFlat("Items.BerserkFragment5_inline5.intValues", {})
	updateDescriptionsforPatch("Items.BerserkFragment5_inline5")

	--Invigorating Berserk
	
	--Effects
	TweakDB:SetFlat("Items.BerserkFragment6_inline0.value", 25)
	TweakDB:SetFlat("Items.BerserkFragment6.statModifiers", {"Items.BerserkFragmentBase_inline0", "Items.BerserkFragment6_inline0"})
	
	--Description
	TweakDB:SetFlat("Items.BerserkFragment6_inline5.localizedDescription", "While Berserk is active, increase Health regen by 25%.") --TranslateMe
	TweakDB:SetFlat("Items.BerserkFragment6_inline5.intValues", {})
	updateDescriptionsforPatch("Items.BerserkFragment6_inline5")

	
	--Sandevistan
	
	for i=1,8 do
		TweakDB:SetFlat("Items.SandevistanFragment"..i..".quality", "Quality.Rare")
	end
	
	--Arasaka Software
	
	--Effects
	TweakDB:SetFlat("Items.ArasakaSandevistanFragment1_inline4.value", -0.7)
	
	--Description
	TweakDB:SetFlat("Items.ArasakaSandevistanFragment1_inline5.localizedDescription", "Enemies take 70% longer to see you while Sandevistan is active.") --TranslateMe
	TweakDB:SetFlat("Items.ArasakaSandevistanFragment1_inline5.intValues", {})
	updateDescriptionsforPatch("Items.ArasakaSandevistanFragment1_inline5")

	--Tyger Paws
	
	--Effects
	TweakDB:SetFlat("Items.TygerClawsSandevistanFragment1_inline4.statPoolValue", 35)
	
	--Description
	TweakDB:SetFlat("Items.TygerClawsSandevistanFragment1_inline5.localizedDescription", "While Sandevistan is active, defeating an enemy restores 35% stamina.") --TranslateMe
	TweakDB:SetFlat("Items.TygerClawsSandevistanFragment1_inline5.intValues", {})
	updateDescriptionsforPatch("Items.TygerClawsSandevistanFragment1_inline5")

	--Rabid Bull
	
	--Effects
	TweakDB:SetFlat("Items.ValentinosSandevistanFragment1_inline4.statPoolValue", 10)
	
	--Description
	TweakDB:SetFlat("Items.ValentinosSandevistanFragment1_inline5.localizedDescription", "While Sandevistan is active, defeating an enemy restores 10% health.") --TranslateMe
	TweakDB:SetFlat("Items.ValentinosSandevistanFragment1_inline5.intValues", {})
	updateDescriptionsforPatch("Items.ValentinosSandevistanFragment1_inline5")

	--Overclocked Processor
	
	--Effects
	TweakDB:SetFlat("Items.SandevistanFragment1_inline2.value", 3)
	TweakDB:SetFlat("Items.SandevistanFragment1.statModifiers", {"Items.SandevistanFragmentBase_inline0", "Items.SandevistanFragment1_inline2"})

	--Description
	TweakDB:SetFlat("Items.SandevistanFragment1_inline1.localizedDescription", "Increases Sandevistan duration by 3 seconds.") --TranslateMe
	TweakDB:SetFlat("Items.SandevistanFragment1_inline1.intValues", {})
	updateDescriptionsforPatch("Items.SandevistanFragment1_inline1")
	
	--Prototype Chip
	
	--Effects
	TweakDB:SetFlat("Items.SandevistanFragment2_inline4.value", 10)
	TweakDB:SetFlat("Items.SandevistanFragment2.statModifiers", {"Items.SandevistanFragmentBase_inline0", "Items.SandevistanFragment2_inline4"})

	--Description
	TweakDB:SetFlat("Items.SandevistanFragment2_inline5.localizedDescription", "While Sandevistan is active, increases Crit chance by 10%.") --TranslateMe
	TweakDB:SetFlat("Items.SandevistanFragment2_inline5.intValues", {})
	updateDescriptionsforPatch("Items.SandevistanFragment2_inline5")

	--Neurotransmitters
	
	--Effects
	TweakDB:SetFlat("Items.SandevistanFragment3_inline4.value", 20)
	TweakDB:SetFlat("Items.SandevistanFragment3.statModifiers", {"Items.SandevistanFragmentBase_inline0", "Items.SandevistanFragment3_inline4"})

	--Description
	TweakDB:SetFlat("Items.SandevistanFragment3_inline5.localizedDescription", "While Sandevistan is active, increases Crit damage by 20%.") --TranslateMe
	TweakDB:SetFlat("Items.SandevistanFragment3_inline5.intValues", {})
	updateDescriptionsforPatch("Items.SandevistanFragment3_inline5")

	--Heatsink
	
	--Effects
	TweakDB:SetFlat("Items.SandevistanFragment4_inline2.value", 4)
	TweakDB:SetFlat("Items.SandevistanFragment4.statModifiers", {"Items.SandevistanFragmentBase_inline0", "Items.SandevistanFragment4_inline2"})

	--Description
	TweakDB:SetFlat("Items.SandevistanFragment4_inline1.localizedDescription", "Reduces Sandevistan cooldown by 4 seconds.") --TranslateMe
	TweakDB:SetFlat("Items.SandevistanFragment4_inline1.intValues", {})
	updateDescriptionsforPatch("Items.SandevistanFragment4_inline1")

	--Arm mods
	
	--Fix animals knuckles
	createConstantStatModifier("AnimalsKnucklesBleeding", "Additive", "BaseStats.BleedingApplicationRate", 100)
	TweakDB:SetFlat("Items.AnimalsStrongArmsKnuckles1.statModifiers", {"AnimalsKnucklesBleeding", "Items.PhysicalDamageKnuckles_inline0"})
	
	--Sensory Amplifier (Armor)
	
	--Bug fix
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment4_inline2.statType", "BaseStats.Armor")
	
	--Effect
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment4_inline2.value", .15)
	
	--Description
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment4_inline1.localizedDescription", "Increases Armor by 15%.") --TranslateMe
	TweakDB:SetFlat("Items.ArmsCyberwareSharedFragment4_inline1.intValues", {})
	updateDescriptionsforPatch("Items.ArmsCyberwareSharedFragment4_inline1")

	--Projectile Launcher
	
	--Neoplastic Plating
	
	--Effects
	TweakDB:SetFlat("Items.NeoplasticPlating_inline1.value", 5)
	
	--Description
	TweakDB:SetFlat("Items.NeoplasticPlating_inline2.localizedDescription", "Increases Crit chance by 5%.") --TranslateMe
	TweakDB:SetFlat("Items.NeoplasticPlating_inline2.intValues", {})
	updateDescriptionsforPatch("Items.NeoplasticPlating_inline2")

	--Titanium Plating
	
	--Effects
	TweakDB:SetFlat("Items.TitaniumPlating_inline1.value", .1)
	
	--Description
	TweakDB:SetFlat("Items.TitaniumPlating_inline2.localizedDescription", "Increases armor by 10%.") --TranslateMe
	TweakDB:SetFlat("Items.TitaniumPlating_inline2.intValues", {})
	updateDescriptionsforPatch("Items.TitaniumPlating_inline2")

	--Metal Plating
	
	--Effects
	TweakDB:SetFlat("Items.MetalPlating_inline1.value", 15)
	TweakDB:SetFlat("Items.MetalPlating_inline2.value", 15)
	TweakDB:SetFlat("Items.MetalPlating_inline3.value", 15)
	
	--Description
	TweakDB:SetFlat("Items.MetalPlating_inline4.localizedDescription", "Increases all resistances by 15%.") --TranslateMe
	TweakDB:SetFlat("Items.MetalPlating_inline4.intValues", {})
	updateDescriptionsforPatch("Items.MetalPlating_inline4")

	--Make weird ass crafting specs more expensive so you can't exploit them
	
	--Epic and Legendary components
	TweakDB:CloneRecord("CyberwareLegendaryComponents", "Items.AnimalsBerserkFragment1_inline11")
	TweakDB:SetFlat("CyberwareLegendaryComponents.ingredient", "Items.LegendaryMaterial1")
	TweakDB:SetFlat("CyberwareLegendaryComponents.amount", 12)
	
	TweakDB:CloneRecord("CyberwareEpicComponents", "Items.AnimalsBerserkFragment1_inline11")
	TweakDB:SetFlat("CyberwareEpicComponents.ingredient", "Items.EpicMaterial1")
	TweakDB:SetFlat("CyberwareEpicComponents.amount", 12)
	
	--Beast mode, arasaka fragment, target analysis
	TweakDB:SetFlat("Items.AnimalsBerserkFragment1_inline10.craftingRecipe", {"Items.AnimalsBerserkFragment1_inline11", "Items.AnimalsBerserkFragment1_inline12", "Items.AnimalsBerserkFragment1_inline13", "CyberwareEpicComponents", "CyberwareLegendaryComponents"})
	TweakDB:SetFlat("Items.ArasakaSandevistanFragment1_inline6.craftingRecipe", {"Items.ArasakaSandevistanFragment1_inline7", "Items.ArasakaSandevistanFragment1_inline8", "Items.ArasakaSandevistanFragment1_inline9", "CyberwareLegendaryComponents"})
	TweakDB:SetFlat("Items.KiroshiOpticsFragment5_inline5.craftingRecipe", {"Items.KiroshiOpticsFragment5_inline6","Items.KiroshiOpticsFragment5_inline7","Items.KiroshiOpticsFragment5_inline8","CyberwareEpicComponents", "CyberwareLegendaryComponents"})
   
   --Some other random mods
   TweakDB:SetFlat("Items.KiroshiOpticsFragment1_inline12.amount", 25)
   TweakDB:SetFlat("Items.SlowRotor_inline5.amount", 25)
   
   end)

function updateDescriptionsforPatch(recordName)
	TweakDB:SetFlat(recordName..".floatValues", {})
	TweakDB:SetFlat(recordName..".intValues", {})
	TweakDB:SetFlat(recordName..".stats", {})
end
function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CreateRecord(recordName, "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end
end

return FGR:new()
