FGR = { 
    description = "Temp"
}

function FGR:new()

	
    registerForEvent("onInit", function() 
	

	Reduced_Loot = false --Need to close and reopen game if you want to set this back to false
	
	--Distribute some of the drugs
	
	--Create loot items
	inhalers = {"Rainbow Poppers", "Glitter", "FR3SH", "Second Wind", "Locus", "E-vade", "Be-Rite Back", "Juice", "Rara", "Ullr", "Arasaka Reflex Booster"} --Black lace is special case
	injectors = {"Purple Haze", "Donner", "IC3C0LD", "Synthetic Blood", "Roaring Phoenix", "Cleanser", "GrisGris", "Superjet", "Brisky", "Deimos", "Aspis", "Karanos"}
	for i, v in ipairs(inhalers) do
		TweakDB:CloneRecord("Loot"..v, "Loot.NPCGenericConsumablesTier3_inline0")
		TweakDB:SetFlat("Loot.NPCGenericConsumablesTier3_inline0.itemID", "Drugs."..v)
	end

	for i, v in ipairs(injectors) do
		TweakDB:CloneRecord("Loot"..v, "Loot.NPCGenericConsumablesTier3_inline0")
		TweakDB:SetFlat("Loot.NPCGenericConsumablesTier3_inline0.itemID", "Drugs."..v)
	end
	
	TweakDB:CloneRecord("LootBlack Lace", "Loot.NPCGenericConsumablesTier3_inline0")
	TweakDB:SetFlat("LootBlack Lace.itemID", "Items.BlackLaceV0")
	
	--Distribute
	TweakDB:SetFlat("Loot.AldecaldosConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootSuperjet"})
	TweakDB:SetFlat("Loot.ArasakaConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootArasaka Reflex Booster"})
	TweakDB:SetFlat("Loot.AnimalsConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootJuice"})
	TweakDB:SetFlat("Loot.KangTaoConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootUllr"})
	TweakDB:SetFlat("Loot.MaelstromConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootBlack Lace"})
	TweakDB:SetFlat("Loot.MilitechConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootAspis"})
	TweakDB:SetFlat("Loot.ScavengersConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootDonner"})
	TweakDB:SetFlat("Loot.SixthStreetConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootCleanser"})
	TweakDB:SetFlat("Loot.TygerClawsConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootGlitter"})
	TweakDB:SetFlat("Loot.ValentinosConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootE-vade"})
	TweakDB:SetFlat("Loot.VoodooBoysConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootRara"})
	TweakDB:SetFlat("Loot.WraithsConsumablesTier1.lootItems", {"Loot.NPCGenericConsumablesTier1_inline0", "LootSuperjet"})


	if Reduced_Loot then
	
		--Ammo
		
		--Handgun
		TweakDB:SetFlat("Ammo.AmmoLootTable_inline0.dropCountMax", 8)
		TweakDB:SetFlat("Ammo.AmmoLootTable_inline0.dropCountMin", 4)
		--Shotgun
		TweakDB:SetFlat("Ammo.AmmoLootTable_inline0.dropCountMax", 4)
		TweakDB:SetFlat("Ammo.AmmoLootTable_inline0.dropCountMin", 2)
		--Rifle
		TweakDB:SetFlat("Ammo.AmmoLootTable_inline0.dropCountMax", 10)
		TweakDB:SetFlat("Ammo.AmmoLootTable_inline0.dropCountMin", 5)
		--Sniper
		TweakDB:SetFlat("Ammo.AmmoLootTable_inline0.dropCountMax", 4)
		TweakDB:SetFlat("Ammo.AmmoLootTable_inline0.dropCountMin", 2)
		
		--Grenades
		
		Gadget_List = {"Aldecaldos",
						"Animals",
						"Arasaka",
						"KangTao",
						"Maelstrom",
						"Militech",
						"NCPD",
						"Moxies",
						"Scavengers",
						"SixthStreet",
						"TraumaTeam",
						"TygerClaws",
						"Valentinos",
						"Wraiths"}
		
		for i, v in ipairs(Gadget_List) do
			for a =0, 5 do
				TweakDB:SetFlat("Loot."..v.."Gadgets_inline"..a..".dropCountMax", 1)
				TweakDB:SetFlat("Loot."..v.."Gadgets_inline"..a..".dropCountMin", 1)
				
				TweakDB:SetFlat("Loot."..v.."FastMeleeGadgetsT3_inline"..a..".dropCountMax", 1)
				TweakDB:SetFlat("Loot."..v.."FastMeleeGadgetsT3_inline"..a..".dropCountMin", 1)
				
				TweakDB:SetFlat("Loot."..v.."HeavyMeleeGadgetsT3_inline"..a..".dropCountMax", 1)
				TweakDB:SetFlat("Loot."..v.."HeavyMeleeGadgetsT3_inline"..a..".dropCountMin", 1)
				
				TweakDB:SetFlat("Loot."..v.."ShotgunGadgetsT3_inline"..a..".dropCountMax", 1)
				TweakDB:SetFlat("Loot."..v.."ShotgunGadgetsT3_inline"..a..".dropCountMin", 1)
				
				TweakDB:SetFlat("Loot."..v.."NetrunnerGadgetsT3_inline"..a..".dropCountMax", 1)
				TweakDB:SetFlat("Loot."..v.."NetrunnerGadgetsT3_inline"..a..".dropCountMin", 1)
				
				TweakDB:SetFlat("Loot."..v.."GenericRangedGadgetsT3_inline"..a..".dropCountMax", 1)
				TweakDB:SetFlat("Loot."..v.."GenericRangedGadgetsT3_inline"..a..".dropCountMin", 1)
				
				TweakDB:SetFlat("Loot."..v.."GenericMeleeGadgetsT3_inline"..a..".dropCountMax", 1)
				TweakDB:SetFlat("Loot."..v.."GenericMeleeGadgetsT3_inline"..a..".dropCountMin", 1)
				
				TweakDB:SetFlat("Loot."..v.."GunnerGadgetsT3_inline"..a..".dropCountMax", 1)
				TweakDB:SetFlat("Loot."..v.."GunnerGadgetsT3_inline"..a..".dropCountMin", 1)

			end
		end
						
						
		TweakDB:SetFlat("LootTables.ce_hey_gle_02_LGS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_02_LGS_gadgets_inline0.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.ce_hey_gle_19_LGS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_19_LGS_gadgets_inline0.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.ce_hey_gle_20_LGS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_20_LGS_gadgets_inline0.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.LIS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LIS_gadgets_inline0.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.LIS_gadgets_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LIS_gadgets_inline1.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.LIS_gadgets_inline2.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LIS_gadgets_inline2.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline0.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline1.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline2.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline2.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline3.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline3.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline4.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_LGS_gadgets_inline4.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline0.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline1.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline2.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline2.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline3.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline3.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline4.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline4.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline4.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Maelstrom_MGS_gadgets_inline4.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.MIS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MIS_gadgets_inline0.dropCountMin", 1)
				
		TweakDB:SetFlat("LootTables.MIS_gadgets_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MIS_gadgets_inline1.dropCountMin", 1)
				
		TweakDB:SetFlat("LootTables.MIS_gadgets_inline2.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MIS_gadgets_inline2.dropCountMin", 1)
				
		TweakDB:SetFlat("LootTables.SixthStreet_LGS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.SixthStreet_LGS_gadgets_inline0.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.SixthStreet_LGS_gadgets_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.SixthStreet_LGS_gadgets_inline1.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.TygerClaws_MGS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.TygerClaws_MGS_gadgets_inline0.dropCountMin", 1)
						
		TweakDB:SetFlat("LootTables.Valentinos_LGS_gadgets_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Valentinos_LGS_gadgets_inline0.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.Valentinos_LGS_gadgets_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Valentinos_LGS_gadgets_inline1.dropCountMin", 1)

		
		--Consumables
		
		TweakDB:SetFlat("Loot.NPCGenericConsumablesTier1_inline0.dropCountMax", 1)
		TweakDB:SetFlat("Loot.NPCGenericConsumablesTier1_inline0.dropCountMin", 1)

		TweakDB:SetFlat("Loot.NPCGenericConsumablesTier2_inline0.dropCountMax", 1)
		TweakDB:SetFlat("Loot.NPCGenericConsumablesTier2_inline0.dropCountMin", 1)
		
		TweakDB:SetFlat("Loot.NPCGenericConsumablesTier3_inline0.dropCountMax", 1)
		TweakDB:SetFlat("Loot.NPCGenericConsumablesTier3_inline0.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.Animals_MGS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Animals_MGS_consumables_inline0.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.Animals_MGS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Animals_MGS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRM_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRM_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRM_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRM_consumables_inline1.dropCountMin", 1)
	
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRM_consumables_inline2.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRM_consumables_inline2.dropCountMin", 1)
	
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRM_consumables_inline3.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRM_consumables_inline3.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRS_consumables_inline1.dropCountMin", 1)
	
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRS_consumables_inline2.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRS_consumables_inline2.dropCountMin", 1)
	
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRS_consumables_inline3.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.ce_hey_gle_15_LRS_consumables_inline3.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.HCS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.HCS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.HCS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.HCS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.HIS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.HIS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.HIS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.HIS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.HRS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.HRS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.HRS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.HRS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.LCS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LCS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.LCS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LCS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.LIS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LIS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.LIS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LIS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.LRS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LRS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.LRS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.LRS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.MCS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MCS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.MCS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MCS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.MIS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MIS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.MIS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MIS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.MRS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MRS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.MRS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.MRS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.Scavengers_LGS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Scavengers_LGS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.Scavengers_LGS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Scavengers_LGS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.Sixthstreet_LGS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Sixthstreet_LGS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.Sixthstreet_LGS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.Sixthstreet_LGS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.TygerClaws_LGS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.TygerClaws_LGS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.TygerClaws_LGS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.TygerClaws_LGS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SetFlat("LootTables.TygerClaws_MGS_consumables_inline0.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.TygerClaws_MGS_consumables_inline0.dropCountMin", 1)

		TweakDB:SetFlat("LootTables.TygerClaws_MGS_consumables_inline1.dropCountMax", 1)
		TweakDB:SetFlat("LootTables.TygerClaws_MGS_consumables_inline1.dropCountMin", 1)
		
		TweakDB:SeFlat("LootTables.Wraiths_LGS_consumables_inline1.dropCountMax", 1)
		TweakDB:SeFlat("LootTables.Wraiths_LGS_consumables_inline1.dropCountMin", 1)

	end
    end)


end

return FGR:new()
