FGR = { 
    description = "Balances things"
}

function FGR:new()

	
    registerForEvent("onInit", function() 
	
	Hit_Reaction_Adjustment = 1 --default is 1
	Stamina_Regen_Delay = 3 --Default is 0.5
	Stamina_Cost_To_Block = 0.5 --Default 1
	Melee_Damage_Modifier = 1.5 --Default 1
	
	Bat_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	Baton_Damage_Modifier = 0.4 * Melee_Damage_Modifier
	Fists_Damage_Modifier = 0.4 * Melee_Damage_Modifier
	Katana_Damage_Modifier = 0.85 * Melee_Damage_Modifier --0.85 because it's bugged from 1.3 somehow
	Knife_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	One_Hand_Blade_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	One_Hand_Blunt_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	Two_Hand_Blunt_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	Two_Hand_Hammer_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	
	Monowire_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	Gorilla_Arms_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	Mantis_Blades_Damage_Modifier = 0.5 * Melee_Damage_Modifier
	
	
	--Denny's Bat Fix
	TweakDB:SetFlat("Items.Preset_Baseball_Bat_Denny.statModifierGroups", {"Items.Base_Two_Hand_Blunt_RPG_Stats", "Items.Base_Two_Hand_Blunt_RPG_Randomized_Stats", "Items.Base_Two_Hand_Blunt_Handling_Stats", "Items.Base_Two_Hand_Blunt_Misc_Stats", "Items.Base_Melee_Status_Effect_Application_Stats", "Items.Base_Melee_Weapon_Damage_Type_Physical", "Proficiencies.BrawlingWeaponPassives"})
	TweakDB:SetFlat("Items.Preset_Baseball_Bat_Denny_Epic.statModifierGroups", {"Items.Base_Two_Hand_Blunt_RPG_Stats", "Items.Base_Two_Hand_Blunt_RPG_Randomized_Stats", "Items.Base_Two_Hand_Blunt_Handling_Stats", "Items.Base_Two_Hand_Blunt_Misc_Stats", "Items.Base_Melee_Status_Effect_Application_Stats", "Items.Base_Melee_Weapon_Damage_Type_Physical", "Proficiencies.BrawlingWeaponPassives"})
	TweakDB:SetFlat("Items.Preset_Baseball_Bat_Denny_Legendary.statModifierGroups", {"Items.Base_Two_Hand_Blunt_RPG_Stats", "Items.Base_Two_Hand_Blunt_RPG_Randomized_Stats", "Items.Base_Two_Hand_Blunt_Handling_Stats", "Items.Base_Two_Hand_Blunt_Misc_Stats", "Items.Base_Melee_Status_Effect_Application_Stats", "Items.Base_Melee_Weapon_Damage_Type_Physical", "Proficiencies.BrawlingWeaponPassives"})

	--Sasquatch Hammer
	
	--Base item (Epic)
	
	--Base Changes
	TweakDB:SetFlat("Items.w_melee_boss_hammer.quality", "Quality.Epic")
	Sasquatch_Hammer_Stats_List = {}
	for i=0, 46 do
		table.insert(Sasquatch_Hammer_Stats_List, "Items.MeleeWeapon_inline"..i)
	end
	table.insert(Sasquatch_Hammer_Stats_List, "Quality.IconicItem")
	TweakDB:SetFlat("Items.w_melee_boss_hammer.statModifiers", Sasquatch_Hammer_Stats_List)
	TweakDB:SetFlat("Items.Craftable_Legendary_Hammer.slotPartList", {"Items.Base_Two_Hand_Hammer_inline1"})
	TweakDB:SetFlat("Items.w_melee_boss_hammer.slotPartListPreset", {"Items.Preset_Hammer_Default_inline0", "SasquatchHammerSlotPreset"})
	TweakDB:SetFlat("Items.w_melee_boss_hammer.OnLooted", {"SasquatchHammerLegendaryRecipeSpawnPackage"})
	
	--Spawn Package
	TweakDB:CreateRecord("SasquatchHammerLegendaryRecipeSpawnPackage", "gamedataGameplayLogicPackage_Record")
	TweakDB:SetFlat("SasquatchHammerLegendaryRecipeSpawnPackage.items", {"SasquatchHammerLegendaryRecipeSpawn"})
	
	--OnLooted
	TweakDB:CreateRecord("SasquatchHammerLegendaryRecipeSpawn", "gamedataInventoryItem_Record")
	TweakDB:SetFlat("SasquatchHammerLegendaryRecipeSpawn.item", "SasquatchHammerLegendaryRecipe")
	TweakDB:SetFlat("SasquatchHammerLegendaryRecipeSpawn.quantity", 1)

	--Legendary Recipe
	TweakDB:CloneRecord("SasquatchHammerLegendaryRecipe", "Items.Recipe_Preset_Katana_Saburo_Legendary")
	TweakDB:SetFlat("SasquatchHammerLegendaryRecipe.craftingResult", "SasquatchHammerLegendaryRecipeCraftingResult")
	
	--Crafting result
	TweakDB:CreateRecord("SasquatchHammerLegendaryRecipeCraftingResult", "gamedataCraftingResult_Record")
	TweakDB:SetFlat("SasquatchHammerLegendaryRecipeCraftingResult.amount", 1)
	TweakDB:SetFlat("SasquatchHammerLegendaryRecipeCraftingResult.item", "SasquatchHammerLegendary")
	
	--Item ingredient
	TweakDB:CreateRecord("SasquatchHammerEpicCraftingIngredient", "gamedataRecipeElement_Record")
	TweakDB:SetFlat("SasquatchHammerEpicCraftingIngredient.amount", 1)
	TweakDB:SetFlat("SasquatchHammerEpicCraftingIngredient.ingredient", "Items.w_melee_boss_hammer")
	
	--Legendary item
	
	--Base changes
	TweakDB:CloneRecord("SasquatchHammerLegendary", "Items.w_melee_boss_hammer")
	TweakDB:SetFlat("SasquatchHammerLegendary.quality", "Quality.Legendary")
	TweakDB:SetFlat("SasquatchHammerLegendary.CraftingData", "SasquatchHammerLegendaryCraftingData")
	
	--Crafting data
	TweakDB:CloneRecord("SasquatchHammerLegendaryCraftingData", "Items.Big_Legendary_Crafting_Materials_Weapon")
	TweakDB:SetFlat("SasquatchHammerLegendaryCraftingData.craftingRecipe", {"Items.Big_Legendary_Crafting_Materials_Weapon_inline0", "Items.Big_Legendary_Crafting_Materials_Weapon_inline1", "Items.Big_Legendary_Crafting_Materials_Weapon_inline2", "SasquatchHammerEpicCraftingIngredient"})
	
	--Create effect
	
	--Slot item
	TweakDB:CreateRecord("SasquatchHammerSlotPreset", "gamedataSlotItemPartPreset_Record")
	TweakDB:SetFlat("SasquatchHammerSlotPreset.slot", "AttachmentSlots.IconicMeleeWeaponMod1")
	TweakDB:SetFlat("SasquatchHammerSlotPreset.itemPartPreset", "SasquatchHammerWeaponMod")
	
	--Create weapon mod
	TweakDB:CloneRecord("SasquatchHammerWeaponMod", "Items.SaburoKatanaWeaponMod")
	TweakDB:SetFlat("SasquatchHammerWeaponMod.OnAttach", {"SasquatchHammerWeaponModOnAttach"})
	TweakDB:SetFlat("SasquatchHammerWeaponMod.statModifiers", {"Items.IconicMeleeWeaponModBase_inline0", "Items.IconicMeleeWeaponModBase_inline1", "SasquatchHammerEffect"})
	
	--Effect
	createConstantStatModifier("SasquatchHammerEffect", "Multiplier", "BaseStats.BerserkMeleeDamageBonus", 20) 
	
	--Description Holder
	TweakDB:CreateRecord("SasquatchHammerWeaponModOnAttach", "gamedataGameplayLogicPackage_Record")
	TweakDB:SetFlat("SasquatchHammerWeaponModOnAttach.UIData", "SasquatchHammerWeaponModOnAttachDescription")
	
	--Description
	TweakDB:CreateRecord("SasquatchHammerWeaponModOnAttachDescription", "gamedataGameplayLogicPackageUIData_Record")
	TweakDB:SetFlat("SasquatchHammerWeaponModOnAttachDescription.iconPath", "ability_offensive")
	TweakDB:SetFlat("SasquatchHammerWeaponModOnAttachDescription.localizedDescription", "Increases damage by an additional 20% while Berserk is active.")  --TranslateMe (second parameter)
	
	
	--Remove some hidden multipliers
	TweakDB:SetFlat("Items.Strong_Arms_RPG_Stats_inline1.value", 1)
	
	--Satori Crit Damage
	TweakDB:SetFlat("Items.SaburoKatanaWeaponMod_inline0.value", 250) --Default 500
	
	--Remove damage bonus from Body
	TweakDB:SetFlat("Items.MeleeWeapon_inline8.statType", "00000000")
	
	--Lower throw knife attack damage
	TweakDB:SetFlat("KnifeAttacks.KnifeThrowAttack_inline2.value", 1.5) --Default 4
	
	--Remove damage bonus from attribute
	TweakDB:SetFlat("Items.Nano_Wires_RPG_Stats_inline8.value", 0)
	TweakDB:SetFlat("Items.Strong_Arms_RPG_Stats_inline5.value", 0)
	TweakDB:SetFlat("Items.MantisBladesRPGStats_inline3.value", 0)
	TweakDB:SetFlat("Items.FleshFistsRPGStats_inline2.value", 0)
	
	--Change One Hand Blunt to use impact instead of slash
	One_Hand_Blunt_Strong = {"AttackModifier.BaseAlliedDamage",
							"AttackModifier.PhysicalAlliedDamage",
							"AttackModifier.ChemicalAlliedDamage",
							"AttackModifier.ThermalAlliedDamage",
							"AttackModifier.ElectricAlliedDamage",
							"Attacks.StrongImpact_inline0",
							"Attacks.StrongImpact_inline1",
							"Attacks.StrongImpact_inline2",
							"Attacks.StrongImpact_inline3",
							"OneHandBluntAttacks.OneHandBluntStrongAttackAbstract_inline0"}
	TweakDB:SetFlat("OneHandBluntAttacks.OneHandBluntStrongAttack1.statModifiers", One_Hand_Blunt_Strong)
	
	--Strong attack hit
	TweakDB:SetFlat("Attacks.StrongSlash_inline0.value", 1.2) --Normal was 2
	TweakDB:SetFlat("Attacks.StrongSlash_inline1.value", 1.2)
	TweakDB:SetFlat("Attacks.StrongSlash_inline2.value", 1.2)
	TweakDB:SetFlat("Attacks.StrongSlash_inline3.value", 1.2)

	TweakDB:SetFlat("Attacks.StrongImpact_inline0.value", 1.2) --Normal was 2
	TweakDB:SetFlat("Attacks.StrongImpact_inline1.value", 1.2)
	TweakDB:SetFlat("Attacks.StrongImpact_inline2.value", 1.2)
	TweakDB:SetFlat("Attacks.StrongImpact_inline3.value", 1.2)
	
	TweakDB:SetFlat("Attacks.StrongLash_inline0.value", 1.2)--Normal was 1.5
	TweakDB:SetFlat("Attacks.StrongLash_inline1.value", 1.2)
	TweakDB:SetFlat("Attacks.StrongLash_inline2.value", 1.2)
	TweakDB:SetFlat("Attacks.StrongLash_inline3.value", 1.2)
	
	--Hit Reaction Reduction
	
	--Change modifier
	
	Melee_Handling_Stats_List = {"Base_Baton", "Base_Katana", "Base_Knife", "Base_One_Hand_Blade", "Base_One_Hand_Blunt", "Base_Two_Hand_Blunt", "Base_Two_Hand_Hammer", "Nano_Wires", "Strong_Arms", "Base_Fists"}
	
	TweakDB:CreateRecord("AdjustMeleeHitReactions", "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat("AdjustMeleeHitReactions.modifierType", "Multiplier")
	TweakDB:SetFlat("AdjustMeleeHitReactions.statType", "BaseStats.HitReactionMultiplier")
	TweakDB:SetFlat("AdjustMeleeHitReactions.value", Hit_Reaction_Adjustment)
	
	for i, v in ipairs(Melee_Handling_Stats_List) do
		rec3 = TweakDB:GetFlat("Items."..v.."_Handling_Stats.statModifiers")
		add = true
		for a,b in ipairs(rec3) do
			temp = ToTweakDBID{ hash = 0x03302DE6, length = 23 }
			if b == temp then add = false end
		end
		if add then table.insert(rec3, "AdjustMeleeHitReactions") end
		TweakDB:SetFlat("Items."..v.."_Handling_Stats.statModifiers", rec3)
	end
			
	--Mantis Blades
	rec3 = TweakDB:GetFlat("Items.MantisBladesHandlingStats.statModifiers")
	add = true
	for a,b in ipairs(rec3) do
		temp = ToTweakDBID{ hash = 0x03302DE6, length = 23 }
		if b == temp then add = false end
	end
	if add then table.insert(rec3, "AdjustMeleeHitReactions") end
	TweakDB:SetFlat("Items.MantisBladesHandlingStats.statModifiers", rec3)
	
	--Gorilla Arms and Fists
	for i=0, 20 do
		TweakDB:SetFlat("Items.StrongArms_inline"..i..".hitReactionSeverityMin", 0)
		TweakDB:SetFlat("Items.Base_Fists_inline"..i..".hitReactionSeverityMin", 0)
	end
	
	--Stamina Changes
	
	--Proficiences are in the archives, this is just description
	rec3 = {5}
	TweakDB:SetFlat("Proficiencies.Brawling_inline6.intValues", rec3)
	TweakDB:SetFlat("Proficiencies.Kenjutsu_inline17.intValues", rec3)
	
	--Stamina delay
	TweakDB:SetFlat("BaseStatPools.PlayerBaseStaminaRegen_inline4.value", Stamina_Regen_Delay) --Original .5
	
	--Blades perk
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_1_inline4.value", -.15)
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_1_inline10.value", -.3)
	rec3 = {15}
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_1_inline5.intValues", rec3)
	rec3 = {30}
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_1_inline11.intValues",rec3)
	
	--Brawl perk
	TweakDB:SetFlat("Perks.Brawling_Area_03_Perk_2_inline10.value", -.15)
	TweakDB:SetFlat("Perks.Brawling_Area_03_Perk_2_inline10.value", -.3)
	rec3 = {15}
	TweakDB:SetFlat("Perks.Brawling_Area_03_Perk_2_inline5.intValues", rec3)
	rec3 = {30}
	TweakDB:SetFlat("Perks.Brawling_Area_03_Perk_2_inline11.intValues", rec3)

	
	
	--Attack speed hidden scalar on weapon 1 (the other is in the archives)
	
	TweakDB:SetFlat("Items.Base_Katana_RPG_Randomized_Stats_inline3.statType", "0000000000")
	TweakDB:SetFlat("Items.Base_Baton_RPG_Randomized_Stats_inline3.statType", "0000000000")
	TweakDB:SetFlat("Items.Base_Knife_RPG_Randomized_Stats_inline3.statType", "0000000000")
	TweakDB:SetFlat("Items.Base_One_Hand_Blade_RPG_Randomized_Stats_inline3.statType", "0000000000")
	TweakDB:SetFlat("Items.Base_One_Hand_Blunt_RPG_Randomized_Stats_inline3.statType", "0000000000")
	TweakDB:SetFlat("Items.Base_Two_Hand_Blunt_RPG_Randomized_Stats_inline3.statType", "0000000000")
	TweakDB:SetFlat("Items.Base_Two_Hand_Hammer_RPG_Randomized_Stats_inline3.statType", "0000000000")
	

	--Increase stamina cost for blocking
	
	TweakDB:SetFlat("Items.Base_Baton_NPC_Stats_inline3.value", 75 * Stamina_Cost_To_Block) -- original 20
	TweakDB:SetFlat("Items.Base_Fists_NPC_Stats_inline2.value", 50* Stamina_Cost_To_Block) -- original 20
	TweakDB:SetFlat("Items.Base_Katana_NPC_Stats_inline3.value", 75* Stamina_Cost_To_Block) -- original 20
	TweakDB:SetFlat("Items.Base_Knife_NPC_Stats_inline3.value", 50* Stamina_Cost_To_Block) -- original 5
	TweakDB:SetFlat("Items.Base_Mantis_Blades_NPC_Stats_inline5.value", 75* Stamina_Cost_To_Block) -- original 20
	TweakDB:SetFlat("Items.Base_One_Hand_Blunt_NPC_Stats_inline3.value", 75* Stamina_Cost_To_Block) -- Original 20
	TweakDB:SetFlat("Items.Base_Strong_Arms_NPC_Stats_inline1.value", 100* Stamina_Cost_To_Block) --Original 30
	TweakDB:SetFlat("Items.Base_Two_Hand_Blunt_NPC_Stats_inline3.value", 100* Stamina_Cost_To_Block) --Original 30
	TweakDB:SetFlat("Items.Base_Two_Hand_Hammer_NPC_Stats_inline4.value", 150* Stamina_Cost_To_Block) --Original 80

	--One Hand Blades
	TweakDB:CloneRecord("Items.Base_One_Hand_Blade_NPC_Stats_Stamina_Modifier", "Items.Base_Baton_NPC_Stats_inline3")
	rec3 = TweakDB:GetFlat("Items.Base_One_Hand_Blade_NPC_Stats.statModifiers")
	add = true

	for a,b in ipairs(rec3) do
		temp = ToTweakDBID{ hash = 0x7EBC2F55, length = 52 }

		if b == temp then add = false end
	end

	if add then table.insert(rec3, "Items.Base_One_Hand_Blade_NPC_Stats_Stamina_Modifier") end
	
	TweakDB:SetFlat("Items.Base_One_Hand_Blade_NPC_Stats.statModifiers", rec3)

	--Remove Minimum Hit Reactions
	
	Melee_Attack_Type_List = {"Baton", "Fists", "Katana", "Knife", "MantisBlades", "MonoWires", "OneHandBlade", "OneHandBlunt", "TwoHandBlunt", "TwoHandHammer"} --delete this line if you don't want minimum hit reactions removed
	for i,v in ipairs(Melee_Attack_Type_List) do
		TweakDB:SetFlat(""..v.."Attacks."..v.."BlockAttack.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack1.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack2.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack3.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack4.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack5.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack6.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack7.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack8.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack9.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack10.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttackAbstract.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."CrouchAttack.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."DeflectAttack.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack1.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack2.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack3.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack4.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack5.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack6.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack7.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack8.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack9.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack10.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttackAbstract.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."JumpAttack.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."SafeAttack.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."SprintAttack.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack1.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack2.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack3.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack4.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack5.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack6.hitReactionSeverityMin", 0)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttackAbstract.hitReactionSeverityMin", 0)
	end

	--Add nonlethal hit flags to blunt weapons
	
	Blunt_Melee_List = {"Baton", "Fists", "OneHandBlunt", "TwoHandBlunt", "TwoHandHammer"}
	Non_Lethal_Hit_Flag = {"nonlethal"}
	for i,v in ipairs(Blunt_Melee_List) do
		TweakDB:SetFlat(""..v.."Attacks."..v.."BlockAttack.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack1.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack2.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack3.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack4.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack5.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack6.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack7.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack8.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack9.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttack1Non_Lethal_Hit_Flag.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."ComboAttackAbstract.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."CrouchAttack.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."DeflectAttack.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack1.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack2.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack3.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack4.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack5.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack6.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack7.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack8.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack9.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttack1Non_Lethal_Hit_Flag.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."FinalAttackAbstract.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."JumpAttack.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."SafeAttack.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."SprintAttack.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack1.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack2.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack3.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack4.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack5.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttack6.hitFlags", Non_Lethal_Hit_Flag)
		TweakDB:SetFlat(""..v.."Attacks."..v.."StrongAttackAbstract.hitFlags", Non_Lethal_Hit_Flag)
		
		
	--Melee Weapons
	createDPSMultiplierRecord("Bat", Bat_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_Bat_RPG_Stats.statModifiers")
	if table.getn(rec3) == 1 then table.insert(rec3, "BatDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_Bat_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("Baton", Baton_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_Baton_RPG_Stats.statModifiers")
	if table.getn(rec3) == 6 then table.insert(rec3, "BatonDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_Baton_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("Fists", Fists_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_Fists_RPG_Stats.statModifiers")
	if table.getn(rec3) == 2 then table.insert(rec3, "FistsDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_Fists_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("Katana", Katana_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_Katana_RPG_Stats.statModifiers")
	if table.getn(rec3) == 3 then table.insert(rec3, "KatanaDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_Katana_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("Knife", Knife_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_Knife_RPG_Stats.statModifiers")
	if table.getn(rec3) == 4 then table.insert(rec3, "KnifeDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_Knife_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("One_Hand_Blade", One_Hand_Blade_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_One_Hand_Blade_RPG_Stats.statModifiers")
	if table.getn(rec3) == 4 then table.insert(rec3, "One_Hand_BladeDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_One_Hand_Blade_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("One_Hand_Blunt", One_Hand_Blunt_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_One_Hand_Blunt_RPG_Stats.statModifiers")
	if table.getn(rec3) == 4 then table.insert(rec3, "One_Hand_BluntDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_One_Hand_Blunt_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("Two_Hand_Blunt", Two_Hand_Blunt_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_Two_Hand_Blunt_RPG_Stats.statModifiers")
	if table.getn(rec3) == 4 then table.insert(rec3, "Two_Hand_BluntDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_Two_Hand_Blunt_RPG_Stats.statModifiers", rec3)
	
	createDPSMultiplierRecord("Two_Hand_Hammer", Two_Hand_Hammer_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Base_Two_Hand_Hammer_RPG_Stats.statModifiers")
	if table.getn(rec3) == 4 then table.insert(rec3, "Two_Hand_HammerDPSMultiplier") end
	TweakDB:SetFlat("Items.Base_Two_Hand_Hammer_RPG_Stats.statModifiers", rec3)
	
	--Cyberware
	createDPSMultiplierRecord("Monowire", Monowire_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Nano_Wires_RPG_Stats.statModifiers")
	if table.getn(rec3) == 12 then table.insert(rec3, "MonowireDPSMultiplier") end
	TweakDB:SetFlat("Items.Nano_Wires_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("Gorilla_Arms", Gorilla_Arms_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.Strong_Arms_RPG_Stats.statModifiers")
	if table.getn(rec3) == 9 then table.insert(rec3, "Gorilla_ArmsDPSMultiplier") end
	TweakDB:SetFlat("Items.Strong_Arms_RPG_Stats.statModifiers", rec3)
	
	
	createDPSMultiplierRecord("Mantis_Blades", Mantis_Blades_Damage_Modifier)
	rec3 = TweakDB:GetFlat("Items.MantisBladesRPGStats.statModifiers")
	if table.getn(rec3) == 7 then table.insert(rec3, "Mantis_BladesDPSMultiplier") end
	TweakDB:SetFlat("Items.MantisBladesRPGStats.statModifiers", rec3)


	
	end
	
    end)

function createIconicMeleeWeaponEffect(recordName, statsList, description)
	--Slot item
	TweakDB:CreateRecord(recordName.."SlotPreset", "gamedataSlotItemPartPreset_Record")
	TweakDB:SetFlat(recordName.."SlotPreset.slot", "AttachmentSlots.IconicMeleeWeaponMod1")
	TweakDB:SetFlat(recordName.."SlotPreset.itemPartPreset", recordName.."WeaponMod")
	
	--Create weapon mod
	TweakDB:CloneRecord(recordName.."WeaponMod", "Items.SaburoKatanaWeaponMod")
	TweakDB:SetFlat(recordName.."WeaponMod.OnAttach", {recordName.."WeaponModOnAttach"})
	statModifiers = {"Items.IconicMeleeWeaponModBase_inline0", "Items.IconicMeleeWeaponModBase_inline1"}
	for i,v in ipairs(statsList) do
		table.insert(statModifiers, v)
	end
	TweakDB:SetFlat(recordName.."WeaponMod.statModifiers", statModifiers)
	
	--Description Holder
	TweakDB:CreateRecord(recordName.."WeaponModOnAttach", "gamedataGameplayLogicPackage_Record")
	TweakDB:SetFlat(recordName.."WeaponModOnAttach.UIData", recordName.."WeaponModOnAttachDescription")
	
	--Description
	TweakDB:CreateRecord(recordName.."WeaponModOnAttachDescription", "gamedataGameplayLogicPackageUIData_Record")
	TweakDB:SetFlat(recordName.."WeaponModOnAttachDescription.iconPath", "ability_offensive")
	TweakDB:SetFlat(recordName.."WeaponModOnAttachDescription.localizedDescription", description)
end
	
function createDPSMultiplierRecord(name, value)
	TweakDB:CreateRecord(name.."DPSMultiplier", "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(name.."DPSMultiplier.modifierType", "Multiplier")
	TweakDB:SetFlat(name.."DPSMultiplier.statType", "BaseStats.DPS")
	TweakDB:SetFlat(name.."DPSMultiplier.value", value)
end

function createROFMultiplierRecord(name, value)
	TweakDB:CreateRecord(name.."ROFMultiplier", "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(name.."ROFMultiplier.modifierType", "Multiplier")
	TweakDB:SetFlat(name.."ROFMultiplier.statType", "BaseStats.CycleTime")
	TweakDB:SetFlat(name.."ROFMultiplier.value", 1/value)
end
function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CreateRecord(recordName, "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end
end


return FGR:new()
