FGR = { 
    description = "Quickhack changes"
}

function FGR:new()

	
    registerForEvent("onInit", function() 
	
	
	Ping_Duration = .2 --Default 1
	
	Cripple_Movement_Duration = .67 --Default 1
	
	Cyberdeck_Upload_Speed_Reduction = .445 --Default 1
	Cyberdeck_Cooldown_Reduction = .445 --Default 1
	
	Contagion_Initial_Damage = 0.33 --Default 1
	Contagion_Poison_Damage = 1 --Default 1
	Contagion_Cooldown = 75 --Default 30
	Contagion_Cost = 10 --Default 4
	
	Short_Circuit_Initial_Damage = 0.33 --Default 1
	Short_Circuit_Duration = 1.5 --Default 1
	Short_Circuit_Cooldown = 60 --Default 10
	Short_Circuit_Cost = 6 --Default 3
	
	Synapse_Burnout_Damage = 1.0 --Default 1
	Synapse_Burnout_Cooldown = 60 --Default 10
	Synapse_Burnout_Cost = 8 --Default 4
	
	Overheat_Duration = .5 --Default 1
	Overheat_Damage = 2 --Default 1
	Overheat_Cooldown = 60 --Default 10
	Overheat_Cost = 6 --Default 3
	
	Reboot_Optics_Duration = .5 --Default 1
	Reboot_Optics_Cooldown = 10 --Default 10
	
	Cyberpsychosis_Cost = 20 --Default 12
	
	Suicide_Cost = 15 --Default 11
	
	System_Reset_Cost = 15 --Default 10
	
	Detonate_Grenade_Cost = 11 --Default 11
	
	Friendly_Mode_Turret_Cost = 14 --Default 8
	
	Take_Control_Turret_Cost = 14 --Default 10
	
	--Friendly Mode Turrets
	TweakDB:SetFlat("DeviceAction.TurretOverrideAttitudeClassHack_inline1.value", Friendly_Mode_Turret_Cost)
	
	--Take Control of Turret
	TweakDB:SetFlat("DeviceAction.TakeControlClassHack_inline1.value", Take_Control_Turret_Cost)
	
	--Ultimate quickhacks
	TweakDB:SetFlat("QuickHack.MadnessHackBase_inline2.value", Cyberpsychosis_Cost)
	TweakDB:SetFlat("QuickHack.SuicideHackBase_inline3.value", Suicide_Cost)
	TweakDB:SetFlat("QuickHack.SystemCollapseHackBase_inline1.value", System_Reset_Cost)
	TweakDB:SetFlat("QuickHack.GrenadeHackBase_inline2.value", Detonate_Grenade_Cost)
	
	--Remove Upload speed change from hacking resistance
	TweakDB:SetFlat("QuickHack.QuickHack_inline2.value", 0)
	
	--Contagion
	
	--Cooldown
	TweakDB:SetFlat("BaseStatusEffect.ContagionCooldown_inline1.value", Contagion_Cooldown)
	
	--Cost
	TweakDB:SetFlat("QuickHack.BaseContagionHack_inline7.value", Contagion_Cost)
	
	--Synapse Burnout

	--Cooldown
	TweakDB:SetFlat("BaseStatusEffect.BrainMeltCooldown_inline1.value", Synapse_Burnout_Cooldown)
	
	--Cost
	TweakDB:SetFlat("QuickHack.BrainMeltBaseHack_inline2.value", Synapse_Burnout_Cost)
	
	--Remove quality scaling
	TweakDB:SetFlat("Attacks.BrainMeltHackAttackLevel2_inline0.value", 0.75 * Synapse_Burnout_Damage)
	TweakDB:SetFlat("Attacks.BrainMeltHackAttackLevel3_inline0.value", 0)
	TweakDB:SetFlat("Attacks.BrainMeltHackAttackLevel4_inline0.value", 0)
	
	--Contagion

	--Poison Damage
	TweakDB:SetFlat("Attacks.ContagionPoisonAttack_inline0.value", 0.005 * Contagion_Poison_Damage)
	
	--Initial Damage
	TweakDB:SetFlat("Attacks.ContagionAttackLevel1_inline0.value", .18 * Contagion_Initial_Damage)
	
	--Short Circuit
	
	--Cooldown
	TweakDB:SetFlat("BaseStatusEffect.OverloadCooldown_inline1.value", Short_Circuit_Cooldown)
	
	--Cost
	TweakDB:SetFlat("QuickHack.OverloadBaseHack_inline2.value", Short_Circuit_Cost)
	
	--Rework Legendary Effect
	
	--Effects
	TweakDB:SetFlat("EquipmentGLP.EMPOverloadProgramLvl4Passive_inline0.statType", "BaseStats.ElectrocuteImmunity")
	TweakDB:CloneRecord("ShortCircuitEMPImmunity", "EquipmentGLP.EMPOverloadProgramLvl4Passive_inline0")
	TweakDB:SetFlat("ShortCircuitEMPImmunity.statType", "BaseStats.EMPImmunity")
	TweakDB:SetFlat("EquipmentGLP.EMPOverloadProgramLvl4Passive.stats", {"EquipmentGLP.EMPOverloadProgramLvl4Passive_inline0", "ShortCircuitEMPImmunity"})
	
	--Description
	TweakDB:SetFlat("EquipmentGLP.EMPOverloadProgramLvl4_inline0.localizedDescription", "Passive While Equipped: Grants Immunity to Shock and EMP effects.")  --TranslateMe
	
	--Initial Damage
	Short_Circuit_New_Initial_Damage_1 = 1.1 * Short_Circuit_Initial_Damage
	Short_Circuit_New_Initial_Damage_2 = 0 * Short_Circuit_Initial_Damage
	Short_Circuit_New_Initial_Damage_3 = 0 * Short_Circuit_Initial_Damage
	Short_Circuit_New_Initial_Damage_4 = 0 * Short_Circuit_Initial_Damage

	TweakDB:SetFlat("Attacks.OverloadQuickHackAttackLevel1_inline0.value", Short_Circuit_New_Initial_Damage_1)
	TweakDB:SetFlat("Attacks.OverloadQuickHackAttackLevel2_inline0.value", Short_Circuit_New_Initial_Damage_2)
	TweakDB:SetFlat("Attacks.OverloadQuickHackAttackLevel3_inline0.value", Short_Circuit_New_Initial_Damage_3)
	TweakDB:SetFlat("Attacks.OverloadQuickHackAttackLevel4_inline0.value", Short_Circuit_New_Initial_Damage_4)
	
	--Duration
	Short_Circuit_New_Duration = 4 * Short_Circuit_Duration
	TweakDB:SetFlat("BaseStatusEffect.OverloadWithEMP_inline5.value", 4)
	
	--Ping
	
	Ping_New_Duration_1 = 20 * Ping_Duration
	Ping_New_Duration_2 = 30 * Ping_Duration
	Ping_New_Duration_3 = 40 * Ping_Duration
	Ping_New_Duration_4 = 40 * Ping_Duration

	TweakDB:SetFlat("BaseStatusEffect.Ping_inline3.value", Ping_New_Duration_1)
	TweakDB:SetFlat("BaseStatusEffect.PingLevel2_inline1.value", Ping_New_Duration_2)
	TweakDB:SetFlat("BaseStatusEffect.PingLevel3_inline1.value", Ping_New_Duration_3)
	TweakDB:SetFlat("BaseStatusEffect.PingLevel4_inline1.value", Ping_New_Duration_4)
	
	
	--Reboot Optics
	
	--Cooldown
	TweakDB:SetFlat("BaseStatusEffect.RebootOpticsCooldown_inline1.value", Reboot_Optics_Cooldown)
	
	--Duration
	Reboot_Optics_New_Duration_1 = 8 * Reboot_Optics_Duration
	Reboot_Optics_New_Duration_2 = 8 * Reboot_Optics_Duration
	Reboot_Optics_New_Duration_3 = 8 * Reboot_Optics_Duration
	Reboot_Optics_New_Duration_4 = 8 * Reboot_Optics_Duration

	TweakDB:SetFlat("BaseStatusEffect.BaseQuickHackBlind_inline1.value", Reboot_Optics_New_Duration_1)
	TweakDB:SetFlat("BaseStatusEffect.MajorQuickHackBlind_inline1.value", Reboot_Optics_New_Duration_2)
	TweakDB:SetFlat("BaseStatusEffect.QuickHackBlindLevel3_inline1.value", Reboot_Optics_New_Duration_3)
	TweakDB:SetFlat("BaseStatusEffect.QuickHackBlindLevel4_inline1.value", Reboot_Optics_New_Duration_4)

	

	--Cripple Movement
	
	Cripple_Movement_New_Duration = 8 * Cripple_Movement_Duration
	TweakDB:SetFlat("BaseStatusEffect.LocomotionMalfunction_inline1.value", Cripple_Movement_New_Duration)
	
	
	--Overheat
	
	--Cooldown
	TweakDB:SetFlat("BaseStatusEffect.OverheatCooldown_inline1.value", Overheat_Cooldown)
	
	--Cost
	TweakDB:SetFlat("QuickHack.BaseOverheatHack_inline2.value", Overheat_Cost)
	
	--Duration

	Overheat_New_Duration_1 = 5 * Overheat_Duration
	Overheat_New_Duration_2 = 5 * Overheat_Duration
	Overheat_New_Bonus_Duration_2 = 9 * Overheat_Duration
	Overheat_New_Duration_3 = 7.5 * Overheat_Duration
	Overheat_New_Bonus_Duration_3 = 9 * Overheat_Duration
	Overheat_New_Duration_4 = 7.5 * Overheat_Duration
	Overheat_New_Bonus_Duration_4 = 9 * Overheat_Duration

	TweakDB:SetFlat("BaseStatusEffect.OverheatLevel1_inline1.value", Overheat_New_Duration_1)
	TweakDB:SetFlat("BaseStatusEffect.OverheatLevel2_inline1.value", Overheat_New_Duration_2)
	TweakDB:SetFlat("BaseStatusEffect.OverheatLevel2_inline8.value", Overheat_New_Bonus_Duration_2)
	TweakDB:SetFlat("BaseStatusEffect.OverheatLevel3_inline1.value", Overheat_New_Duration_3)
	TweakDB:SetFlat("BaseStatusEffect.OverheatLevel3_inline8.value", Overheat_New_Bonus_Duration_3)
	TweakDB:SetFlat("BaseStatusEffect.OverheatLevel4_inline1.value", Overheat_New_Duration_4)
	TweakDB:SetFlat("BaseStatusEffect.OverheatLevel4_inline10.value", Overheat_New_Bonus_Duration_4)
	
	--Damage + remove quality scaling
	
	Overheat_New_Damage_1 = .05 * Overheat_Damage
	Overheat_New_Damage_2 = .0 * Overheat_Damage
	Overheat_New_Damage_3 = .0 * Overheat_Damage
	Overheat_New_Damage_4 = .0 * Overheat_Damage

	TweakDB:SetFlat("Attacks.OverheatQuickHackAttackLevel1_inline0.value", Overheat_New_Damage_1)
	TweakDB:SetFlat("Attacks.OverheatQuickHackAttackLevel2_inline0.value", Overheat_New_Damage_2)
	TweakDB:SetFlat("Attacks.OverheatQuickHackAttackLevel3_inline0.value", Overheat_New_Damage_3)
	TweakDB:SetFlat("Attacks.OverheatQuickHackAttackLevel4_inline0.value", Overheat_New_Damage_4)


	--Cyberdecks
	
	--Cooldown Reduction
	Cooldown_Reduction_1 = Cyberdeck_Cooldown_Reduction * .15
	Cooldown_Reduction_2 = Cyberdeck_Cooldown_Reduction * .3
	Cooldown_Reduction_3 = Cyberdeck_Cooldown_Reduction * .45

	TweakDB:SetFlat("Items.CooldownReductionAbility01_inline0.value", Cooldown_Reduction_1)
	TweakDB:SetFlat("Items.CooldownReductionAbility02_inline0.value", Cooldown_Reduction_2)
	TweakDB:SetFlat("Items.CooldownReductionAbility03_inline0.value", Cooldown_Reduction_3)

	TweakDB:SetFlat("Items.CooldownReductionAbility01_inline1.intValues", {math.floor(Cooldown_Reduction_1*100)})
	TweakDB:SetFlat("Items.CooldownReductionAbility02_inline1.intValues", {math.floor(Cooldown_Reduction_2*100)})
	TweakDB:SetFlat("Items.CooldownReductionAbility03_inline1.intValues", {math.floor(Cooldown_Reduction_3*100)})
	

	--Upload Speed
	Cyberdeck_New_Upload_Speed_Reduction_1 = -0.25 * Cyberdeck_Upload_Speed_Reduction
	Cyberdeck_New_Upload_Speed_Reduction_2 = -0.5 * Cyberdeck_Upload_Speed_Reduction
	Cyberdeck_New_Upload_Speed_Reduction_3 = -0.75 * Cyberdeck_Upload_Speed_Reduction

	TweakDB:SetFlat("Items.UploadReductionAbility01_inline0.value", Cyberdeck_New_Upload_Speed_Reduction_1)
	TweakDB:SetFlat("Items.UploadReductionAbility02_inline0.value", Cyberdeck_New_Upload_Speed_Reduction_2)
	TweakDB:SetFlat("Items.UploadReductionAbility03_inline0.value", Cyberdeck_New_Upload_Speed_Reduction_3)
		

	rec3 = {math.floor(Cyberdeck_New_Upload_Speed_Reduction_1 * -100)}
		

	TweakDB:SetFlat("Items.UploadReductionAbility01_inline1.intValues", rec3)
		

	rec3 = {math.floor(Cyberdeck_New_Upload_Speed_Reduction_2 * -100)}
	TweakDB:SetFlat("Items.UploadReductionAbility02_inline1.intValues", rec3)
	rec3 = {math.floor(Cyberdeck_New_Upload_Speed_Reduction_3 * -100)}
	TweakDB:SetFlat("Items.UploadReductionAbility03_inline1.intValues", rec3)
	


    end)


end


return FGR:new()
