FGR = { 
    description = "Weapon attachment changes"
}
function FGR:new()

    registerForEvent("onInit", function() 

	SilencerCritDamageIncrease = 10
	SilencerCritChanceIncrease = 5
	SilencerHeadshotIncrease = 0.1
	SilencerDamageIncrease = 0.05
	SilencerStealthDamage = 1.5	--Default 2.5. This is the stealth damage bonus
	SilencerDamageReduction = -0.1	--Default -0.15. How much damage to take off from equipping a silencer.
	
	Weapon_Mod_Strength = 2
	
	Crunch_Damage = .03 * Weapon_Mod_Strength
	Penetrator_Crit_Chance = 2.5 * Weapon_Mod_Strength
	Pacifier_Crit_Damage = 5 * Weapon_Mod_Strength
	Combat_Amplifier_Application = 5 * Weapon_Mod_Strength
	Pulverize_Damage = 1 + .1 * Weapon_Mod_Strength
	Pax_Damage = 0 * Weapon_Mod_Strength
	Vendetta_Damage = 0.05 * Weapon_Mod_Strength
	Phantom_Rate = 0.05 * Weapon_Mod_Strength
	NeonArrow_Speed = 0.05 * Weapon_Mod_Strength
	
	Kunai_Speed = 0.1 * Weapon_Mod_Strength
	WhiteKnuckled_Crit_Chance = 4 * Weapon_Mod_Strength
	ColdShoulder_Crit_Damage = 10 * Weapon_Mod_Strength
	Scourge_Damage = 3 * Weapon_Mod_Strength
	
	--Silencers 

	--Set damages (look at this trash code, use methods idiot)
	TweakDB:CloneRecord("SilencerCritDamage", "Items.w_silencer_01_inline2")
	TweakDB:SetFlat("SilencerCritDamage.statType", "BaseStats.CritDamage")
	TweakDB:SetFlat("SilencerCritDamage.value", SilencerCritDamageIncrease)

	
	TweakDB:CloneRecord("SilencerCritChance", "Items.w_silencer_01_inline2")
	TweakDB:SetFlat("SilencerCritChance.statType", "BaseStats.CritChance")
	TweakDB:SetFlat("SilencerCritChance.value", SilencerCritChanceIncrease)

	TweakDB:CloneRecord("SilencerHeadshotMult", "Items.w_silencer_01_inline2")
	TweakDB:SetFlat("SilencerHeadshotMult.statType", "BaseStats.HeadshotDamageMultiplier")
	TweakDB:SetFlat("SilencerHeadshotMult.value", SilencerHeadshotIncrease)
	
	TweakDB:CloneRecord("SilencerDamageIncrease", "Items.w_silencer_01_inline3")
	TweakDB:SetFlat("SilencerDamageIncrease.value", SilencerDamageIncrease)
	
	TweakDB:CloneRecord("SilencerDamageReduction", "Items.w_silencer_01_inline3")
	TweakDB:SetFlat("SilencerDamageReduction.value", SilencerDamageReduction)

	TweakDB:CloneRecord("SilencerStealthDamage", "Items.w_silencer_01_inline2")
	TweakDB:SetFlat("SilencerStealthDamage.value", SilencerStealthDamage)

	
	rec3 = {"Items.w_silencer_01_inline0", "Items.w_silencer_01_inline1", "SilencerStealthDamage", "SilencerDamageReduction", "SilencerCritDamage"}
	TweakDB:SetFlat("Items.w_silencer_01.statModifiers", rec3)
	TweakDB:SetFlat("Items.w_silencer_01_inline5.localizedDescription", "Silencer. Increases Crit damage by " .. SilencerCritDamageIncrease .. "%. Reduces damage by " .. SilencerDamageReduction * -100 .. "%.") --TranslateMe (second parameter)

	rec3 = {"Items.w_silencer_01_inline0", "Items.w_silencer_01_inline1", "SilencerStealthDamage", "SilencerDamageReduction", "SilencerCritChance"}
	TweakDB:SetFlat("Items.w_silencer_02.statModifiers", rec3)
	TweakDB:SetFlat("Items.w_silencer_02_inline3.localizedDescription", "Silencer. Increases Crit chance by " .. SilencerCritChanceIncrease .. "%. Reduces damage by " .. SilencerDamageReduction * -100 .. "%.") --TranslateMe

	rec3 = {"Items.w_silencer_01_inline0", "Items.w_silencer_01_inline1", "SilencerStealthDamage", "SilencerDamageReduction", "SilencerHeadshotMult"}
	TweakDB:SetFlat("Items.w_silencer_03.statModifiers", rec3)
	TweakDB:SetFlat("Items.w_silencer_03_inline4.localizedDescription", "Silencer. Increases headshot damage by " .. SilencerHeadshotIncrease * 100 .. "%. Reduces damage by " .. SilencerDamageReduction * -100 .. "%.") --TranslateMe
	
	rec3 = {"Items.w_silencer_01_inline0", "Items.w_silencer_01_inline1", "SilencerStealthDamage", "SilencerDamageReduction", "SilencerDamageIncrease"}
	TweakDB:SetFlat("Items.w_silencer_04.statModifiers", rec3)
	TweakDB:SetFlat("Items.w_silencer_04_inline3.localizedDescription", "Silencer. Reduces damage by " .. (SilencerDamageReduction + SilencerDamageIncrease)*-100 .. "%.") --TranslateMe

	
	rec3 = {SilencerDamageReduction * -100}
	--TweakDB:SetFlat("Items.w_silencer_01_inline5.floatValues", rec3)
	--TweakDB:SetFlat("Items.w_silencer_02_inline1.floatValues", rec3)
	--TweakDB:SetFlat("Items.w_silencer_03_inline4.floatValues", rec3)
	
	rec3 = {(SilencerDamageReduction+SilencerDamageIncrease) * -100}
	--TweakDB:SetFlat("Items.w_silencer_04_inline3.floatValues", rec3)

	TweakDB:SetFlat("Items.w_silencer_01.quality", "Quality.Rare")
	TweakDB:SetFlat("Items.w_silencer_02.quality", "Quality.Rare")
	TweakDB:SetFlat("Items.w_silencer_03.quality", "Quality.Rare")


	--Silencer Descriptions
	TweakDB:SetFlat("Items.w_silencer_01_inline5.floatValues", {})
	TweakDB:SetFlat("Items.w_silencer_01_inline5.stats", {})
	TweakDB:SetFlat("Items.w_silencer_02_inline3.floatValues", {})
	TweakDB:SetFlat("Items.w_silencer_02_inline3.stats", {})
	TweakDB:SetFlat("Items.w_silencer_03_inline4.floatValues", {})
	TweakDB:SetFlat("Items.w_silencer_03_inline4.stats", {})
	TweakDB:SetFlat("Items.w_silencer_04_inline3.floatValues", {})
	TweakDB:SetFlat("Items.w_silencer_04_inline3.stats", {})
	
	--Weapon Mods
	
	--Melee Weapon mods
	


	--Weapon mods

	--Crunch
	createConstantStatModifier("CrunchDamage", "AdditiveMultiplier", "BaseStats.BaseDamage", Crunch_Damage*3)
	Crunch_Stats = {"CrunchDamage"}
	createWeaponEffect("Items.SimpleWeaponMod01", Crunch_Stats, "Increases damage by "..(Crunch_Damage*100).."%.", true, "Rare") --TranslateMe (third parameter)

	--Penetrator
	createConstantStatModifier("PenetratorCritChance", "Additive", "BaseStats.CritChance", Penetrator_Crit_Chance)
	Penetrator_Stats = {"PenetratorCritChance"}
	createWeaponEffect("Items.SimpleWeaponMod02", Penetrator_Stats, "Increases Crit chance by "..Penetrator_Crit_Chance.."%.", true, "Rare") --TranslateMe

	--Pacifier
	createConstantStatModifier("PacifierCritDamage", "Additive", "BaseStats.CritDamage", Pacifier_Crit_Damage)
	Pacifier_Stats = {"PacifierCritDamage"}
	createWeaponEffect("Items.SimpleWeaponMod03", Pacifier_Stats, "Increases Crit damage by "..Pacifier_Crit_Damage.."%.", true, "Rare") --TranslateMe

	--CombatAmplifier
	createConstantStatModifier("CombatAmplifierBleeding", "Additive", "BaseStats.BleedingApplicationRate", Combat_Amplifier_Application)
	createConstantStatModifier("CombatAmplifierBurning", "Additive", "BaseStats.BurningApplicationRate", Combat_Amplifier_Application)
	createConstantStatModifier("CombatAmplifierShock", "Additive", "BaseStats.PoisonedApplicationRate", Combat_Amplifier_Application)
	createConstantStatModifier("CombatAmplifierPoison", "Additive", "BaseStats.ElectrocutedApplicationRate", Combat_Amplifier_Application)
	CombatAmplifier_Stats = {"CombatAmplifierBleeding", "CombatAmplifierBurning", "CombatAmplifierShock", "CombatAmplifierPoison"}
	createWeaponEffect("Items.SimpleWeaponMod04", CombatAmplifier_Stats, "Increases chance to apply status related damage effects by "..Combat_Amplifier_Application.."%.", true, "Rare") --TranslateMe
	
	--Pulverize
	TweakDB:SetFlat("Items.SimpleWeaponMod12_inline1.value", Pulverize_Damage)
	TweakDB:SetFlat("Items.SimpleWeaponMod12_inline2.localizedDescription", "Increases damage to limbs by "..((Pulverize_Damage-1)*100).."%.") --TranslateMe
	TweakDB:SetFlat("Items.SimpleWeaponMod12_inline2.intValues", {})
	
	--Countermass
	TweakDB:SetFlat("Items.SimpleWeaponMod11_inline3.statType", "BaseStats.SwayTraversalTime")

	TweakDB:SetFlat("Items.SimpleWeaponMod11_inline3.ModifierType", "Additive")

	TweakDB:SetFlat("Items.SimpleWeaponMod11_inline3.value", 99999)
	TweakDB:SetFlat("Items.SimpleWeaponMod11_inline4.value", 1)
	TweakDB:SetFlat("Items.SimpleWeaponMod11_inline5.value", 1)

	TweakDB:SetFlat("Items.SimpleWeaponMod11_inline6.localizedDescription", "Eliminates sway while aiming.") --TranslateMe
	
	--Pax
	TweakDB:SetFlat("Items.SimpleWeaponMod17_inline5.value", Pax_Damage)
	TweakDB:SetFlat("Items.SimpleWeaponMod17_inline4.localizedDescription", "") --Delete this if you want the damage bonus back
	TweakDB:SetFlat("Items.SimpleWeaponMod17_inline6.value", 0)
	
	--Vendetta
	createConstantStatModifier("VendettaDamage", "Additive", "BaseStats.HeadshotDamageMultiplier", Vendetta_Damage)
	Vendetta_Stats = {"VendettaDamage"}
	createWeaponEffect("Items.ValentinosRangedWeaponMod", Vendetta_Stats, "Increases headshot damage by "..(Vendetta_Damage*100).."%.", true, "Rare") --TranslateMe

	--Phantom
	createConstantStatModifier("PhantomRate", "Additive", "BaseStats.CycleTimeBonus", -Phantom_Rate)
	Phantom_Stats = {"PhantomRate"}
	createWeaponEffect("Items.WraithsRangedWeaponMod", Phantom_Stats, "Increases rate of fire by "..(Phantom_Rate*100).."%.", true, "Rare") --TranslateMe

	--NeonArrow
	createConstantStatModifier("NeonArrowSpeed", "Additive", "BaseStats.ReloadTimeBonus", -NeonArrow_Speed)
	createConstantStatModifier("NeonArrowSpeedEmpty", "AdditiveMultiplier", "BaseStats.EmptyReloadTime", -NeonArrow_Speed)
	NeonArrow_Stats = {"NeonArrowSpeed", "NeonArrowSpeedEmpty"}
	createWeaponEffect("Items.TygerRangedWeaponMod", NeonArrow_Stats, "Decreases reload time by "..(NeonArrow_Speed*100).."%.", true, "Rare") --TranslateMe

	--Kunai
	createConstantStatModifier("KunaiSpeed", "Additive", "BaseStats.AttackSpeed", Kunai_Speed)
	Kunai_Stats = {"KunaiSpeed"}
	createWeaponEffect("Items.ArasakaMeleeWeaponMod", Kunai_Stats, "Increases attack speed by "..(Kunai_Speed*100).."%.", true, "Rare") --TranslateMe

	--WhiteKnuckled
	createConstantStatModifier("WhiteKnuckledChance", "Additive", "BaseStats.CritChance", WhiteKnuckled_Crit_Chance)
	WhiteKnuckled_Stats = {"WhiteKnuckledChance"}
	createWeaponEffect("Items.TygerMeleeWeaponMod", WhiteKnuckled_Stats, "Increases Crit chance by "..WhiteKnuckled_Crit_Chance.."%.", true, "Rare") --TranslateMe
	
	--ColdShoulder
	createConstantStatModifier("ColdShoulderDamage", "Additive", "BaseStats.CritDamage", ColdShoulder_Crit_Damage)
	ColdShoulder_Stats = {"ColdShoulderDamage"}
	createWeaponEffect("Items.ValentinosMeleeWeaponMod", ColdShoulder_Stats, "Increases Crit damage by "..ColdShoulder_Crit_Damage.."%.", true, "Rare") --TranslateMe

	--Scourge
	createConstantStatModifier("ScourgeDamage", "Additive", "BaseStats.BaseDamage", Scourge_Damage)
	Scourge_Stats = {"ScourgeDamage"}
	createWeaponEffect("Items.WraithsMeleeWeaponMod", Scourge_Stats, "Increases damage by "..Scourge_Damage..".", true, "Rare") --TranslateMe

	--Crafting Data
	TweakDB:SetFlat("Items.SimpleModCraftingData_inline0.amount", 16)
	TweakDB:SetFlat("Items.SimpleModCraftingData_inline1.amount", 12)
	TweakDB:CloneRecord("WeaponModRareMaterials", "Items.SimpleModCraftingData_inline0")
	TweakDB:SetFlat("WeaponModRareMaterials.ingredient", "Items.RareMaterial1")
	TweakDB:SetFlat("WeaponModRareMaterials.amount", 6)
	TweakDB:SetFlat("Items.SimpleModCraftingData.craftingRecipe", {"Items.SimpleModCraftingData_inline0", "Items.SimpleModCraftingData_inline1", "WeaponModRareMaterials"})
	
	
	--Fix weird looted items
	correctClonedItem("LootTables.Base_ma_simple_mods_inline1", "Items.SimpleWeaponMod01")
	correctClonedItem("LootTables.Base_ma_simple_mods_inline3", "Items.SimpleWeaponMod02")
	correctClonedItem("LootTables.Base_ma_simple_mods_inline5", "Items.SimpleWeaponMod03")
	correctClonedItem("LootTables.Base_ma_simple_mods_inline7", "Items.SimpleWeaponMod04")
	correctClonedItem("LootTables.Q103_town_LCM_toolbox_inline2", "Items.WraithsRangedWeaponMod")
	correctClonedItem("LootTables.Q103_town_LCM_toolbox_inline4", "Items.WraithsRangedWeaponMod")
	correctClonedItem("LootTables.Q103_town_LCM_toolbox_inline6", "Items.WraithsRangedWeaponMod")
	correctClonedItem("LootTables.Q103_town_LCM_toolbox_inline8", "Items.WraithsMeleeWeaponMod")
	correctClonedItem("LootTables.Q103_town_LCM_toolbox_inline10", "Items.WraithsMeleeWeaponMod")
	correctClonedItem("LootTables.Q103_town_LCM_toolbox_inline12", "Items.WraithsMeleeWeaponMod")
	correctClonedItem("LootTables.TygerClaws_LGM_toolbox_inline4", "Items.TygerRangedWeaponMod")
	correctClonedItem("LootTables.TygerClaws_LGM_toolbox_inline6", "Items.TygerMeleeWeaponMod")
	correctClonedItem("LootTables.TygerClaws_MGM_toolbox_inline4", "Items.TygerRangedWeaponMod")
	correctClonedItem("LootTables.TygerClaws_MGM_toolbox_inline6", "Items.TygerMeleeWeaponMod")
	correctClonedItem("LootTables.Valentinos_LGM_toolbox_inline4", "Items.ValentinosMeleeWeaponMod")
	correctClonedItem("LootTables.Wraiths_LGM_toolbox_inline4", "Items.WraithsRangedWeaponMod")
	correctClonedItem("LootTables.Wraiths_LGM_toolbox_inline6", "Items.WraithsMeleeWeaponMod")

	
	end)
function correctClonedItem(clone, original)
	TweakDB:SetFlat(clone..".OnAttach", TweakDB:GetFlat(original..".OnAttach"))
	TweakDB:SetFlat(clone..".OnEquip", TweakDB:GetFlat(original..".OnEquip"))
	TweakDB:SetFlat(clone..".placementSlots", TweakDB:GetFlat(original..".placementSlots"))
	TweakDB:SetFlat(clone..".quality", TweakDB:GetFlat(original..".quality"))
	TweakDB:SetFlat(clone..".statModifiers", TweakDB:GetFlat(original..".statModifiers"))
	TweakDB:SetFlat(clone..".statModifierGroups", TweakDB:GetFlat(original..".statModifierGroups"))
	TweakDB:SetFlat(clone..".CraftingData", TweakDB:GetFlat(original..".CraftingData"))
	TweakDB:SetFlat(clone..".tags", TweakDB:GetFlat(original..".tags"))
end

function createWeaponEffect(WeaponMod, statsList, Description, stackable, quality)

	--Create Effect
	--TweakDB:CreateRecord(WeaponMod.."OnEquip", "gamedataGameplayLogicPackage_Record")
	--TweakDB:SetFlat(WeaponMod.."OnEquip.stackable", stackable)
	--TweakDB:SetFlat(WeaponMod.."OnEquip.stats", statsList)

	--Create Description

	--Create OnAttach Description
	TweakDB:CreateRecord(WeaponMod.."OnAttach", "gamedataGameplayLogicPackage_Record")
	TweakDB:CreateRecord(WeaponMod.."OnAttachDescription", "gamedataGameplayLogicPackageUIData_Record")
	
	TweakDB:SetFlat(WeaponMod.."OnAttachDescription.localizedDescription", Description)
	
	TweakDB:SetFlat(WeaponMod.."OnAttach.UIData", WeaponMod.."OnAttachDescription")
	
	--Set all this stuff
	--TweakDB:SetFlat(WeaponMod..".OnEquip", {WeaponMod.."OnEquip"})
	TweakDB:SetFlat(WeaponMod..".OnAttach", {WeaponMod.."OnAttach"})
	--statModifiers = {}
	
	--for i,v in ipairs(statsList) do
	--	table.insert(statModifiers, v)
	--end
	TweakDB:SetFlat(WeaponMod..".statModifiers", statsList)
	
	--Set quality
	TweakDB:SetFlat(WeaponMod..".statModifierGroups", {})
	TweakDB:SetFlat(WeaponMod..".quality", "Quality."..quality)
	
end

function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CreateRecord(recordName, "gamedataConstantStatModifier_Record")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end

end


return FGR:new()
