FGR = { 
    description = "Perk balancing and fixes"
}

function FGR:new()

	
    registerForEvent("onInit", function() 
	
	
	--ATHLETICS
	Wolverine = true
	Hard_Motherfucker = true
	Stronger_Together = true
	
	--ANNIHILATION
	Massacre = true
	Unstoppable = true
	
	--STREET BRAWLER
	Crushing_Blows = true
	Flurry = true
	Efficient_Blows = true
	Thrash = true
	Frenzy = true
	Guerilla = true

	--ENGINEERING
	Shrapnel = true
	Lightning_Bolt = true
	Tesla = true
	Insulation = true
	Revamp = true

	--ASSAULT
	Executioner = true
	Duck_Hunter = true
	Named_Bullets = true
	Long_Shot = true
	Savage_Stoic = true
	Covering_Killshot = true
	
	--HANDGUNS
	High_Noon = true
	Rio_Bravo = true
	Long_Shot_Drop_Pop = true
	Westworld = true
	Brainpower = true
	Good_Bad_Ugly = true
	
	--BlADES
	Roaring_Waters = true
	Flight_Of_The_Sparrow = true
	Offensive_Defense = true
	Blessed_Blade = true
	Judge_Jury_Executioner = true
	
	--STEALTH
	Silent_And_Deadly = true
	Assassin = true
	Strike_From_The_Shadows = true
	Leg_Up = true
	Sniper = true
	Aggressive_Antitoxins = true
	From_The_Shadows = true
	Hasten_The_Inevitable = true
	Neurotoxin = true
	Ninjutsu = true
	
	--COLD BLOOD
	Rapid_Bloodflow = true
	Frozen_Precision = true
	Quick_Transfer = true
	Cold_And_Calculating = true
	Immunity = true
	Merciless = true
	
	--QUICKHACKING
	Daisy_Chain = true
	
	--BREACH PROTOCOL
	Mass_Vulnerability = true
	
	
	--CRAFTING
	
	--5% stats perk and 10% dmg perk to melee weapons
	Crafting_Bonuses = {"Items.Base_Weapon_Damage_Type_Randomization_inline1", "Items.Base_Weapon_Damage_Type_Randomization_inline2", "Items.Base_Weapon_Damage_Type_Randomization_inline4", "Items.Base_Weapon_Damage_Type_Randomization_inline5", "Items.Base_Weapon_Damage_Type_Randomization_inline7", "Items.Base_Weapon_Damage_Type_Randomization_inline8", "Items.Base_Weapon_Damage_Type_Randomization_inline10", "Items.Base_Weapon_Damage_Type_Randomization_inline11"}
	for i=0, 11 do
		table.insert(Crafting_Bonuses, "Items.Base_Melee_Status_Effect_Application_Stats_inline"..i)
	end
	TweakDB:SetFlat("Items.Base_Melee_Status_Effect_Application_Stats.statModifiers", Crafting_Bonuses)
	
	--Melee Weapons
	Melee_Weapon_Types = {"Two_Hand_Hammer", "Two_Hand_Blunt", "Baton", "One_Hand_Blunt", "One_Hand_Blade", "Two_Hand_Blade", "Katana", "Knife"}
	TweakDB:CloneRecord("MeleeCraftedCritChanceBonus", "Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1")
	TweakDB:SetFlat("MeleeCraftedCritChanceBonus.value", 5)
	TweakDB:SetFlat("MeleeCraftedCritChanceBonus.statType", "BaseStats.CritChance")
	TweakDB:SetFlat("MeleeCraftedCritChanceBonus.modifierType", "Additive")

	TweakDB:CloneRecord("MeleeCraftedCritDamageBonus", "Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1")
	TweakDB:SetFlat("MeleeCraftedCritDamageBonus.value", 5)
	TweakDB:SetFlat("MeleeCraftedCritDamageBonus.statType", "BaseStats.CritDamage")
	TweakDB:SetFlat("MeleeCraftedCritDamageBonus.modifierType", "Additive")

	TweakDB:CloneRecord("MeleeCraftedStaminaBonus", "Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1")
	TweakDB:SetFlat("MeleeCraftedStaminaBonus.value", -0.05)
	TweakDB:SetFlat("MeleeCraftedStaminaBonus.statType", "BaseStats.StaminaCostReduction")
	TweakDB:SetFlat("MeleeCraftedStaminaBonus.modifierType", "Additive")

	for i,v in ipairs(Melee_Weapon_Types) do
		statModifiers = {}
		for k = 1, 4 do
			table.insert(statModifiers, "Items.Base_"..v.."_RPG_Randomized_Stats_inline"..k)
		end
		table.insert(statModifiers, "MeleeCraftedCritChanceBonus")
		table.insert(statModifiers, "MeleeCraftedCritDamageBonus")
		table.insert(statModifiers, "MeleeCraftedStaminaBonus")
		TweakDB:SetFlat("Items.Base_"..v.."_RPG_Randomized_Stats.statModifiers", statModifiers)
	end
	
	--Remove hidden modifier that didn't require a perk
	TweakDB:SetFlat("Items.Base_Melee_Physical_Damage_Type_Randomization_inline1.value", 0)
	TweakDB:SetFlat("Items.Base_Melee_Elemental_Damage_Type_Randomization_inline7.value", 0)
	TweakDB:SetFlat("Items.Base_Melee_Elemental_Damage_Type_Randomization_inline5.value", 0)
	TweakDB:SetFlat("Items.Base_Melee_Elemental_Damage_Type_Randomization_inline3.value", 0)
	TweakDB:SetFlat("Items.Base_Melee_Elemental_Damage_Type_Randomization_inline1.value", 0)
	
	--+5% stats perk
	
	Weapon_Types = {"Assault_Rifle", "Handgun", "Precision_Rifle", "Shotgun", "Sniper_Rifle", "Revolver", "Submachinegun", "Lightmachinegun"}
	
	for i,v in ipairs(Weapon_Types) do
		TweakDB:SetFlat("Items.Base_Power_"..v.."_RPG_Randomized_Stats_inline1.modifierType", "Additive")
		TweakDB:SetFlat("Items.Base_Power_"..v.."_RPG_Randomized_Stats_inline1.value", 5)
		
		TweakDB:SetFlat("Items.Base_Tech_"..v.."_RPG_Randomized_Stats_inline2.modifierType", "Additive")


		for k=2,6,2 do
			TweakDB:SetFlat("Items.Base_"..v.."_RPG_Randomized_Stats_inline"..k..".modifierType", "Additive")
			TweakDB:SetFlat("Items.Base_"..v.."_RPG_Randomized_Stats_inline"..k..".value", 5)
			if k == 6 then 	TweakDB:SetFlat("Items.Base_"..v.."_RPG_Randomized_Stats_inline"..k..".value", .05) end

		end
	end
	
	--Create it for LMGs (was missing before)
	TweakDB:SetFlat("Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1.modifierType", "Additive")
	TweakDB:SetFlat("Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1.value", 5)
	
	TweakDB:CloneRecord("LMGCraftedCritChanceBonus", "Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1")
	TweakDB:SetFlat("LMGCraftedCritChanceBonus.statType", "BaseStats.CritChance")
	
	TweakDB:CloneRecord("LMGCraftedCritDamageBonus", "Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1")
	TweakDB:SetFlat("LMGCraftedCritDamageBonus.statType", "BaseStats.CritDamage")

	TweakDB:CloneRecord("LMGCraftedHeadshotBonus", "Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1")
	TweakDB:SetFlat("LMGCraftedHeadshotBonus.value", .05)
	TweakDB:SetFlat("LMGCraftedHeadshotBonus.statType", "BaseStats.HeadshotDamageMultiplier")

	TweakDB:SetFlat("Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats.statModifiers", {"LMGCraftedHeadshotBonus", "LMGCraftedCritChanceBonus", "LMGCraftedCritDamageBonus", "Items.Base_Lightmachinegun_RPG_Randomized_Stats_inline1","Items.Base_Lightmachinegun_RPG_Randomized_Stats_inline2", "Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline0", "Items.Base_Power_Lightmachinegun_RPG_Randomized_Stats_inline1"})
	

	--QUICKHACKING
	
	if Daisy_Chain then
	--Daisy Chain
	
	--Effects
	TweakDB:SetFlat("Perks.CombatHacking_Area_03_Perk_1_inline2.value", .1)
	TweakDB:SetFlat("Perks.CombatHacking_Area_03_Perk_1_inline6.value", .15)
	TweakDB:SetFlat("Perks.CombatHacking_Area_03_Perk_1_inline10.value", .2)
	
	--Description
	TweakDB:SetFlat("Perks.CombatHacking_Area_03_Perk_1_inline3.floatValues", {10})
	TweakDB:SetFlat("Perks.CombatHacking_Area_03_Perk_1_inline7.floatValues", {15})
	TweakDB:SetFlat("Perks.CombatHacking_Area_03_Perk_1_inline11.floatValues", {20})

	end
	--BREACH PROTOCOL
	
	if Mass_Vulnerability then
	
	--Mass Vulnerability
	
	--Effect
	TweakDB:SetFlat("BaseStatusEffect.MajorVulnerable_inline1.modifierType", "Multiplier")
	TweakDB:SetFlat("BaseStatusEffect.MajorVulnerable_inline1.value", 0.7)
	end
	
	--ENGINEERING
	
	if Shrapnel then
	--Fix fragmentation perk
	
	--Fix
	createConstantStatModifier("GrenadeInitialDamage", "Additive", "BaseStats.PhysicalDamage", 1)
	
	TweakDB:SetFlat("Attacks.FlashbangGrenadeMinor.statModifiers", {"GrenadeInitialDamage"})
	TweakDB:SetFlat("Attacks.FlashbangGrenadeMinor.attackType", "AttackType.Explosion")

	TweakDB:SetFlat("Attacks.FlashbangGrenadeMajor.statModifiers", {"GrenadeInitialDamage"})
	TweakDB:SetFlat("Attacks.FlashbangGrenadeMajor.attackType", "AttackType.Explosion")
	
	TweakDB:SetFlat("Attacks.LightBiotechGrenade.statModifiers", {"AttackModifier.BaseAlliedDamage", "AttackModifier.PhysicalAlliedDamage", "AttackModifier.ElectricAlliedDamage", "AttackModifier.ThermalAlliedDamage", "AttackModifier.ChemicalAlliedDamage", "GrenadeInitialDamage"})
	TweakDB:SetFlat("Attacks.LightBiotechGrenade.attackType", "AttackType.Explosion")
	
	TweakDB:SetFlat("Attacks.LightIncendiaryGrenade.statModifiers", {"AttackModifier.BaseAlliedDamage", "AttackModifier.PhysicalAlliedDamage", "AttackModifier.ElectricAlliedDamage", "AttackModifier.ThermalAlliedDamage", "AttackModifier.ChemicalAlliedDamage", "GrenadeInitialDamage"})

	TweakDB:SetFlat("Attacks.EMPGrenade.attackType", "AttackType.Explosion")
	
	--Effects
	TweakDB:SetFlat("Perks.Engineering_Area_03_Perk_1_inline2.value", 10)
	
	--Description
	TweakDB:SetFlat("Perks.Engineering_Area_03_Perk_1_inline7.intValues", {10})
	
	end
	
	--Proficiency Description
	TweakDB:SetFlat("Proficiencies.Engineering_inline12.intValues", {2})
	TweakDB:SetFlat("Proficiencies.Engineering_inline19.intValues", {3})
	
	if Lightning_Bolt then
	--Crit chance
	
	--Effect
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_2_inline4.value", 2)
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_2_inline10.value", 4)
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_2_inline16.value", 6)

	--Description
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_2_inline5.intValues", {2})
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_2_inline11.intValues", {4})
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_2_inline17.intValues", {6})

	end
	

	if Revamp then
	--Trait
	
	--Effects
	TweakDB:SetFlat("Traits.EngineeringTrait01_inline4.value", 1.1)
	
	--Description
	TweakDB:SetFlat("Traits.EngineeringTrait01_inline9.intValues", {10})
	
	end
	
	if Insulation then
	--Shock Immunity
	
	--Effects
	TweakDB:SetFlat("Perks.Engineering_Area_07_Perk_2_inline2.statType", "BaseStats.ElectricResistance")
	TweakDB:SetFlat("Perks.Engineering_Area_07_Perk_2_inline2.value", 50)
	
	--Description
	TweakDB:SetFlat("Perks.Engineering_Area_07_Perk_2.loc_desc_key", "Increases Electric resistance by 50%.") --TranslateMe (second parameter)
	end

	if Tesla then
	--Tesla
	
	--Effects
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_1_inline4.value", 0.1)
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_1_inline10.value", 0.15)
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_1_inline16.value", 0.2)
	
	--Description
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_1_inline5.intValues", {10})
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_1_inline11.intValues", {15})
	TweakDB:SetFlat("Perks.Engineering_Area_06_Perk_1_inline17.intValues", {20})
	end
	
	--BLADES
	
	
	if Flight_Of_The_Sparrow then
	--Flight of the Sparrow
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_1_inline4.value", -.15)
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_1_inline10.value", -.3)
	rec3 = {15}
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_1_inline5.intValues", rec3)
	rec3 = {30}
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_1_inline11.intValues",rec3)
	end

	

	if Roaring_Waters then
	--Strong attack perk
	
	--Effects
	TweakDB:SetFlat("Perks.Kenjutsu_Area_01_Perk_2_inline3.value", 1.15)
	TweakDB:SetFlat("Perks.Kenjutsu_Area_01_Perk_2_inline8.value", 1.2)
	TweakDB:SetFlat("Perks.Kenjutsu_Area_01_Perk_2_inline13.value", 1.25)

	--Description
	TweakDB:SetFlat("Perks.Kenjutsu_Area_01_Perk_2_inline4.intValues", {15})
	TweakDB:SetFlat("Perks.Kenjutsu_Area_01_Perk_2_inline9.intValues", {20})
	TweakDB:SetFlat("Perks.Kenjutsu_Area_01_Perk_2_inline14.intValues", {25})
	end
	
	if Judge_Jury_Executioner then
	--Judge Jury Executioner
	
	--Effects
	TweakDB:SetFlat("Perks.Kenjutsu_Area_07_Perk_2_inline3.value", 1.3)
	TweakDB:SetFlat("Perks.Kenjutsu_Area_07_Perk_2_inline8.value", 1.4)
	TweakDB:SetFlat("Perks.Kenjutsu_Area_07_Perk_2_inline13.value", 1.5)
	
	--Description
	TweakDB:SetFlat("Perks.Kenjutsu_Area_07_Perk_2_inline4.intValues", {30})
	TweakDB:SetFlat("Perks.Kenjutsu_Area_07_Perk_2_inline9.intValues", {40})
	TweakDB:SetFlat("Perks.Kenjutsu_Area_07_Perk_2_inline14.intValues", {50})
	end
	
	--Offensive Defense
	
	if Offensive_Defense then
	--Fix
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_2_inline3.prereqRecord", "Perks.IsHitDeflectAttack")
	TweakDB:SetFlat("Perks.Kenjutsu_Area_03_Perk_2_inline8.prereqRecord", "Perks.IsHitDeflectAttack")
	end
	
	if Blessed_Blade then
	--Blessed Blade
	
	--Effects
	TweakDB:SetFlat("Perks.Kenjutsu_Area_05_Perk_1_inline4.value", 12)
	
	--Description
	TweakDB:SetFlat("Perks.Kenjutsu_Area_05_Perk_1_inline5.intValues", {12})
	end
	
	--STREET BRAWLER
	
	if Efficient_Blows then
	--Brawl perk
	TweakDB:SetFlat("Perks.Brawling_Area_03_Perk_2_inline10.value", -.15)
	TweakDB:SetFlat("Perks.Brawling_Area_03_Perk_2_inline10.value", -.3)
	rec3 = {15}
	TweakDB:SetFlat("Perks.Brawling_Area_03_Perk_2_inline5.intValues", rec3)
	rec3 = {30}
	TweakDB:SetFlat("Perks.Brawling_Area_03_Perk_2_inline11.intValues", rec3)

	end
	if Guerilla then 
	--Trait
	
	--Effects
	TweakDB:SetFlat("BaseStatusEffect.Brawling_Trait_01_Buff_inline3.value", 20)
	
	--Description
	TweakDB:SetFlat("Traits.BrawlingTrait01_inline4.intValues", {20})
	
	end
	
	if Flurry then
	--Combo Damage
	
	--Effects
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_1_inline3.value", 1.15)
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_1_inline8.value", 1.2)
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_1_inline13.value", 1.25)

	--Description
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_1_inline4.intValues", {15})
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_1_inline9.intValues", {20})
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_1_inline14.intValues", {25})
	end
	
	if Crushing_Blows then
	--Strong Attack Damage
	
	--Effects
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_2_inline3.value", 1.15)
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_2_inline8.value", 1.2)
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_2_inline13.value", 1.25)

	--Description
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_2_inline4.intValues", {15})
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_2_inline9.intValues", {20})
	TweakDB:SetFlat("Perks.Brawling_Area_01_Perk_2_inline14.intValues", {25})
	end
	
	if Frenzy then
	--Frenzy
	
	--Effects
	TweakDB:SetFlat("BaseStatusEffect.Brawling_Area_04_Perk_1_Buff_Level_3_inline3.value", 1.5)
	
	--Description
	TweakDB:SetFlat("Perks.Brawling_Area_07_Perk_1_inline6.intValues", {50, 10})
	end
	
	--ASSAULT
	
	--Proficiency Description
	TweakDB:SetFlat("Proficiencies.Assault_inline15.intValues", {10})
	
	--Fix all cover related perks and effects
	TweakDB:SetFlat("Prereqs.UsingCoverPSMPrereq.isInState", false)
	
	if Named_Bullets then
	--Named Bullets
	
	--Effects
	TweakDB:SetFlat("Perks.Assault_Area_07_Perk_2_inline4.value", 15)
	
	--Description
	TweakDB:SetFlat("Perks.Assault_Area_07_Perk_2_inline5.intValues", {15})
	end
	
	if Duck_Hunter then
	--Duck hunter
	
	--Effects
	TweakDB:SetFlat("Perks.Assault_Area_04_Perk_2_inline3.value", 1.08)
	TweakDB:SetFlat("Perks.Assault_Area_04_Perk_2_inline8.value", 1.15)
	
	--Description
	TweakDB:SetFlat("Perks.Assault_Area_04_Perk_2_inline4.intValues", {8})
	TweakDB:SetFlat("Perks.Assault_Area_04_Perk_2_inline9.intValues", {15})
	end
	

	if Covering_Killshot then
	
	--Crit chance cover
	
	--Effects
	TweakDB:SetFlat("Perks.Assault_Area_02_Perk_1_inline5.value", 5)
	TweakDB:SetFlat("Perks.Assault_Area_02_Perk_1_inline12.value", 10)
	
	--Description
	TweakDB:SetFlat("Perks.Assault_Area_02_Perk_1_inline6.intValues", {5})
	TweakDB:SetFlat("Perks.Assault_Area_02_Perk_1_inline13.intValues", {10})
	end
	
	if Executioner then
	--Executioner
	
	--Effects
	TweakDB:SetFlat("Perks.Assault_Area_03_Perk_2_inline4.valueToCheck", 75)
	
	--Description
	TweakDB:SetFlat("Perks.Assault_Area_03_Perk_2_inline5.intValues", {25, 75})
	end
	
	if Savage_Stoic then
	--Savage Stoic
	
	--Effects
	TweakDB:SetFlat("Perks.Assault_Area_10_Perk_1_inline3.value", 1.2)
	
	--Description
	TweakDB:SetFlat("Perks.Assault_Area_10_Perk_1_inline4.intValues", {20})
	end
	
	if Long_Shot then
	--Long shot
	
	--Effects
	TweakDB:SetFlat("Perks.Assault_Area_09_Perk_2_inline3.percentMult", 0.05)
	TweakDB:SetFlat("Perks.Assault_Area_09_Perk_2_inline3.unitThreshold", 5) --5% more damage every 5 meters. Previously was 10% more every 2!
	end
	
	--HANDGUNS
	
	--Proficiency Description
	TweakDB:SetFlat("Proficiencies.Gunslinger_inline15.intValues", {10})
	
	if Good_Bad_Ugly then
	--Trait
	
	--Effects
	TweakDB:SetFlat("BaseStatusEffect.Gunslinger_Trait_01_Buff_inline11.value", 0.1)
	TweakDB:SetFlat("BaseStatusEffect.Gunslinger_Trait_01_Buff_inline13.value", 0.1)
	TweakDB:SetFlat("BaseStatusEffect.Gunslinger_Trait_01_Buff_inline15.value", 0.1)
	TweakDB:SetFlat("BaseStatusEffect.Gunslinger_Trait_01_Buff_inline7.value", 0.1)
	TweakDB:SetFlat("BaseStatusEffect.Gunslinger_Trait_01_Buff_inline9.value", 0.1)

	--Description
	TweakDB:SetFlat("Traits.GunslingerTrait01.loc_desc_key", "After a successful Crit hit with a Pistol or Revolver, damage increases by 10% and Armor by 30% for 5 seconds.")  --TranslateMe
	TweakDB:SetFlat("Traits.GunslingerTrait01_inline2.UIData", "")
	end
	
	if High_Noon then
	--High Noon
	
	--Effects
	TweakDB:SetFlat("Perks.Gunslinger_Area_01_Perk_2_inline4.value", 2)
	TweakDB:SetFlat("Perks.Gunslinger_Area_01_Perk_2_inline10.value", 4)
	TweakDB:SetFlat("Perks.Gunslinger_Area_01_Perk_2_inline16.value", 6)
	
	--Description
	TweakDB:SetFlat("Perks.Gunslinger_Area_01_Perk_2_inline5.intValues", {2})
	TweakDB:SetFlat("Perks.Gunslinger_Area_01_Perk_2_inline11.intValues", {4})
	TweakDB:SetFlat("Perks.Gunslinger_Area_01_Perk_2_inline17.intValues", {6})
	end
	
	if Long_Shot_Drop_Pop then
	--Long Shot Drop Pop
	
	--Effects
	TweakDB:SetFlat("Perks.Gunslinger_Area_03_Perk_2_inline3.value", 1.1)
	TweakDB:SetFlat("Perks.Gunslinger_Area_03_Perk_2_inline10.value", 1.15)
	
	--Description
	TweakDB:SetFlat("Perks.Gunslinger_Area_03_Perk_2_inline13.intValues", {15, 5})
	TweakDB:SetFlat("Perks.Gunslinger_Area_03_Perk_2_inline6.intValues", {10, 5})
	end
	
	if Rio_Bravo then
	--Headshot
	
	--Effects
	TweakDB:SetFlat("Perks.Gunslinger_Area_02_Perk_1_inline10.value", 0.15)
	TweakDB:SetFlat("Perks.Gunslinger_Area_02_Perk_1_inline16.value", 0.2)
	TweakDB:SetFlat("Perks.Gunslinger_Area_02_Perk_1_inline4.value", 0.1)
	
	--Description
	TweakDB:SetFlat("Perks.Gunslinger_Area_02_Perk_1_inline5.intValues", {10})
	TweakDB:SetFlat("Perks.Gunslinger_Area_02_Perk_1_inline11.intValues", {15})
	TweakDB:SetFlat("Perks.Gunslinger_Area_02_Perk_1_inline17.intValues", {20})
	end
	
	if Westworld then
	--Westworld
	
	--Effects
	TweakDB:SetFlat("Perks.Gunslinger_Area_08_Perk_2_inline5.value", 5)
	
	--Description
	TweakDB:SetFlat("Perks.Gunslinger_Area_08_Perk_2_inline6.intValues", {5})
	end
	
	if Brainpower then
	--Brainpower
	
	--Effect
	TweakDB:SetFlat("BaseStatusEffect.Gunslinger_Area_10_Perk_1_Buff_Level_1_inline3.value", 10)
	
	--Description
	TweakDB:SetFlat("Perks.Gunslinger_Area_10_Perk_1_inline4.intValues", {10})
	end
	
	--COOL stealth damage reduction description
	TweakDB:SetFlat("BaseStats.Cool.localizedDescription", "Cool determines your resilience, composure, and effectiveness in operating from stealth. Each level of Cool will:\n\n- Increase Crit damage by 2%\n- Increase all resistances by 1%\n- Increase stealth damage by 2.5%\n- Reduce the speed at which enemies detect you in stealth by 0.5%")  --TranslateMe
	
	--Cold blood crit chance reduction description
	TweakDB:SetFlat("Proficiencies.ColdBlood_inline1.intValues", {3})
	TweakDB:SetFlat("Proficiencies.ColdBlood_inline21.intValues", {3})
	
	--STEALTH
	
	if Neurotoxin then
	--Double damage from poison
	
	--Effects
	TweakDB:SetFlat("Perks.Stealth_Area_09_Perk_1_inline2.value", 1.5)
	
	--Description
	TweakDB:SetFlat("Perks.Stealth_Area_09_Perk_1.loc_desc_key", "Poison deals 50% more damage.")  --TranslateMe
	end
	
	if Ninjutsu then
	--Ninjutsu fix
	
	--Fix
	--TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1_inline7.invert", true)
	--TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1_inline13.invert", true)
	--TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1_inline7.attackSubtype", "CrouchAttack")
	--TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1_inline13.attackSubtype", "CrouchAttack")
	TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1_inline5.conditions", {"Perks.Stealth_Area_10_Perk_1_inline12"})
	TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1_inline11.conditions", {"Perks.Stealth_Area_10_Perk_1_inline12"})
	--TweakDB:SetFlat("Effectors.PlayerKatanaFinisher.shouldKillNPC", false)
	
	
	--Effects
	TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1_inline4.value", 1.3)
	
	--Description
	TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1.loc_desc_key", "Attacks from stealth with melee weapons deal 30% more damage and guarantee a Crit Hit.") --TranslateMe
	TweakDB:SetFlat("Perks.Stealth_Area_10_Perk_1_inline0.uiData", "")
	end
	
	if Hasten_The_Inevitable then
	--Hasten the Inevitable Fix
	TweakDB:SetFlat("Perks.Stealth_Area_09_Perk_3_inline4.invert", false)
	end
	
	if Silent_And_Deadly then
	--Silent and Deadly
	
	--Effect
	TweakDB:SetFlat("Perks.Stealth_Area_01_Perk_1_inline2.value", .15)
	
	--Description
	TweakDB:SetFlat("Perks.Stealth_Area_01_Perk_1.loc_desc_key", "Increases Stealth damage by 15%.") --TranslateMe
	TweakDB:SetFlat("Perks.Stealth_Area_01_Perk_1_inline0.uiData", "")
	end
	
	if Assassin then
	--Assassin
	
	--Effect
	TweakDB:SetFlat("Perks.Stealth_Area_03_Perk_2_inline2.value", 1.1)
	
	--Description
	TweakDB:SetFlat("Perks.Stealth_Area_03_Perk_2_inline3.intValues", {10})
	end
	
	if Sniper then
	--Sniper
	
	--Effects
	TweakDB:SetFlat("Perks.Stealth_Area_04_Perk_1_inline5.value", 0.1)
	TweakDB:SetFlat("Perks.Stealth_Area_04_Perk_1_inline12.value", 0.2)
	
	--Description
	TweakDB:SetFlat("Perks.Stealth_Area_04_Perk_1_inline6.intValues", {10})
	TweakDB:SetFlat("Perks.Stealth_Area_04_Perk_1_inline13.intValues", {20})
	end
	
	if From_The_Shadows then
	
	--SOmething something shadows
	
	--Fix
	TweakDB:CloneRecord("FromTheShadowsDuration", "Items.SatedDuration")
	createConstantStatModifier("FromTheShadowsDuration_inline0", "Additive", "BaseStats.MaxDuration", 7)
	TweakDB:SetFlat("FromTheShadowsDuration.statModifiers", {"FromTheShadowsDuration_inline0"})
	
	TweakDB:SetFlat("BaseStatusEffect.StealthEnteringCritUpgrade.duration", "FromTheShadowsDuration")
	TweakDB:SetFlat("BaseStatusEffect.StealthEnteringCritUpgradeLevel2.duration", "FromTheShadowsDuration")

	--Effects
	TweakDB:SetFlat("BaseStatusEffect.StealthEnteringCritUpgrade_inline1.value", 15)
	TweakDB:SetFlat("BaseStatusEffect.StealthEnteringCritUpgradeLevel2_inline1.value", 30)

	--Description
	TweakDB:SetFlat("Perks.Stealth_Area_06_Perk_2_inline6.intValues", {15})
	TweakDB:SetFlat("Perks.Stealth_Area_06_Perk_2_inline13.intValues", {30})
	end
	
	if Strike_From_The_Shadows then
	--Strike from the Shadows
	
	--Effect
	TweakDB:SetFlat("Perks.Stealth_Area_03_Perk_1_inline5.value", 10)
	
	--Description
	TweakDB:SetFlat("Perks.Stealth_Area_03_Perk_1_inline6.intValues", {10})
	end
	
	if Leg_Up then
	--Leg Up fix
	TweakDB:SetFlat("Perks.Stealth_Area_03_Perk_3_inline3.isInState", false)
	end
	
	if Aggressive_Antitoxins then
	--Aggressive Antitoxins change
	
	--Effect
	TweakDB:SetFlat("Perks.Stealth_Area_05_Perk_2_inline2.statType", "BaseStats.ChemicalResistance")
	TweakDB:SetFlat("Perks.Stealth_Area_05_Perk_2_inline2.value", 50)
	
	--Description
	TweakDB:SetFlat("Perks.Stealth_Area_05_Perk_2.loc_desc_key", "Increases Poison resistance by 50%.") --TranslateMe
	end
	
	--COLD BLOOD
	
	if Merciless then
	--Trait
	
	--Effects
	TweakDB:SetFlat("Traits.ColdBloodTrait01_inline7.value", 10)
	TweakDB:SetFlat("Traits.ColdBloodTrait01_inline5.value", 5)
	TweakDB:SetFlat("Traits.ColdBloodTrait01_inline8.value", 1)
	TweakDB:SetFlat("Traits.ColdBloodTrait01_inline6.value", 0)
	--Description
	TweakDB:SetFlat("Traits.ColdBloodTrait01_inline9.intValues", {5, 10})
	TweakDB:SetFlat("Traits.ColdBloodTrait01_inline10.loc_desc_key", "+1% Crit damage per Perk level.") --TranslateMe
	TweakDB:SetFlat("Traits.ColdBloodTrait01_inline11.UIData", "")
	end
	
	if Frozen_Precision then
	--Cold Blood Headshot
	TweakDB:SetFlat("Perks.ColdBlood_Area_05_Perk_2_inline4.value", .1)
	TweakDB:SetFlat("Perks.ColdBlood_Area_05_Perk_2_inline5.intValues", {10})
	end
	
	if Rapid_Bloodflow then
	--HP Regen
	
	--Effects
	TweakDB:SetFlat("Perks.ColdBlood_Area_04_Perk_2_inline3.value", 0.25)
	TweakDB:SetFlat("Perks.ColdBlood_Area_04_Perk_2_inline4.value", 0.25)
	TweakDB:SetFlat("Perks.ColdBlood_Area_04_Perk_2_inline9.value", 0.5)
	TweakDB:SetFlat("Perks.ColdBlood_Area_04_Perk_2_inline10.value", 0.5)

	--Description
	TweakDB:SetFlat("Perks.ColdBlood_Area_04_Perk_2_inline5.floatValues", {25})
	TweakDB:SetFlat("Perks.ColdBlood_Area_04_Perk_2_inline11.floatValues", {50})
	end
	
	
	
	if Cold_And_Calculating then
	--Cold and Calculating
	
	--Effect
	TweakDB:SetFlat("Perks.ColdBlood_Area_07_Perk_2_inline2.effectorChance", 0.05)

	--Description
	TweakDB:SetFlat("Perks.ColdBlood_Area_07_Perk_2.loc_desc_key", "Landing a Crit hit has a 5% chance of adding a stack of Cold Blood.") --TranslateMe
	TweakDB:SetFlat("Perks.ColdBlood_Area_07_Perk_2_inline0.uiData", "")
	end
	
	if Quick_Transfer then
	--Quick Transfer
	
	--Effects
	TweakDB:SetFlat("Perks.ColdBlood_Area_06_Perk_3_inline2.value", -0.03)
	TweakDB:SetFlat("Perks.ColdBlood_Area_06_Perk_3_inline6.value", -0.06)
	--Description
	TweakDB:SetFlat("Perks.ColdBlood_Area_06_Perk_3_inline3.intValues", {3})
	TweakDB:SetFlat("Perks.ColdBlood_Area_06_Perk_3_inline7.intValues", {6})
	end
	
	if Immunity then
	--Immunity
	
	--Effects
	TweakDB:SetFlat("Perks.ColdBlood_Area_10_Perk_1_inline4.value", 35)
	TweakDB:SetFlat("Perks.ColdBlood_Area_10_Perk_1_inline5.value", 0)
	TweakDB:SetFlat("Perks.ColdBlood_Area_10_Perk_1_inline6.value", 35)
	TweakDB:SetFlat("Perks.ColdBlood_Area_10_Perk_1_inline7.value", 35)
	
	TweakDB:SetFlat("Perks.ColdBlood_Area_10_Perk_1_inline4.statType", "BaseStats.ThermalResistance")
	TweakDB:SetFlat("Perks.ColdBlood_Area_10_Perk_1_inline6.statType", "BaseStats.ChemicalResistance")
	TweakDB:SetFlat("Perks.ColdBlood_Area_10_Perk_1_inline7.statType", "BaseStats.ElectricResistance")

	--Description
	TweakDB:SetFlat("Perks.ColdBlood_Area_10_Perk_1.loc_desc_key", "While Cold Blood is active, increase all resistances by 35%.") --TranslateMe
	end
	
	
	--BODY 
	
	--Description
	TweakDB:SetFlat("BaseStats.Strength.localizedDescription", "Body determines your raw physical power. In addition to allowing you to force open doors, each level of Body (starting from level 3) will:\n\n- Add 3 Stamina points\n- Decrease movement penalty by 6% when wielding an HMG or Defender\n- Increases movement speed while grappling an enemy.") --TranslateMe
	
	--ATHLETICS
	
	if Stronger_Together then
		--Description
		TweakDB:SetFlat("Perks.Athletics_Area_06_Perk_2.loc_desc_key", "Increases damage you deal while carrying a body by 20%.") --TranslateMe
	
		--Effect
		TweakDB:SetFlat("Perks.Athletics_Area_06_Perk_2_inline4.value", 1.2)
	end
	if Wolverine then
	--Wolverine
	
	--Effect
	TweakDB:SetFlat("Perks.Athletics_Area_08_Perk_2_inline6.value", 0.8)
	
	--Description
	TweakDB:SetFlat("Perks.Athletics_Area_08_Perk_2_inline7.intValues", {80})
	end
	
	if Hard_Motherfucker then
	--Hard Motherfucker description fix
	TweakDB:SetFlat("Traits.AthleticsTrait01_inline4.floatValues", {10})
	end
	

	
	--ANNIHILATION
	
	--Proficiency Descriptions
	TweakDB:SetFlat("Proficiencies.Demolition_inline15.intValues", {10})
	
	if Unstoppable then
	--Fix Unstoppable Perk
	TweakDB:SetFlat("BaseStatusEffect.Demolition_Area_07_Perk_1_Buff_Level_1_inline4.stackable", false)
	rec3 = {15, 1}
	TweakDB:SetFlat("Perks.Demolition_Area_07_Perk_1_inline4.intValues", rec3)
	end
	
	if Massacre then
	--Massacre
	
	--Effects
	TweakDB:SetFlat("Perks.Demolition_Area_05_Perk_2_inline4.value", 10)
	TweakDB:SetFlat("Perks.Demolition_Area_05_Perk_2_inline10.value", 15)
	TweakDB:SetFlat("Perks.Demolition_Area_05_Perk_2_inline16.value", 20)

	--Description
	TweakDB:SetFlat("Perks.Demolition_Area_05_Perk_2_inline5.intValues", {10})
	TweakDB:SetFlat("Perks.Demolition_Area_05_Perk_2_inline11.intValues", {15})
	TweakDB:SetFlat("Perks.Demolition_Area_05_Perk_2_inline17.intValues", {20})
	end
	
	--STREET BRAWLER
	
	if Thrash then
	--Thrash description fix
	TweakDB:SetFlat("Perks.Brawling_Area_07_Perk_2.loc_desc_key", "Strong attacks with blunt weapons increases damage against the target by 30% for 10 seconds.") --TranslateMe
	TweakDB:SetFlat("Perks.Brawling_Area_07_Perk_2_inline0.uiData", "")
	end

	--REFLEXES Description change
	TweakDB:SetFlat("BaseStats.Reflexes.localizedDescription", "Reflexes determines your maneuverability. In addition to increasing your overall movement speed, each level in Reflexes will:\n\n- Increase your passive Evasion from enemy attacks by 1%\n- Increase Crit chance by 1%") --TranslateMe
	
	

    end)
function updateDescriptionsforPatch(recordName)
	TweakDB:SetFlat(recordName..".floatValues", {})
	TweakDB:SetFlat(recordName..".intValues", {})
	TweakDB:SetFlat(recordName..".stats", {})
end
function createConstantStatModifier(recordName, modifierType, statType, value)
	TweakDB:CloneRecord(recordName, "BaseStats.AccuracyModifier")
	TweakDB:SetFlat(recordName..".modifierType", modifierType)
	TweakDB:SetFlat(recordName..".statType", statType)
	TweakDB:SetFlat(recordName..".value", value)
end

end

return FGR:new()
